ChangeSet@1.2416.1.1, 2007-03-02 09:14:33-05:00, cmiller@zippy.cornsilk.net +2 -0
  Patch to release clone.  Fixes two post-pushbuild discovered failures.
  
  Expand float size to avoid assert()ion failures.
  
  "_db_func_" isn't a known linked object on some platforms, possibly 
  because it is occasionaly shadowed by DBUG variables.  Avoid that
  confusion.

  sql/sql_profile.cc@1.4, 2007-03-02 09:14:31-05:00, cmiller@zippy.cornsilk.net +2 -2
    Expand float size to avoid assert()ion failures.
    
    "_db_func_" isn't a known linked object on some platforms, possibly 
    because it is occasionaly shadowed by DBUG variables.  Avoid that
    confusion.

  sql/sql_profile.h@1.3, 2007-03-02 09:14:31-05:00, cmiller@zippy.cornsilk.net +6 -6
    "_db_func_" isn't a known linked object on some platforms, possibly 
    because it is occasionaly shadowed by DBUG variables.  Avoid that
    confusion.

ChangeSet@1.2419, 2007-03-01 21:56:51+01:00, df@pippilotta.erinye.com +1 -0
  add missing file to vs project

  VC++Files/sql/mysqld.vcproj@1.11, 2007-03-01 21:56:50+01:00, df@pippilotta.erinye.com +75 -0
    add sql_profile.cpp to mysqld project

ChangeSet@1.2418, 2007-03-01 10:45:55+01:00, dfischer@mysql.com +1 -0
  File.cpp:
    fileno is a macro on some platforms

  ndb/src/common/util/File.cpp@1.17, 2007-03-01 10:45:41+01:00, dfischer@mysql.com +1 -1
    fileno is a macro on some platforms

ChangeSet@1.2417, 2007-03-01 09:38:09+01:00, dfischer@mysql.com +1 -0
  mysqld.cc:
    fix profiling_history_size type

  sql/mysqld.cc@1.599, 2007-03-01 09:37:10+01:00, dfischer@mysql.com +1 -1
    fix profiling_history_size type

ChangeSet@1.2416, 2007-02-27 20:04:58-05:00, cmiller@zippy.cornsilk.net +1 -0
  Update to I_S result that now contains PROFILING entry.

  mysql-test/r/information_schema.result@1.122, 2007-02-27 20:04:57-05:00, cmiller@zippy.cornsilk.net +1 -0
    Update to I_S result that now contains PROFILING entry.

ChangeSet@1.2341.56.11, 2007-02-27 11:30:03-05:00, cmiller@calliope.local.cmiller +1 -0
  Updated column names of I_S table to conform to other I_S uppercase scheme.

  mysql-test/r/information_schema.result@1.120, 2007-02-27 11:28:40-05:00, cmiller@calliope.local.cmiller +2 -2
    Updated column names of I_S table to conform to other I_S uppercase scheme.

ChangeSet@1.2341.56.10, 2007-02-26 13:11:36-05:00, cmiller@calliope.local.cmiller +7 -0
  Some changes suggested Serg, from message <20070223210659.GA24202@janus.mylan>

  configure.in@1.422, 2007-02-26 13:11:22-05:00, cmiller@calliope.local.cmiller +1 -1
    Use smarter autoconf help macro.

  sql/set_var.cc@1.173.1.4, 2007-02-26 13:11:23-05:00, cmiller@calliope.local.cmiller +1 -1
    Make a local variable static.

  sql/sql_lex.cc@1.206.1.6, 2007-02-26 13:11:23-05:00, cmiller@calliope.local.cmiller +0 -2
    Don't include CPP condition where it saves little time and decreases legibility.

  sql/sql_parse.cc@1.596, 2007-02-26 13:11:24-05:00, cmiller@calliope.local.cmiller +2 -2
    Use the name of the query in the error, instead of describing the feature.

  sql/sql_profile.cc@1.3, 2007-02-26 13:11:25-05:00, cmiller@calliope.local.cmiller +38 -52
    Update copyright.
    
    Make I_S schema table columns uppercase.

  sql/sql_profile.h@1.2, 2007-02-26 13:11:26-05:00, cmiller@calliope.local.cmiller +1 -2
    Update copyright.

  sql/sql_select.cc@1.478.2.3, 2007-02-26 13:11:26-05:00, cmiller@calliope.local.cmiller +2 -2
    Chagne tab indentation to spaces.

ChangeSet@1.2341.56.9, 2007-02-22 16:25:47-05:00, cmiller@zippy.cornsilk.net +1 -0
  Disambiguate method call.  (Windows compiler error.)

  sql/sql_profile.cc@1.2, 2007-02-22 16:25:45-05:00, cmiller@zippy.cornsilk.net +1 -1
    Disambiguate method call.  (Windows compiler error.)

ChangeSet@1.2341.56.8, 2007-02-22 13:17:02-05:00, cmiller@zippy.cornsilk.net +1 -0
  Use correct filename for profiling code.

  sql/CMakeLists.txt@1.6, 2007-02-22 13:17:01-05:00, cmiller@zippy.cornsilk.net +1 -1
    Use correct filename for profiling code.

ChangeSet@1.2341.56.7, 2007-02-22 12:27:15-05:00, cmiller@zippy.cornsilk.net +1 -0
  Add profiling source file to cmake file.

  sql/CMakeLists.txt@1.5, 2007-02-22 12:27:14-05:00, cmiller@zippy.cornsilk.net +1 -0
    Add profiling source file to cmake file.

ChangeSet@1.2341.56.6, 2007-02-22 11:48:56-05:00, cmiller@zippy.cornsilk.net +3 -0
  Enclose profiling in preprocessor conditions.

  BitKeeper/etc/collapsed@1.18.1.4, 2007-02-22 11:44:51-05:00, cmiller@zippy.cornsilk.net +2 -0

  include/config-win.h@1.81.1.2, 2007-02-22 11:48:55-05:00, cmiller@zippy.cornsilk.net +3 -0
    Make profiling compiled-in by default on Windows too.

  sql/sql_prepare.cc@1.190.1.2, 2007-02-22 11:48:55-05:00, cmiller@zippy.cornsilk.net +2 -0
    Enclose profiling in preprocessor conditions.

ChangeSet@1.2341.56.5, 2007-02-22 10:03:08-05:00, cmiller@zippy.cornsilk.net +51 -0
  Prevent bugs by making DBUG_* expressions syntactically equivalent 
  to a single statement.
  ---
  Bug#24795: SHOW PROFILE
  
  Profiling is only partially functional on some architectures.  Where 
  there is no getrusage() system call, presently Null values are 
  returned where it would be required.  Notably, Windows needs some love 
  applied to make it as useful.
  
    Syntax this adds:
    
    SHOW PROFILES
    
    SHOW PROFILE [types] [FOR QUERY n] [OFFSET n] [LIMIT n]
     where "n" is an integer
     and "types" is zero or many (comma-separated) of
        "CPU"
        "MEMORY" (not presently supported)
        "BLOCK IO"
        "CONTEXT SWITCHES"
        "PAGE FAULTS"
        "IPC"
        "SWAPS"
        "SOURCE"
        "ALL"
  
  It also adds a session variable (boolean) "profiling", set to "no"
  by default, and (integer) profiling_history_size, set to 15 by 
  default.
  
  This patch abstracts setting THDs' "proc_info" behind a macro that 
  can be used as a hook into the profiling code when profiling 
  support is compiled in.  All future code in this line should use
  that mechanism for setting thd->proc_info.
  
  ---
  
  Tests are now set to omit the statistics.
  
  ---
  
  Adds an Information_schema table, "profiling" for access to 
  "show profile" data.
  ---
  Merge zippy.cornsilk.net:/home/cmiller/work/mysql/mysql-5.0-community-3--bug24795
  into  zippy.cornsilk.net:/home/cmiller/work/mysql/mysql-5.0-community
  ---
  Fix merge problems.
  ---
  Fixed one bug in the query_source being NULL.  
  
  Updated test results.
  ---
  Include more thorough profiling tests.
  
  Improve support for prepared statements.
  
  Use session-specific query IDs, starting at zero.
  ---
  Selecting from I_S.profiling is no longer quashed in profiling, as
  requested by Giuseppe.
  
  Limit the size of captured query text.
  
  No longer log queries that are zero length.

  BitKeeper/deleted/.del-profile.result@1.2, 2007-02-22 10:02:24-05:00, cmiller@zippy.cornsilk.net +0 -0
    Rename: mysql-test/r/profile.result -> BitKeeper/deleted/.del-profile.result

  BitKeeper/deleted/.del-profile.test@1.2, 2007-02-22 10:02:24-05:00, cmiller@zippy.cornsilk.net +0 -0
    Rename: mysql-test/t/profile.test -> BitKeeper/deleted/.del-profile.test

  BitKeeper/deleted/.del-profiling-master.opt@1.1, 2007-02-22 10:03:05-05:00, cmiller@zippy.cornsilk.net +1 -0
    New BitKeeper file ``mysql-test/t/profiling-master.opt''

  BitKeeper/deleted/.del-profiling-master.opt@1.0, 2007-02-22 10:03:05-05:00, cmiller@zippy.cornsilk.net +0 -0

  BitKeeper/deleted/.del-sql_profile.cc@1.2, 2007-02-22 10:02:25-05:00, cmiller@zippy.cornsilk.net +0 -0
    Rename: sql/sql_profile.cc -> BitKeeper/deleted/.del-sql_profile.cc

  BitKeeper/deleted/.del-sql_profile.h@1.2, 2007-02-22 10:02:26-05:00, cmiller@zippy.cornsilk.net +0 -0
    Rename: sql/sql_profile.h -> BitKeeper/deleted/.del-sql_profile.h

  BitKeeper/etc/collapsed@1.18.1.3, 2007-02-22 10:02:26-05:00, cmiller@zippy.cornsilk.net +9 -0

  configure.in@1.421, 2007-02-22 10:03:02-05:00, cmiller@zippy.cornsilk.net +14 -0
    Add a configure-time option to enable/disable query profiling.  The
    default is enabled.

  include/my_dbug.h@1.22, 2007-02-22 10:03:02-05:00, cmiller@zippy.cornsilk.net +6 -6
    
    
    DBUG_* statements should be syntactically equivalent to a single 
    statement.

  myisam/mi_open.c@1.101.1.2, 2007-02-22 10:03:02-05:00, cmiller@zippy.cornsilk.net +1 -1
    DBUG_* statements should be syntactically equivalent to a single 
    statement.

  mysql-test/r/information_schema.result@1.119, 2007-02-22 10:03:02-05:00, cmiller@zippy.cornsilk.net +7 -4
    Updated (re-recorded) tests that I missed somehow.  I verified these
    for correctness.

  mysql-test/r/information_schema_db.result@1.10, 2007-02-22 10:03:02-05:00, cmiller@zippy.cornsilk.net +1 -0
    Updated test results I missed.

  mysql-test/r/mysqlshow.result@1.5, 2007-02-22 10:03:02-05:00, cmiller@zippy.cornsilk.net +2 -0
    Fix merge problems.

  mysql-test/r/profiling.result@1.1, 2007-02-22 10:03:05-05:00, cmiller@zippy.cornsilk.net +365 -0
    New BitKeeper file ``mysql-test/r/profiling.result''
    ---
    Include more verbose that describes the queries so far.
    
    Include Giuseppe's tests.
    ---
    Selecting from I_S.profiling is no longer quashed in profiling, as
    requested by Giuseppe.

  mysql-test/r/profiling.result@1.0, 2007-02-22 10:03:05-05:00, cmiller@zippy.cornsilk.net +0 -0

  mysql-test/t/profiling.test@1.1, 2007-02-22 10:03:05-05:00, cmiller@zippy.cornsilk.net +195 -0
    New BitKeeper file ``mysql-test/t/profiling.test''
    ---
    Include more verbose that describes the queries so far.
    
    Include Giuseppe's tests.
    ---
    Selecting from I_S.profiling is no longer quashed in profiling, as
    requested by Giuseppe.

  mysql-test/t/profiling.test@1.0, 2007-02-22 10:03:05-05:00, cmiller@zippy.cornsilk.net +0 -0

  ndb/src/ndbapi/DictCache.cpp@1.21, 2007-02-22 10:03:02-05:00, cmiller@zippy.cornsilk.net +1 -1
    DBUG_* statements should be syntactically equivalent to a single 
    statement.

  sql/ha_archive.cc@1.81, 2007-02-22 10:03:02-05:00, cmiller@zippy.cornsilk.net +2 -2
    Abstract setting thread-info into a function or macro.
    ---
    Manual merge, undoing first patch.

  sql/ha_berkeley.cc@1.166, 2007-02-22 10:03:02-05:00, cmiller@zippy.cornsilk.net +2 -2
    Include patch backported to 5.0-global.
    
    THD::options is a ulonglong, not ulong.

  sql/ha_myisam.cc@1.174, 2007-02-22 10:03:03-05:00, cmiller@zippy.cornsilk.net +12 -12
    Abstract setting thread-info into a function or macro.
    ---
    Manual merge, undoing first patch.

  sql/ha_myisammrg.cc@1.87.1.1, 2007-02-22 10:03:03-05:00, cmiller@zippy.cornsilk.net +1 -1
    DBUG_* statements should be syntactically equivalent to a single 
    statement.

  sql/ha_ndbcluster.cc@1.292.2.1, 2007-02-22 10:03:03-05:00, cmiller@zippy.cornsilk.net +2 -2
    DBUG_* statements should be syntactically equivalent to a single 
    statement.

  sql/item_cmpfunc.cc@1.228.4.1, 2007-02-22 10:03:03-05:00, cmiller@zippy.cornsilk.net +1 -1
    DBUG_* statements should be syntactically equivalent to a single 
    statement.

  sql/item_func.cc@1.324, 2007-02-22 10:03:03-05:00, cmiller@zippy.cornsilk.net +4 -4
    Abstract setting thread-info into a function or macro.
    ---
    Manual merge, undoing first patch.

  sql/lock.cc@1.90.1.4, 2007-02-22 10:03:03-05:00, cmiller@zippy.cornsilk.net +4 -4
    Abstract setting thread-info into a function or macro.
    ---
    Manual merge, undoing first patch.

  sql/log_event.cc@1.214.1.5, 2007-02-22 10:03:03-05:00, cmiller@zippy.cornsilk.net +4 -4
    Abstract setting thread-info into a function or macro.
    ---
    Manual merge, undoing first patch.

  sql/mysql_priv.h@1.425.1.5, 2007-02-22 10:03:03-05:00, cmiller@zippy.cornsilk.net +40 -33
    Use 64-bit constants for the 64-bit bit field.
    
    Add a new option bit for whether profiling is active or not.

  sql/mysqld.cc@1.586.2.2, 2007-02-22 10:03:03-05:00, cmiller@zippy.cornsilk.net +8 -1
    Add semicolon to DBUG statement.
    
    Add a new system variable and set it.
    ---
    Set the minimum, which is zero and not 50.

  sql/repl_failsafe.cc@1.65, 2007-02-22 10:03:03-05:00, cmiller@zippy.cornsilk.net +5 -5
    Abstract setting thread-info into a function or macro.
    ---
    Manual merge, undoing first patch.

  sql/set_var.cc@1.173.1.3, 2007-02-22 10:03:03-05:00, cmiller@zippy.cornsilk.net +16 -2
    Make a new system global variable and session variable, to determine
    behavior of profiling.	
    ---
    Include patch backported to 5.0-global.
    
    THD::options is a ulonglong, not ulong.

  sql/set_var.h@1.78.2.1, 2007-02-22 10:03:03-05:00, cmiller@zippy.cornsilk.net +2 -2
    The THD::options bit field is ulonglong, not ulong.

  sql/slave.cc@1.289, 2007-02-22 10:03:03-05:00, cmiller@zippy.cornsilk.net +20 -20
    Abstract setting thread-info into a function or macro.
    ---
    Manual merge, undoing first patch.
    ---
    Include patch backported to 5.0-global.
    
    THD::options is a ulonglong, not ulong.

  sql/sp_head.cc@1.225.1.5, 2007-02-22 10:03:03-05:00, cmiller@zippy.cornsilk.net +2 -2
    Abstract setting thread-info into a function or macro.
    ---
    Manual merge, undoing first patch.

  sql/sql_base.cc@1.363, 2007-02-22 10:03:04-05:00, cmiller@zippy.cornsilk.net +15 -15
    Abstract setting thread-info into a function or macro.
    ---
    Manual merge, undoing first patch.
    ---
    Include patch backported to 5.0-global.
    
    THD::options is a ulonglong, not ulong.

  sql/sql_cache.cc@1.99, 2007-02-22 10:03:04-05:00, cmiller@zippy.cornsilk.net +11 -11
    DBUG_* statements should be syntactically equivalent to a single 
    statement.
    ---
    Fix merge problems.

  sql/sql_class.cc@1.258, 2007-02-22 10:03:04-05:00, cmiller@zippy.cornsilk.net +2 -1
    Insert a pointer to the current thread in the profiling code.
    ---
    Manual merge, undoing first patch.
    ---
    Fix merge problems.

  sql/sql_class.h@1.316, 2007-02-22 10:03:04-05:00, cmiller@zippy.cornsilk.net +6 -1
    Create a new system variable, profiling_history_size, and add a 
    member to THD to hold profiling information about this thread's 
    execution.
    ---
    Manual merge, undoing first patch.

  sql/sql_delete.cc@1.190, 2007-02-22 10:03:04-05:00, cmiller@zippy.cornsilk.net +7 -7
    Abstract setting thread-info into a function or macro.
    ---
    Manual merge, undoing first patch.
    ---
    Include patch backported to 5.0-global.
    
    THD::options is a ulonglong, not ulong.

  sql/sql_insert.cc@1.213, 2007-02-22 10:03:04-05:00, cmiller@zippy.cornsilk.net +19 -19
    Abstract setting thread-info into a function or macro.
    ---
    Manual merge, undoing first patch.
    ---
    Fix merge problems.

  sql/sql_lex.cc@1.206.1.5, 2007-02-22 10:03:04-05:00, cmiller@zippy.cornsilk.net +2 -1
    Initialize profiling options to empty.
    ---
    Manual merge, undoing first patch.

  sql/sql_lex.h@1.238, 2007-02-22 10:03:04-05:00, cmiller@zippy.cornsilk.net +7 -2
    Add info to the lexer object so that we can hold data that comes from
    parsing statements.
    
    Reuse memory addresses of uints that can't occur in the same state-
    ment.
    
    This is dangerous because it involves knowledge of what symbols are 
    never used together, which is information stored obliquely in another
    file.
    ---
    Manual merge, undoing first patch.

  sql/sql_parse.cc@1.595, 2007-02-22 10:03:04-05:00, cmiller@zippy.cornsilk.net +47 -24
    Add hooks to the parser to jump to profiling code.
    
    If profiling is not present, then return an error message upon being
    used.
    ---
    Manual merge, undoing first patch.
    ---
    Fix merge problems.
    ---
    Include patch backported to 5.0-global.
    
    THD::options is a ulonglong, not ulong.

  sql/sql_prepare.cc@1.190.1.1, 2007-02-22 10:03:04-05:00, cmiller@zippy.cornsilk.net +1 -0
    From prepared statement execution, set the query source in the 
    profiler, as we can't get it from  thd .
    ---
    Make it less expensive to limit the size of the queries.

  sql/sql_profile.cc@1.1, 2007-02-22 10:03:05-05:00, cmiller@zippy.cornsilk.net +813 -0
    New BitKeeper file ``sql/sql_profile.cc''
    ---
    If query_source is NULL, as can sometimes happen, then don't try
    to copy that memory.
    ---
    Make each new session use its own numbering of query_ids, and not
    show the global-pool numbers to the user.
    
    Provide a way for prepared statements to set the query_source.
    ---
    Selecting from I_S.profiling is no longer quashed in profiling, as
    requested by Giuseppe.
    
    Limit the size of captured query text.
    
    No longer log queries that are zero length.

  sql/sql_profile.cc@1.0, 2007-02-22 10:03:05-05:00, cmiller@zippy.cornsilk.net +0 -0

  sql/sql_profile.h@1.1, 2007-02-22 10:03:05-05:00, cmiller@zippy.cornsilk.net +241 -0
    New BitKeeper file ``sql/sql_profile.h''
    ---
    Make each new session use its own numbering of query_ids, and not
    show the global-pool numbers to the user.
    
    Provide a way for prepared statements to set the query_source.
    ---
    Make it less expensive to limit the size of the queries.

  sql/sql_profile.h@1.0, 2007-02-22 10:03:05-05:00, cmiller@zippy.cornsilk.net +0 -0

  sql/sql_repl.cc@1.157, 2007-02-22 10:03:04-05:00, cmiller@zippy.cornsilk.net +9 -9
    Abstract setting thread-info into a function or macro.
    ---
    Manual merge, undoing first patch.

  sql/sql_select.cc@1.478.2.2, 2007-02-22 10:03:04-05:00, cmiller@zippy.cornsilk.net +23 -24
    Abstract setting thread-info into a function or macro.
    ---
    Manual merge, undoing first patch.
    ---
    Fix merge problems.

  sql/sql_show.cc@1.333.1.4, 2007-02-22 10:03:05-05:00, cmiller@zippy.cornsilk.net +5 -3
    Abstract setting thread-info into a function or macro.
    
    Also, remove "static" qualification on schema_table_store_record()
    so that external functions may use it.
    ---
    Manual merge, undoing first patch.

  sql/sql_table.cc@1.331, 2007-02-22 10:03:05-05:00, cmiller@zippy.cornsilk.net +10 -10
    Abstract setting thread-info into a function or macro.
    ---
    Manual merge, undoing first patch.

  sql/sql_update.cc@1.205.1.4, 2007-02-22 10:03:05-05:00, cmiller@zippy.cornsilk.net +7 -7
    Abstract setting thread-info into a function or macro.
    ---
    Manual merge, undoing first patch.

  sql/sql_view.cc@1.103, 2007-02-22 10:03:05-05:00, cmiller@zippy.cornsilk.net +1 -1
    Abstract setting thread-info into a function or macro.
    ---
    Manual merge, undoing first patch.

  sql/sql_yacc.yy@1.502, 2007-02-22 10:03:05-05:00, cmiller@zippy.cornsilk.net +48 -32
    Add new lexer symbols and insert new grammatical rules necessary to 
    retreive profiling information.
    ---
    Manual merge, undoing first patch.
    ---
    Fix merge problems.

  sql/table.h@1.137.1.1, 2007-02-22 10:03:05-05:00, cmiller@zippy.cornsilk.net +1 -0
    Add enum item for query profiling.

ChangeSet@1.2411.1.2, 2007-02-13 15:49:42-08:00, igor@olga.mysql.com +2 -0
  Post-merge fix

  mysql-test/r/select.result@1.150, 2007-02-13 15:49:40-08:00, igor@olga.mysql.com +0 -1
    Post-merge fix

  mysql-test/t/select.test@1.124, 2007-02-13 15:49:40-08:00, igor@olga.mysql.com +0 -1
    Post-merge fix

ChangeSet@1.2413, 2007-02-13 16:35:29-05:00, cmiller@zippy.cornsilk.net +2 -0
  Bug#25807: LOAD DATA INFILE does not work with Pipes
  
  Showstopper and regression against 5.0.24.
  
  Previously, we ignored seek() errors (see Bug#22828) and let seek()s
  against pipes fail.  Now, since we check that a seek didn't fail,
  and return without reading, this bug popped up.
  
  This restores the behavior for file-ish objects that could never be 
  seek()ed.

  BitKeeper/etc/collapsed@1.25, 2007-02-13 15:11:04-05:00, cmiller@zippy.cornsilk.net +2 -0

  mysys/mf_iocache.c@1.65, 2007-02-13 16:35:28-05:00, cmiller@zippy.cornsilk.net +35 -6
    If we detect early that the file is not tell()able, then we should
    assume that it's also not seek()able and therefore we should never
    set the (poorly named) "seek_not_done" flag so that we don't immedi-
    ately try to seek() when reading later.
    
    The problem was that tell() was returning -1, so when we read later, 
    we needlessly tried to seek to position  (unsigned long) -1 . 
    
    Also, if we think we're supposed to seek to a position in a file and 
    the file is un-tell()able, then abort.

ChangeSet@1.1616.2954.2, 2007-02-13 00:55:45+04:00, holyfoot@mysql.com +1 -0
  bug #25492 (Invalid deallocation in mysql_stmt_fetch)

  libmysqld/lib_sql.cc@1.75.1.62, 2007-02-13 00:55:44+04:00, holyfoot@mysql.com +26 -6
    code modified to prevent freeing of memory that wasn't malloc-ed.
    Now we check if MYSQL_STMT::result was used.

ChangeSet@1.2377.31.1, 2007-02-12 19:28:49+04:00, gluh@mysql.com +1 -0
  valgrind error fix

  sql/opt_range.cc@1.241, 2007-02-12 19:28:48+04:00, gluh@mysql.com +12 -7
    valgrind error fix

ChangeSet@1.2377.26.10, 2007-02-12 16:02:53+02:00, gkodinov@macbook.gmz +1 -0
  Fixed MacOSX/Intel linking problem
   Common symbols with and without initialization
   cause the apple linker to exclude then from the
   list of global symbols.

  mysys/my_pthread.c@1.48, 2007-02-12 16:02:47+02:00, gkodinov@macbook.gmz +1 -1
    Fixed MacOSX/Intel linking problem
     Common symbols with and without initialization
     cause the apple linker to exclude then from the
     list of global symbols.

ChangeSet@1.1616.2965.1, 2007-02-12 14:31:44+01:00, tnurnberg@mysql.com +4 -0
  Bug#24660: "enum" field type definition problem
  
  ENUMs weren't allowed to have character 0xff, a perfectly good character in some locales.
  This was circumvented by mapping 0xff in ENUMs to ',', thereby prevent actual commas from
  being used. Now if 0xff makes an appearance, we find a character not used in the enum and
  use that as a separator. If no such character exists, we throw an error.
  
  Any solution would have broken some sort of existing behaviour. This solution should
  serve both fractions (those with 0xff and those with ',' in their enums), but
  WILL REQUIRE A DUMP/RESTORE CYCLE FROM THOSE WITH 0xff IN THEIR ENUMS. :-/
  That is, mysqldump with their current server, and restore when upgrading to one with
  this patch.

  mysql-test/r/type_enum.result@1.24.1.3, 2007-02-12 14:31:43+01:00, tnurnberg@mysql.com +25 -0
    Bug#24660: "enum" field type definition problem
    
    Show that enums can now contain NAMES_SEP_CHAR (0xff, which is a perfectly respectable
    char in some locales), or ',', or both.

  mysql-test/t/type_enum.test@1.17, 2007-02-12 14:31:43+01:00, tnurnberg@mysql.com +21 -1
    Bug#24660: "enum" field type definition problem
    
    Show that enums can now contain NAMES_SEP_CHAR (0xff, which is a perfectly respectable
    char in some locales), or ',', or both.

  sql/table.cc@1.111.8.1, 2007-02-12 14:31:43+01:00, tnurnberg@mysql.com +0 -11
    Bug#24660: "enum" field type definition problem
    
    Revert fix for Bug#20922.

  sql/unireg.cc@1.43.1.9, 2007-02-12 14:31:43+01:00, tnurnberg@mysql.com +40 -21
    Bug#24660: "enum" field type definition problem
    
    Use a field-separator for ENUM-values that is not part of those values. If impossible,
    throw error.

ChangeSet@1.2377.26.9, 2007-02-12 16:06:14+04:00, gluh@mysql.com +7 -0
  Bug#24630 Subselect query crashes mysqld
  The crash happens because second filling of the same I_S table happens in
  case of subselect with order by. table->sort.io_cache previously allocated
  in create_sort_index() is deleted during second filling
  (function get_schema_tables_result). There are two places where
  I_S table can be filled: JOIN::exec and create_sort_index().
  To fix the bug we should check if the table was already filled
  in one of these places and skip processing of the table in second.

  mysql-test/r/information_schema.result@1.117.1.3, 2007-02-12 16:06:12+04:00, gluh@mysql.com +37 -0
    test case

  mysql-test/t/information_schema.test@1.88.1.2, 2007-02-12 16:06:12+04:00, gluh@mysql.com +24 -0
    test case

  sql/mysql_priv.h@1.432.1.2, 2007-02-12 16:06:12+04:00, gluh@mysql.com +2 -1
    added new parameter 'executed_place' to function get_schema_tables_result()

  sql/sql_select.cc@1.488.2.1, 2007-02-12 16:06:12+04:00, gluh@mysql.com +2 -2
    added new parameter 'executed_place' to function get_schema_tables_result()

  sql/sql_show.cc@1.339, 2007-02-12 16:06:12+04:00, gluh@mysql.com +20 -8
    added more accurate check for cases when we need to refresh I_S table

  sql/table.cc@1.243, 2007-02-12 16:06:12+04:00, gluh@mysql.com +1 -1
    added more accurate check for cases when we need to refresh I_S table

  sql/table.h@1.138, 2007-02-12 16:06:12+04:00, gluh@mysql.com +7 -1
    added more accurate check for cases when we need to refresh I_S table

ChangeSet@1.2377.30.1, 2007-02-12 15:41:36+04:00, holyfoot@mysql.com +5 -0
  bug #20691 (INSERT (DEFAULT) may insert garbage with NO DEFAULT NOT NULL field)
  
  Some fields (GEOMETRY first of all) can't be handled properly in this
  case at all. So we return an error in this case

  mysql-test/r/default.result@1.5, 2007-02-12 15:41:34+04:00, holyfoot@mysql.com +11 -1
    result fixed

  mysql-test/r/gis.result@1.39, 2007-02-12 15:41:34+04:00, holyfoot@mysql.com +4 -0
    result fixed

  mysql-test/t/default.test@1.6, 2007-02-12 15:41:34+04:00, holyfoot@mysql.com +8 -1
    VIEW test added

  mysql-test/t/gis.test@1.32, 2007-02-12 15:41:34+04:00, holyfoot@mysql.com +9 -0
    testcase added

  sql/item.cc@1.252.2.1, 2007-02-12 15:41:34+04:00, holyfoot@mysql.com +7 -1
    set_defaults() changed with the 'reset()'

ChangeSet@1.2377.29.3, 2007-02-11 19:36:46-08:00, igor@olga.mysql.com +3 -0
  Fixed bug #26209.
  The function make_unireg_sortorder ignored the fact that any
  view field is represented by a 'ref' object.
  This could lead to wrong results for the queries containing
  both GROUP BY and ORDER BY clauses.

  mysql-test/r/view.result@1.191, 2007-02-11 19:36:44-08:00, igor@olga.mysql.com +18 -0
    Added a test case for bug #26209.

  mysql-test/t/view.test@1.176, 2007-02-11 19:36:44-08:00, igor@olga.mysql.com +20 -0
    Added a test case for bug #26209.

  sql/sql_select.cc@1.488.1.1, 2007-02-11 19:36:44-08:00, igor@olga.mysql.com +8 -8
    Fixed bug #26209.
    The function make_unireg_sortorder ignored the fact that any
    view field is represented by a 'ref' object.
    This could lead to wrong results for the queries containing
    both GROUP BY and ORDER BY clauses.
    
    
     

ChangeSet@1.2377.29.2, 2007-02-11 22:52:12+03:00, evgen@moonbone.local +2 -0
  sql_view.cc:
    Post fix for bug#12122.
  information_schema.result:
    Corrected test case after fixing bug#12122.

  mysql-test/r/information_schema.result@1.117.1.2, 2007-02-11 22:50:42+03:00, evgen@moonbone.local +1 -2
    Corrected test case after fixing bug#12122.

  sql/sql_view.cc@1.101.1.2, 2007-02-11 22:50:01+03:00, evgen@moonbone.local +1 -0
    Post fix for bug#12122.

ChangeSet@1.2377.26.7, 2007-02-10 23:55:56-08:00, igor@olga.mysql.com +3 -0
  Fixed bug #26159.
  A wrong order of statements in QUICK_GROUP_MIN_MAX_SELECT::reset
  caused a crash when a query with DISTINCT was executed by a loose scan
  for an InnoDB table that had been emptied. 

  mysql-test/r/innodb_mysql.result@1.16, 2007-02-10 23:55:54-08:00, igor@olga.mysql.com +27 -0
    Added a test case for bug #26159.

  mysql-test/t/innodb_mysql.test@1.16, 2007-02-10 23:55:54-08:00, igor@olga.mysql.com +26 -0
    Added a test case for bug #26159.

  sql/opt_range.cc@1.240, 2007-02-10 23:55:54-08:00, igor@olga.mysql.com +4 -5
    Fixed bug #26159.
    A wrong order of statements in QUICK_GROUP_MIN_MAX_SELECT::reset
    caused a crash when a query with DISTINCT was executed by a loose scan
    for an InnoDB table that had been emptied. 
    For an empty table quick_prefix_select->reset() was not called at all
    and thus some important initialization steps were missing.

ChangeSet@1.2377.28.1, 2007-02-10 00:00:07+03:00, evgen@moonbone.local +3 -0
  Bug#12122: The MERGE algorithm isn't applicable if the ORDER BY clause is
  present.
  
  A view created with CREATE VIEW ... ORDER BY ... cannot be resolved with
  the MERGE algorithm, even when no other part of the CREATE VIEW statement
  would require the view to be resolved using the TEMPTABLE algorithm.
  
  The check for presence of the ORDER BY clause in the underlying select is 
  removed from the st_lex::can_be_merged() function.
  The ORDER BY list of the underlying select is appended to the ORDER BY list 

  mysql-test/r/view.result@1.190, 2007-02-09 23:36:42+03:00, evgen@moonbone.local +39 -0
    Added a test case for bug#12122: Views with ORDER BY can't be resolved using MERGE algorithm.

  mysql-test/t/view.test@1.175, 2007-02-09 23:35:58+03:00, evgen@moonbone.local +14 -0
    Added a test case for bug#12122: Views with ORDER BY can't be resolved using MERGE algorithm.

  sql/sql_lex.cc@1.211, 2007-02-09 23:59:09+03:00, evgen@moonbone.local +0 -1
    Bug#12122: Views with ORDER BY can't be resolved using MERGE algorithm.
    The st_lex::can_be_merged() function now allows views with the ORDER BY
    clause to be resolved using MERGE algorithm. The ORDER BY list of the view 
    is appended to the ORDER BY list of the embedding select.

ChangeSet@1.2377.23.6, 2007-02-09 12:54:50-08:00, igor@olga.mysql.com +4 -0
  Fixed bug #26017.
  Objects of the class Item_equal contain an auxiliary member
  eval_item of the type cmp_item that is used only for direct 
  evaluation of multiple equalities. Currently a multiple equality
  is evaluated directly only in the cases when the equality holds
  at most for one row in the result set.
  The compare collation of eval_item was determined incorectly.
  It could lead to returning incorrect results for some queries.

  mysql-test/r/join_outer.result@1.53, 2007-02-09 12:54:48-08:00, igor@olga.mysql.com +20 -0
    Added a test case for bug #26017.

  mysql-test/t/join_outer.test@1.39, 2007-02-09 12:54:48-08:00, igor@olga.mysql.com +23 -0
    Added a test case for bug #26017.

  sql/item_cmpfunc.cc@1.231.1.2, 2007-02-09 12:54:48-08:00, igor@olga.mysql.com +1 -3
    Fixed bug #26017.
    Objects of the class Item_equal contain an auxiliary member
    eval_item of the type cmp_item that is used only for direct 
    evaluation of multiple equalities. Currently a multiple equality
    is evaluated directly only in the cases when the equality holds
    at most for one row in the result set.
    The compare collation of eval_item was determined incorrectly.
    It could lead to returning incorrect results for some queries.
    
       

  sql/item_cmpfunc.h@1.139.1.1, 2007-02-09 12:54:48-08:00, igor@olga.mysql.com +0 -1
    Fixed bug #26017.
    Removed the cmp_collation member from the Item_equal class as useless
    for the current implementation of the class.

ChangeSet@1.2377.26.5, 2007-02-09 22:25:09+03:00, evgen@moonbone.local +3 -0
  Bug#23170: LAST_INSERT_ID isn't reset to 0 in INSERT .. SELECT when no rows were
  inserted.
  
  The select_insert::send_eof() function now resets LAST_INSERT_ID variable if
  no rows were inserted.

  mysql-test/r/insert_select.result@1.44, 2007-02-09 22:24:54+03:00, evgen@moonbone.local +14 -0
    Added a test case for bug#23170: LAST_INSERT_ID isn't reset to 0 in INSERT .. SELECT when no rows were inserted.

  mysql-test/t/insert_select.test@1.36, 2007-02-09 22:24:52+03:00, evgen@moonbone.local +13 -0
    Added a test case for bug#23170: LAST_INSERT_ID isn't reset to 0 in INSERT .. SELECT when no rows were inserted.

  sql/sql_insert.cc@1.211.1.5, 2007-02-09 22:24:54+03:00, evgen@moonbone.local +1 -1
    Bug#23170: LAST_INSERT_ID isn't reset to 0 in INSERT .. SELECT when no rows were
    inserted.The select_insert::send_eof() function now resets LAST_INSERT_ID variable if
    no rows were inserted.

ChangeSet@1.2377.27.1, 2007-02-09 11:05:23+02:00, gkodinov@macbook.gmz +1 -0
  Addendum to fix of bug #22344 : removed dead code.

  sql/item.cc@1.254, 2007-02-09 11:05:17+02:00, gkodinov@macbook.gmz +1 -12
    Addendum to fix of bug #22344 : removed dead code.

ChangeSet@1.2377.4.23, 2007-02-09 00:10:40+01:00, kent@mysql.com +1 -0
  make_binary_distribution.sh:
    Copy "ndb_size.tmpl" into binary distribution (Bug#24191)

  scripts/make_binary_distribution.sh@1.120, 2007-02-09 00:10:26+01:00, kent@mysql.com +1 -0
    Copy "ndb_size.tmpl" into binary distribution (Bug#24191)

ChangeSet@1.2377.23.5, 2007-02-07 14:41:57-08:00, igor@olga.mysql.com +3 -0
  Fixed bug #25931.
  View check option clauses were ignored for updates of multi-table
  views when the updates could not be performed on fly and the rows
  to update had to be put into temporary tables first.
  

  mysql-test/r/view.result@1.189, 2007-02-07 14:41:54-08:00, igor@olga.mysql.com +27 -1
    Added a test case for bug #25931.

  mysql-test/t/view.test@1.174, 2007-02-07 14:41:54-08:00, igor@olga.mysql.com +23 -1
    Added a test case for bug #25931.
    Adjusted another existed test case to have the correct result.

  sql/sql_update.cc@1.212, 2007-02-07 14:41:54-08:00, igor@olga.mysql.com +9 -0
    Fixed bug #25931.
    View check option clauses were ignored for updates of multi-table
    views when the updates could not be performed on fly and the rows
    to update had to be put into temporary tables first.
    Added the required check to multi_update::do_updates to fix the problem.  

ChangeSet@1.2407, 2007-02-07 15:11:03+01:00, msvensson@pilot.mysql.com +1 -0
  Avoid problem with "noinst_HEADERS" being sucked into "mysqld_LDADD" if openssl_libs and yassl_libs are empty strings

  sql/Makefile.am@1.130.1.1, 2007-02-07 15:11:02+01:00, msvensson@pilot.mysql.com +2 -1
    Avoid problem with "noinst_HEADERS" being sucked into "mysqld_LDADD" if openssl_libs and yassl_libs are empty strings

ChangeSet@1.2281.4.16, 2007-02-07 11:36:34+01:00, mskold@mysql.com +4 -0
  NdbScanOperation.hpp, NdbScanOperation.cpp, ha_ndbcluster.cc:
    bug#25821  Excessive partition pruning for multi-range index scan in NDB API: added multi_range error checking in end_of_bound
  ha_ndbcluster.h:
    Removed stray mthod declaration

  ndb/include/ndbapi/NdbScanOperation.hpp@1.37.1.3, 2007-02-07 11:36:14+01:00, mskold@mysql.com +2 -1
    bug#25821  Excessive partition pruning for multi-range index scan in NDB API: added multi_range error checking in end_of_bound

  ndb/src/ndbapi/NdbScanOperation.cpp@1.79.1.2, 2007-02-07 11:36:15+01:00, mskold@mysql.com +8 -2
    bug#25821  Excessive partition pruning for multi-range index scan in NDB API: added multi_range error checking in end_of_bound

  sql/ha_ndbcluster.cc@1.285.1.10, 2007-02-07 11:36:15+01:00, mskold@mysql.com +2 -4
    bug#25821  Excessive partition pruning for multi-range index scan in NDB API: added multi_range error checking in end_of_bound

  sql/ha_ndbcluster.h@1.107.1.2, 2007-02-07 11:31:44+01:00, mskold@mysql.com +0 -1
    Removed stray mthod declaration

ChangeSet@1.2281.4.15, 2007-02-07 09:19:33+01:00, mskold@mysql.com +1 -0
  bug#25821  Excessive partition pruning for multi-range index scan in NDB API: post-review fix, added default value

  ndb/include/ndbapi/NdbScanOperation.hpp@1.37.1.2, 2007-02-07 09:19:19+01:00, mskold@mysql.com +1 -1
    bug#25821  Excessive partition pruning for multi-range index scan in NDB API: post-review fix, added default value

ChangeSet@1.2377.23.4, 2007-02-07 00:18:36-08:00, igor@olga.mysql.com +3 -0
  Fixed bug #26124: SELECT from a view wrapper over a table 
  with a column of the DATETIME type could return a wrong 
  result set if the WHERE clause included a BETWEEN condition
  on the column.
  Fixed the method Item_func_between::fix_length_and_dec
  where the aggregation type for BETWEEN predicates calculated
  incorrectly if the first argument was a view column of the
  DATETIME type.

  mysql-test/r/view.result@1.188, 2007-02-07 00:18:34-08:00, igor@olga.mysql.com +18 -0
    Added a test case for bug #26124.

  mysql-test/t/view.test@1.173, 2007-02-07 00:18:34-08:00, igor@olga.mysql.com +16 -0
    Added a test case for bug #26124.

  sql/item_cmpfunc.cc@1.231.1.1, 2007-02-07 00:18:34-08:00, igor@olga.mysql.com +2 -2
    Fixed bug #26124: SELECT from a view wrapper over a table 
    with a column of the DATETIME type could return a wrong 
    result set if the WHERE clause included a BETWEEN condition
    on the column.
    Fixed the method Item_func_between::fix_length_and_dec
    where the aggregation type for BETWEEN predicates calculated
    incorrectly if the first argument was a view column of the
    DATETIME type.
     

ChangeSet@1.2281.4.14, 2007-02-06 23:06:58+01:00, mskold@mysql.com +7 -0
  Fix for bug#25821  Excessive partition pruning for multi-range index scan in NDB API: don't set distribution key if multi_range

  mysql-test/r/ndb_read_multi_range.result@1.8, 2007-02-06 23:05:56+01:00, mskold@mysql.com +7 -0
    Fix for bug#25821  Excessive partition pruning for multi-range index scan in NDB API: don't set distribution key if multi_range

  mysql-test/t/ndb_read_multi_range.test@1.9, 2007-02-06 23:05:56+01:00, mskold@mysql.com +9 -0
    Fix for bug#25821  Excessive partition pruning for multi-range index scan in NDB API: don't set distribution key if multi_range

  ndb/include/ndbapi/NdbIndexScanOperation.hpp@1.21.1.1, 2007-02-06 23:05:56+01:00, mskold@mysql.com +4 -2
    Fix for bug#25821  Excessive partition pruning for multi-range index scan in NDB API: don't set distribution key if multi_range

  ndb/include/ndbapi/NdbScanOperation.hpp@1.37.1.1, 2007-02-06 23:05:56+01:00, mskold@mysql.com +4 -1
    Fix for bug#25821  Excessive partition pruning for multi-range index scan in NDB API: don't set distribution key if multi_range

  ndb/src/ndbapi/NdbScanOperation.cpp@1.79.1.1, 2007-02-06 23:05:56+01:00, mskold@mysql.com +3 -2
    Fix for bug#25821  Excessive partition pruning for multi-range index scan in NDB API: don't set distribution key if multi_range

  sql/ha_ndbcluster.cc@1.285.1.9, 2007-02-06 23:05:56+01:00, mskold@mysql.com +1 -1
    Fix for bug#25821  Excessive partition pruning for multi-range index scan in NDB API: don't set distribution key if multi_range

  sql/ha_ndbcluster.h@1.107.1.1, 2007-02-06 23:05:56+01:00, mskold@mysql.com +1 -0
    Fix for bug#25821  Excessive partition pruning for multi-range index scan in NDB API: don't set distribution key if multi_range

ChangeSet@1.1616.2963.1, 2007-02-06 23:00:18+01:00, msvensson@neptunus.(none) +1 -0
  Bug#25344  Segmentation violation when try to run the perror utility
   - strerror might return NULL on some platforms

  extra/perror.c@1.33.1.7, 2007-02-06 23:00:16+01:00, msvensson@neptunus.(none) +4 -1
    Backport fix from 5.0

ChangeSet@1.2377.23.3, 2007-02-07 00:46:03+03:00, evgen@moonbone.local +5 -0
  Bug#19978: INSERT .. ON DUPLICATE erroneously reports some records were
  updated.
  
  INSERT ... ON DUPLICATE KEY UPDATE reports that a record was updated when
  the duplicate key occurs even if the record wasn't actually changed
  because the update values are the same as those in the record.
  
  Now the compare_record() function is used to check whether the record was
  changed and the update of a record reported only if the record differs
  from the original one.

  mysql-test/r/insert_select.result@1.43, 2007-02-07 00:45:39+03:00, evgen@moonbone.local +12 -0
    Added a test case for bug#19978: INSERT .. ON DUPLICATE erroneously reports
    some records were updated.

  mysql-test/t/insert_select.test@1.35, 2007-02-07 00:45:19+03:00, evgen@moonbone.local +13 -0
    Added a test case for bug#19978: INSERT .. ON DUPLICATE erroneously reports
    some records were updated.

  sql/mysql_priv.h@1.432.1.1, 2007-02-07 00:45:00+03:00, evgen@moonbone.local +1 -0
    Bug#19978: INSERT .. ON DUPLICATE erroneously reports some records were
    updated.
    Added the prototype of the compare_record() function.
    

  sql/sql_insert.cc@1.211.1.4, 2007-02-07 00:44:35+03:00, evgen@moonbone.local +16 -10
    Bug#19978: INSERT .. ON DUPLICATE erroneously reports some records were
    updated.
    Now the compare_record() function is used to check whether the record was
    changed and the update of a record reported only if the record differs
    from the original one.

  sql/sql_update.cc@1.211, 2007-02-07 00:44:19+03:00, evgen@moonbone.local +1 -1
    Bug#19978: INSERT .. ON DUPLICATE erroneously reports some records were
    updated.
    The compare_record() function was changed to non-static one.

ChangeSet@1.2377.24.1, 2007-02-06 19:07:48+01:00, hhunger@hh-nb.hungers +219 -0
  copy from test-extra-5.0 to main tree

  BitKeeper/etc/ignore@1.239.1.1, 2007-02-06 19:03:58+01:00, hhunger@hh-nb.hungers +1 -0
    Added mysql-test/mysql-test-run-shell to the ignore list

  mysql-test/suite/funcs_1/README.txt@1.1, 2007-02-06 18:54:34+01:00, hhunger@hh-nb.hungers +112 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/README.txt@1.0, 2007-02-06 18:54:34+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/bitdata/bitdata_master.test@1.1, 2007-02-06 18:54:34+01:00, hhunger@hh-nb.hungers +6 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/bitdata/bitdata_master.test@1.0, 2007-02-06 18:54:34+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/cursors/cursors_master.test@1.1, 2007-02-06 18:54:34+01:00, hhunger@hh-nb.hungers +4 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/cursors/cursors_master.test@1.0, 2007-02-06 18:54:34+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/data/innodb_tb1.txt@1.1, 2007-02-06 18:54:34+01:00, hhunger@hh-nb.hungers +10 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/data/innodb_tb1.txt@1.0, 2007-02-06 18:54:34+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/data/innodb_tb2.txt@1.1, 2007-02-06 18:54:34+01:00, hhunger@hh-nb.hungers +10 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/data/innodb_tb2.txt@1.0, 2007-02-06 18:54:34+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/data/innodb_tb3.txt@1.1, 2007-02-06 18:54:34+01:00, hhunger@hh-nb.hungers +10 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/data/innodb_tb3.txt@1.0, 2007-02-06 18:54:34+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/data/innodb_tb4.txt@1.1, 2007-02-06 18:54:34+01:00, hhunger@hh-nb.hungers +10 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/data/innodb_tb4.txt@1.0, 2007-02-06 18:54:34+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/data/memory_tb1.txt@1.1, 2007-02-06 18:54:34+01:00, hhunger@hh-nb.hungers +10 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/data/memory_tb1.txt@1.0, 2007-02-06 18:54:34+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/data/memory_tb2.txt@1.1, 2007-02-06 18:54:34+01:00, hhunger@hh-nb.hungers +10 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/data/memory_tb2.txt@1.0, 2007-02-06 18:54:34+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/data/memory_tb3.txt@1.1, 2007-02-06 18:54:34+01:00, hhunger@hh-nb.hungers +10 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/data/memory_tb3.txt@1.0, 2007-02-06 18:54:34+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/data/memory_tb4.txt@1.1, 2007-02-06 18:54:34+01:00, hhunger@hh-nb.hungers +10 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/data/memory_tb4.txt@1.0, 2007-02-06 18:54:34+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/data/myisam_tb1.txt@1.1, 2007-02-06 18:54:34+01:00, hhunger@hh-nb.hungers +10 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/data/myisam_tb1.txt@1.0, 2007-02-06 18:54:34+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/data/myisam_tb2.txt@1.1, 2007-02-06 18:54:34+01:00, hhunger@hh-nb.hungers +10 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/data/myisam_tb2.txt@1.0, 2007-02-06 18:54:34+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/data/myisam_tb3.txt@1.1, 2007-02-06 18:54:34+01:00, hhunger@hh-nb.hungers +10 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/data/myisam_tb3.txt@1.0, 2007-02-06 18:54:34+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/data/myisam_tb4.txt@1.1, 2007-02-06 18:54:34+01:00, hhunger@hh-nb.hungers +10 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/data/myisam_tb4.txt@1.0, 2007-02-06 18:54:34+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/data/t3.txt@1.1, 2007-02-06 18:54:34+01:00, hhunger@hh-nb.hungers +10 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/data/t3.txt@1.0, 2007-02-06 18:54:34+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/data/t4.txt@1.1, 2007-02-06 18:54:34+01:00, hhunger@hh-nb.hungers +10 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/data/t4.txt@1.0, 2007-02-06 18:54:34+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/data/t7.txt@1.1, 2007-02-06 18:54:34+01:00, hhunger@hh-nb.hungers +10 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/data/t7.txt@1.0, 2007-02-06 18:54:34+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/data/t9.txt@1.1, 2007-02-06 18:54:34+01:00, hhunger@hh-nb.hungers +10 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/data/t9.txt@1.0, 2007-02-06 18:54:34+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/datadict/datadict_bug_12777.inc@1.1, 2007-02-06 18:54:35+01:00, hhunger@hh-nb.hungers +60 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/datadict/datadict_bug_12777.inc@1.0, 2007-02-06 18:54:35+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/datadict/datadict_load.inc@1.1, 2007-02-06 18:54:35+01:00, hhunger@hh-nb.hungers +121 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/datadict/datadict_load.inc@1.0, 2007-02-06 18:54:35+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/datadict/datadict_master.inc@1.1, 2007-02-06 18:54:35+01:00, hhunger@hh-nb.hungers +3903 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/datadict/datadict_master.inc@1.0, 2007-02-06 18:54:35+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/datadict/datadict_show_schema.inc@1.1, 2007-02-06 18:54:35+01:00, hhunger@hh-nb.hungers +56 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/datadict/datadict_show_schema.inc@1.0, 2007-02-06 18:54:35+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/datadict/datadict_show_table_design.inc@1.1, 2007-02-06 18:54:35+01:00, hhunger@hh-nb.hungers +28 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/datadict/datadict_show_table_design.inc@1.0, 2007-02-06 18:54:35+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/datadict/datadict_tables.inc@1.1, 2007-02-06 18:54:35+01:00, hhunger@hh-nb.hungers +62 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/datadict/datadict_tables.inc@1.0, 2007-02-06 18:54:35+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/datadict/datadict_tables_error.inc@1.1, 2007-02-06 18:54:35+01:00, hhunger@hh-nb.hungers +33 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/datadict/datadict_tables_error.inc@1.0, 2007-02-06 18:54:35+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/datadict/datadict_tables_error_1.inc@1.1, 2007-02-06 18:54:35+01:00, hhunger@hh-nb.hungers +80 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/datadict/datadict_tables_error_1.inc@1.0, 2007-02-06 18:54:35+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/datadict/datadict_tables_error_1044.inc@1.1, 2007-02-06 18:54:35+01:00, hhunger@hh-nb.hungers +51 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/datadict/datadict_tables_error_1044.inc@1.0, 2007-02-06 18:54:35+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/datadict/datadict_tables_error_1049.inc@1.1, 2007-02-06 18:54:35+01:00, hhunger@hh-nb.hungers +49 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/datadict/datadict_tables_error_1049.inc@1.0, 2007-02-06 18:54:35+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/datadict/datadict_tables_error_1051.inc@1.1, 2007-02-06 18:54:35+01:00, hhunger@hh-nb.hungers +49 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/datadict/datadict_tables_error_1051.inc@1.0, 2007-02-06 18:54:35+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/datadict/datadict_tables_error_1146.inc@1.1, 2007-02-06 18:54:35+01:00, hhunger@hh-nb.hungers +49 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/datadict/datadict_tables_error_1146.inc@1.0, 2007-02-06 18:54:35+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/datadict/datadict_tables_error_1288.inc@1.1, 2007-02-06 18:54:35+01:00, hhunger@hh-nb.hungers +49 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/datadict/datadict_tables_error_1288.inc@1.0, 2007-02-06 18:54:35+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/include/create_database.inc@1.1, 2007-02-06 18:54:35+01:00, hhunger@hh-nb.hungers +6 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/include/create_database.inc@1.0, 2007-02-06 18:54:35+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/include/create_user_lowest_priv.inc@1.1, 2007-02-06 18:54:35+01:00, hhunger@hh-nb.hungers +10 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/include/create_user_lowest_priv.inc@1.0, 2007-02-06 18:54:35+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/include/create_user_no_super.inc@1.1, 2007-02-06 18:54:35+01:00, hhunger@hh-nb.hungers +11 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/include/create_user_no_super.inc@1.0, 2007-02-06 18:54:35+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/include/innodb_tb1.inc@1.1, 2007-02-06 18:54:35+01:00, hhunger@hh-nb.hungers +69 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/include/innodb_tb1.inc@1.0, 2007-02-06 18:54:35+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/include/innodb_tb2.inc@1.1, 2007-02-06 18:54:35+01:00, hhunger@hh-nb.hungers +61 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/include/innodb_tb2.inc@1.0, 2007-02-06 18:54:35+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/include/innodb_tb3.inc@1.1, 2007-02-06 18:54:35+01:00, hhunger@hh-nb.hungers +68 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/include/innodb_tb3.inc@1.0, 2007-02-06 18:54:35+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/include/innodb_tb4.inc@1.1, 2007-02-06 18:54:35+01:00, hhunger@hh-nb.hungers +68 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/include/innodb_tb4.inc@1.0, 2007-02-06 18:54:35+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/include/memory_tb1.inc@1.1, 2007-02-06 18:54:35+01:00, hhunger@hh-nb.hungers +63 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/include/memory_tb1.inc@1.0, 2007-02-06 18:54:35+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/include/memory_tb2.inc@1.1, 2007-02-06 18:54:35+01:00, hhunger@hh-nb.hungers +64 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/include/memory_tb2.inc@1.0, 2007-02-06 18:54:35+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/include/memory_tb3.inc@1.1, 2007-02-06 18:54:35+01:00, hhunger@hh-nb.hungers +66 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/include/memory_tb3.inc@1.0, 2007-02-06 18:54:35+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/include/memory_tb4.inc@1.1, 2007-02-06 18:54:35+01:00, hhunger@hh-nb.hungers +70 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/include/memory_tb4.inc@1.0, 2007-02-06 18:54:35+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/include/myisam_tb1.inc@1.1, 2007-02-06 18:54:35+01:00, hhunger@hh-nb.hungers +68 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/include/myisam_tb1.inc@1.0, 2007-02-06 18:54:35+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/include/myisam_tb2.inc@1.1, 2007-02-06 18:54:35+01:00, hhunger@hh-nb.hungers +80 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/include/myisam_tb2.inc@1.0, 2007-02-06 18:54:35+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/include/myisam_tb3.inc@1.1, 2007-02-06 18:54:35+01:00, hhunger@hh-nb.hungers +68 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/include/myisam_tb3.inc@1.0, 2007-02-06 18:54:35+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/include/myisam_tb4.inc@1.1, 2007-02-06 18:54:35+01:00, hhunger@hh-nb.hungers +88 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/include/myisam_tb4.inc@1.0, 2007-02-06 18:54:35+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/include/show_connection.inc@1.1, 2007-02-06 18:54:35+01:00, hhunger@hh-nb.hungers +14 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/include/show_connection.inc@1.0, 2007-02-06 18:54:35+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/include/sp_tb.inc@1.1, 2007-02-06 18:54:35+01:00, hhunger@hh-nb.hungers +68 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/include/sp_tb.inc@1.0, 2007-02-06 18:54:35+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/lib/DataGen_local.pl@1.1, 2007-02-06 18:54:35+01:00, hhunger@hh-nb.hungers +1247 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/lib/DataGen_local.pl@1.0, 2007-02-06 18:54:35+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/lib/DataGen_modify.pl@1.1, 2007-02-06 18:54:35+01:00, hhunger@hh-nb.hungers +3960 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/lib/DataGen_modify.pl@1.0, 2007-02-06 18:54:35+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/r/a_version_check.result@1.1, 2007-02-06 18:54:35+01:00, hhunger@hh-nb.hungers +11 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/r/a_version_check.result@1.0, 2007-02-06 18:54:35+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/r/innodb__datadict.result@1.1, 2007-02-06 18:54:35+01:00, hhunger@hh-nb.hungers +13118 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/r/innodb__datadict.result@1.0, 2007-02-06 18:54:35+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/r/innodb__load.result@1.1, 2007-02-06 18:54:35+01:00, hhunger@hh-nb.hungers +1 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/r/innodb__load.result@1.0, 2007-02-06 18:54:35+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/r/innodb_bitdata.result@1.1, 2007-02-06 18:54:35+01:00, hhunger@hh-nb.hungers +67 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/r/innodb_bitdata.result@1.0, 2007-02-06 18:54:35+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/r/innodb_cursors.result@1.1, 2007-02-06 18:54:35+01:00, hhunger@hh-nb.hungers +81 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/r/innodb_cursors.result@1.0, 2007-02-06 18:54:35+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/r/innodb_func_view.result@1.1, 2007-02-06 18:54:35+01:00, hhunger@hh-nb.hungers +6472 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/r/innodb_func_view.result@1.0, 2007-02-06 18:54:35+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/r/innodb_storedproc.result@1.1, 2007-02-06 18:54:35+01:00, hhunger@hh-nb.hungers +19734 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/r/innodb_storedproc.result@1.0, 2007-02-06 18:54:35+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/r/innodb_storedproc_02.result@1.1, 2007-02-06 18:54:36+01:00, hhunger@hh-nb.hungers +1387 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/r/innodb_storedproc_02.result@1.0, 2007-02-06 18:54:36+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/r/innodb_storedproc_03.result@1.1, 2007-02-06 18:54:36+01:00, hhunger@hh-nb.hungers +490 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/r/innodb_storedproc_03.result@1.0, 2007-02-06 18:54:36+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/r/innodb_storedproc_06.result@1.1, 2007-02-06 18:54:36+01:00, hhunger@hh-nb.hungers +399 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/r/innodb_storedproc_06.result@1.0, 2007-02-06 18:54:36+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/r/innodb_storedproc_07.result@1.1, 2007-02-06 18:54:36+01:00, hhunger@hh-nb.hungers +172 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/r/innodb_storedproc_07.result@1.0, 2007-02-06 18:54:36+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/r/innodb_storedproc_08.result@1.1, 2007-02-06 18:54:36+01:00, hhunger@hh-nb.hungers +637 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/r/innodb_storedproc_08.result@1.0, 2007-02-06 18:54:36+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/r/innodb_storedproc_10.result@1.1, 2007-02-06 18:54:36+01:00, hhunger@hh-nb.hungers +321 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/r/innodb_storedproc_10.result@1.0, 2007-02-06 18:54:36+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/r/innodb_trig_0102.result@1.1, 2007-02-06 18:54:36+01:00, hhunger@hh-nb.hungers +364 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/r/innodb_trig_0102.result@1.0, 2007-02-06 18:54:36+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/r/innodb_trig_03.result@1.1, 2007-02-06 18:54:36+01:00, hhunger@hh-nb.hungers +751 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/r/innodb_trig_03.result@1.0, 2007-02-06 18:54:36+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/r/innodb_trig_0407.result@1.1, 2007-02-06 18:54:36+01:00, hhunger@hh-nb.hungers +480 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/r/innodb_trig_0407.result@1.0, 2007-02-06 18:54:36+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/r/innodb_trig_08.result@1.1, 2007-02-06 18:54:36+01:00, hhunger@hh-nb.hungers +499 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/r/innodb_trig_08.result@1.0, 2007-02-06 18:54:36+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/r/innodb_trig_09.result@1.1, 2007-02-06 18:54:36+01:00, hhunger@hh-nb.hungers +271 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/r/innodb_trig_09.result@1.0, 2007-02-06 18:54:36+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/r/innodb_trig_1011ext.result@1.1, 2007-02-06 18:54:36+01:00, hhunger@hh-nb.hungers +399 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/r/innodb_trig_1011ext.result@1.0, 2007-02-06 18:54:36+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/r/innodb_trig_frkey.result@1.1, 2007-02-06 18:54:36+01:00, hhunger@hh-nb.hungers +140 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/r/innodb_trig_frkey.result@1.0, 2007-02-06 18:54:36+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/r/innodb_triggers.result@1.1, 2007-02-06 18:54:36+01:00, hhunger@hh-nb.hungers +2331 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/r/innodb_triggers.result@1.0, 2007-02-06 18:54:36+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/r/innodb_views.result@1.1, 2007-02-06 18:54:36+01:00, hhunger@hh-nb.hungers +11434 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/r/innodb_views.result@1.0, 2007-02-06 18:54:36+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/r/innodb_views.warnings@1.1, 2007-02-06 18:54:36+01:00, hhunger@hh-nb.hungers +2 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/r/innodb_views.warnings@1.0, 2007-02-06 18:54:36+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/r/memory__datadict.result@1.1, 2007-02-06 18:54:36+01:00, hhunger@hh-nb.hungers +13016 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/r/memory__datadict.result@1.0, 2007-02-06 18:54:36+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/r/memory__load.result@1.1, 2007-02-06 18:54:36+01:00, hhunger@hh-nb.hungers +1 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/r/memory__load.result@1.0, 2007-02-06 18:54:36+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/r/memory_bitdata.result@1.1, 2007-02-06 18:54:36+01:00, hhunger@hh-nb.hungers +68 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/r/memory_bitdata.result@1.0, 2007-02-06 18:54:36+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/r/memory_cursors.result@1.1, 2007-02-06 18:54:36+01:00, hhunger@hh-nb.hungers +78 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/r/memory_cursors.result@1.0, 2007-02-06 18:54:36+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/r/memory_func_view.result@1.1, 2007-02-06 18:54:36+01:00, hhunger@hh-nb.hungers +6472 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/r/memory_func_view.result@1.0, 2007-02-06 18:54:36+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/r/memory_storedproc.result@1.1, 2007-02-06 18:54:36+01:00, hhunger@hh-nb.hungers +19740 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/r/memory_storedproc.result@1.0, 2007-02-06 18:54:36+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/r/memory_storedproc_02.result@1.1, 2007-02-06 18:54:36+01:00, hhunger@hh-nb.hungers +1387 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/r/memory_storedproc_02.result@1.0, 2007-02-06 18:54:36+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/r/memory_storedproc_03.result@1.1, 2007-02-06 18:54:36+01:00, hhunger@hh-nb.hungers +490 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/r/memory_storedproc_03.result@1.0, 2007-02-06 18:54:36+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/r/memory_storedproc_06.result@1.1, 2007-02-06 18:54:36+01:00, hhunger@hh-nb.hungers +399 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/r/memory_storedproc_06.result@1.0, 2007-02-06 18:54:36+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/r/memory_storedproc_07.result@1.1, 2007-02-06 18:54:36+01:00, hhunger@hh-nb.hungers +172 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/r/memory_storedproc_07.result@1.0, 2007-02-06 18:54:36+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/r/memory_storedproc_08.result@1.1, 2007-02-06 18:54:36+01:00, hhunger@hh-nb.hungers +637 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/r/memory_storedproc_08.result@1.0, 2007-02-06 18:54:36+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/r/memory_storedproc_10.result@1.1, 2007-02-06 18:54:36+01:00, hhunger@hh-nb.hungers +321 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/r/memory_storedproc_10.result@1.0, 2007-02-06 18:54:36+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/r/memory_trig_0102.result@1.1, 2007-02-06 18:54:36+01:00, hhunger@hh-nb.hungers +360 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/r/memory_trig_0102.result@1.0, 2007-02-06 18:54:36+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/r/memory_trig_03.result@1.1, 2007-02-06 18:54:36+01:00, hhunger@hh-nb.hungers +747 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/r/memory_trig_03.result@1.0, 2007-02-06 18:54:36+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/r/memory_trig_0407.result@1.1, 2007-02-06 18:54:36+01:00, hhunger@hh-nb.hungers +476 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/r/memory_trig_0407.result@1.0, 2007-02-06 18:54:36+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/r/memory_trig_08.result@1.1, 2007-02-06 18:54:36+01:00, hhunger@hh-nb.hungers +495 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/r/memory_trig_08.result@1.0, 2007-02-06 18:54:36+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/r/memory_trig_09.result@1.1, 2007-02-06 18:54:36+01:00, hhunger@hh-nb.hungers +267 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/r/memory_trig_09.result@1.0, 2007-02-06 18:54:36+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/r/memory_trig_1011ext.result@1.1, 2007-02-06 18:54:36+01:00, hhunger@hh-nb.hungers +402 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/r/memory_trig_1011ext.result@1.0, 2007-02-06 18:54:36+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/r/memory_triggers.result@1.1, 2007-02-06 18:54:36+01:00, hhunger@hh-nb.hungers +2262 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/r/memory_triggers.result@1.0, 2007-02-06 18:54:36+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/r/memory_views.result@1.1, 2007-02-06 18:54:37+01:00, hhunger@hh-nb.hungers +11439 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/r/memory_views.result@1.0, 2007-02-06 18:54:37+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/r/memory_views.warnings@1.1, 2007-02-06 18:54:37+01:00, hhunger@hh-nb.hungers +2 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/r/memory_views.warnings@1.0, 2007-02-06 18:54:37+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/r/myisam__datadict.result@1.1, 2007-02-06 18:54:37+01:00, hhunger@hh-nb.hungers +13270 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/r/myisam__datadict.result@1.0, 2007-02-06 18:54:37+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/r/myisam__load.result@1.1, 2007-02-06 18:54:37+01:00, hhunger@hh-nb.hungers +1 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/r/myisam__load.result@1.0, 2007-02-06 18:54:37+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/r/myisam_bitdata.result@1.1, 2007-02-06 18:54:37+01:00, hhunger@hh-nb.hungers +76 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/r/myisam_bitdata.result@1.0, 2007-02-06 18:54:37+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/r/myisam_cursors.result@1.1, 2007-02-06 18:54:37+01:00, hhunger@hh-nb.hungers +84 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/r/myisam_cursors.result@1.0, 2007-02-06 18:54:37+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/r/myisam_func_view.result@1.1, 2007-02-06 18:54:37+01:00, hhunger@hh-nb.hungers +6472 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/r/myisam_func_view.result@1.0, 2007-02-06 18:54:37+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/r/myisam_storedproc.result@1.1, 2007-02-06 18:54:37+01:00, hhunger@hh-nb.hungers +19740 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/r/myisam_storedproc.result@1.0, 2007-02-06 18:54:37+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/r/myisam_storedproc_02.result@1.1, 2007-02-06 18:54:37+01:00, hhunger@hh-nb.hungers +1387 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/r/myisam_storedproc_02.result@1.0, 2007-02-06 18:54:37+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/r/myisam_storedproc_03.result@1.1, 2007-02-06 18:54:37+01:00, hhunger@hh-nb.hungers +490 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/r/myisam_storedproc_03.result@1.0, 2007-02-06 18:54:37+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/r/myisam_storedproc_06.result@1.1, 2007-02-06 18:54:37+01:00, hhunger@hh-nb.hungers +399 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/r/myisam_storedproc_06.result@1.0, 2007-02-06 18:54:37+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/r/myisam_storedproc_07.result@1.1, 2007-02-06 18:54:37+01:00, hhunger@hh-nb.hungers +172 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/r/myisam_storedproc_07.result@1.0, 2007-02-06 18:54:37+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/r/myisam_storedproc_08.result@1.1, 2007-02-06 18:54:37+01:00, hhunger@hh-nb.hungers +637 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/r/myisam_storedproc_08.result@1.0, 2007-02-06 18:54:37+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/r/myisam_storedproc_10.result@1.1, 2007-02-06 18:54:37+01:00, hhunger@hh-nb.hungers +321 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/r/myisam_storedproc_10.result@1.0, 2007-02-06 18:54:37+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/r/myisam_trig_0102.result@1.1, 2007-02-06 18:54:37+01:00, hhunger@hh-nb.hungers +364 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/r/myisam_trig_0102.result@1.0, 2007-02-06 18:54:37+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/r/myisam_trig_03.result@1.1, 2007-02-06 18:54:37+01:00, hhunger@hh-nb.hungers +751 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/r/myisam_trig_03.result@1.0, 2007-02-06 18:54:37+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/r/myisam_trig_0407.result@1.1, 2007-02-06 18:54:37+01:00, hhunger@hh-nb.hungers +480 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/r/myisam_trig_0407.result@1.0, 2007-02-06 18:54:37+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/r/myisam_trig_08.result@1.1, 2007-02-06 18:54:37+01:00, hhunger@hh-nb.hungers +499 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/r/myisam_trig_08.result@1.0, 2007-02-06 18:54:37+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/r/myisam_trig_09.result@1.1, 2007-02-06 18:54:37+01:00, hhunger@hh-nb.hungers +271 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/r/myisam_trig_09.result@1.0, 2007-02-06 18:54:37+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/r/myisam_trig_1011ext.result@1.1, 2007-02-06 18:54:37+01:00, hhunger@hh-nb.hungers +406 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/r/myisam_trig_1011ext.result@1.0, 2007-02-06 18:54:37+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/r/myisam_triggers.result@1.1, 2007-02-06 18:54:37+01:00, hhunger@hh-nb.hungers +2266 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/r/myisam_triggers.result@1.0, 2007-02-06 18:54:37+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/r/myisam_views.result@1.1, 2007-02-06 18:54:37+01:00, hhunger@hh-nb.hungers +10761 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/r/myisam_views.result@1.0, 2007-02-06 18:54:37+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/r/myisam_views.warnings@1.1, 2007-02-06 18:54:37+01:00, hhunger@hh-nb.hungers +2 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/r/myisam_views.warnings@1.0, 2007-02-06 18:54:37+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/storedproc/cleanup_sp_tb.inc@1.1, 2007-02-06 18:54:37+01:00, hhunger@hh-nb.hungers +9 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/storedproc/cleanup_sp_tb.inc@1.0, 2007-02-06 18:54:37+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/storedproc/load_sp_tb.inc@1.1, 2007-02-06 18:54:37+01:00, hhunger@hh-nb.hungers +68 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/storedproc/load_sp_tb.inc@1.0, 2007-02-06 18:54:37+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/storedproc/storedproc_02.inc@1.1, 2007-02-06 18:54:37+01:00, hhunger@hh-nb.hungers +1531 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/storedproc/storedproc_02.inc@1.0, 2007-02-06 18:54:37+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/storedproc/storedproc_03.inc@1.1, 2007-02-06 18:54:37+01:00, hhunger@hh-nb.hungers +464 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/storedproc/storedproc_03.inc@1.0, 2007-02-06 18:54:37+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/storedproc/storedproc_06.inc@1.1, 2007-02-06 18:54:37+01:00, hhunger@hh-nb.hungers +452 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/storedproc/storedproc_06.inc@1.0, 2007-02-06 18:54:37+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/storedproc/storedproc_07.inc@1.1, 2007-02-06 18:54:37+01:00, hhunger@hh-nb.hungers +118 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/storedproc/storedproc_07.inc@1.0, 2007-02-06 18:54:37+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/storedproc/storedproc_08.inc@1.1, 2007-02-06 18:54:37+01:00, hhunger@hh-nb.hungers +118 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/storedproc/storedproc_08.inc@1.0, 2007-02-06 18:54:37+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/storedproc/storedproc_08_show.inc@1.1, 2007-02-06 18:54:37+01:00, hhunger@hh-nb.hungers +30 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/storedproc/storedproc_08_show.inc@1.0, 2007-02-06 18:54:37+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/storedproc/storedproc_10.inc@1.1, 2007-02-06 18:54:37+01:00, hhunger@hh-nb.hungers +288 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/storedproc/storedproc_10.inc@1.0, 2007-02-06 18:54:37+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/storedproc/storedproc_master.inc@1.1, 2007-02-06 18:54:37+01:00, hhunger@hh-nb.hungers +29346 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/storedproc/storedproc_master.inc@1.0, 2007-02-06 18:54:37+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/t/a_version_check.test@1.1, 2007-02-06 18:54:37+01:00, hhunger@hh-nb.hungers +29 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/t/a_version_check.test@1.0, 2007-02-06 18:54:37+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/t/disabled.def@1.1, 2007-02-06 18:54:37+01:00, hhunger@hh-nb.hungers +15 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/t/disabled.def@1.0, 2007-02-06 18:54:37+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/t/innodb__datadict.test@1.1, 2007-02-06 18:54:38+01:00, hhunger@hh-nb.hungers +7 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/t/innodb__datadict.test@1.0, 2007-02-06 18:54:38+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/t/innodb__load.test@1.1, 2007-02-06 18:54:38+01:00, hhunger@hh-nb.hungers +47 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/t/innodb__load.test@1.0, 2007-02-06 18:54:38+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/t/innodb_bitdata.test@1.1, 2007-02-06 18:54:38+01:00, hhunger@hh-nb.hungers +34 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/t/innodb_bitdata.test@1.0, 2007-02-06 18:54:38+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/t/innodb_cursors.test@1.1, 2007-02-06 18:54:38+01:00, hhunger@hh-nb.hungers +34 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/t/innodb_cursors.test@1.0, 2007-02-06 18:54:38+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/t/innodb_func_view.test@1.1, 2007-02-06 18:54:38+01:00, hhunger@hh-nb.hungers +16 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/t/innodb_func_view.test@1.0, 2007-02-06 18:54:38+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/t/innodb_storedproc.test@1.1, 2007-02-06 18:54:38+01:00, hhunger@hh-nb.hungers +6 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/t/innodb_storedproc.test@1.0, 2007-02-06 18:54:38+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/t/innodb_storedproc_02.test@1.1, 2007-02-06 18:54:38+01:00, hhunger@hh-nb.hungers +9 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/t/innodb_storedproc_02.test@1.0, 2007-02-06 18:54:38+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/t/innodb_storedproc_03.test@1.1, 2007-02-06 18:54:38+01:00, hhunger@hh-nb.hungers +9 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/t/innodb_storedproc_03.test@1.0, 2007-02-06 18:54:38+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/t/innodb_storedproc_06.test@1.1, 2007-02-06 18:54:38+01:00, hhunger@hh-nb.hungers +9 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/t/innodb_storedproc_06.test@1.0, 2007-02-06 18:54:38+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/t/innodb_storedproc_07.test@1.1, 2007-02-06 18:54:38+01:00, hhunger@hh-nb.hungers +9 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/t/innodb_storedproc_07.test@1.0, 2007-02-06 18:54:38+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/t/innodb_storedproc_08.test@1.1, 2007-02-06 18:54:38+01:00, hhunger@hh-nb.hungers +9 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/t/innodb_storedproc_08.test@1.0, 2007-02-06 18:54:38+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/t/innodb_storedproc_10.test@1.1, 2007-02-06 18:54:38+01:00, hhunger@hh-nb.hungers +9 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/t/innodb_storedproc_10.test@1.0, 2007-02-06 18:54:38+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/t/innodb_trig_0102.test@1.1, 2007-02-06 18:54:38+01:00, hhunger@hh-nb.hungers +34 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/t/innodb_trig_0102.test@1.0, 2007-02-06 18:54:38+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/t/innodb_trig_03.test@1.1, 2007-02-06 18:54:38+01:00, hhunger@hh-nb.hungers +34 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/t/innodb_trig_03.test@1.0, 2007-02-06 18:54:38+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/t/innodb_trig_0407.test@1.1, 2007-02-06 18:54:38+01:00, hhunger@hh-nb.hungers +34 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/t/innodb_trig_0407.test@1.0, 2007-02-06 18:54:38+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/t/innodb_trig_08.test@1.1, 2007-02-06 18:54:38+01:00, hhunger@hh-nb.hungers +34 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/t/innodb_trig_08.test@1.0, 2007-02-06 18:54:38+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/t/innodb_trig_09.test@1.1, 2007-02-06 18:54:38+01:00, hhunger@hh-nb.hungers +34 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/t/innodb_trig_09.test@1.0, 2007-02-06 18:54:38+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/t/innodb_trig_1011ext.test@1.1, 2007-02-06 18:54:38+01:00, hhunger@hh-nb.hungers +34 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/t/innodb_trig_1011ext.test@1.0, 2007-02-06 18:54:38+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/t/innodb_trig_frkey.test@1.1, 2007-02-06 18:54:38+01:00, hhunger@hh-nb.hungers +34 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/t/innodb_trig_frkey.test@1.0, 2007-02-06 18:54:38+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/t/innodb_views.test@1.1, 2007-02-06 18:54:38+01:00, hhunger@hh-nb.hungers +46 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/t/innodb_views.test@1.0, 2007-02-06 18:54:38+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/t/memory__datadict.test@1.1, 2007-02-06 18:54:38+01:00, hhunger@hh-nb.hungers +5 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/t/memory__datadict.test@1.0, 2007-02-06 18:54:38+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/t/memory__load.test@1.1, 2007-02-06 18:54:38+01:00, hhunger@hh-nb.hungers +45 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/t/memory__load.test@1.0, 2007-02-06 18:54:38+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/t/memory_bitdata.test@1.1, 2007-02-06 18:54:38+01:00, hhunger@hh-nb.hungers +32 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/t/memory_bitdata.test@1.0, 2007-02-06 18:54:38+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/t/memory_cursors.test@1.1, 2007-02-06 18:54:38+01:00, hhunger@hh-nb.hungers +32 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/t/memory_cursors.test@1.0, 2007-02-06 18:54:38+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/t/memory_func_view.test@1.1, 2007-02-06 18:54:38+01:00, hhunger@hh-nb.hungers +15 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/t/memory_func_view.test@1.0, 2007-02-06 18:54:38+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/t/memory_storedproc.test@1.1, 2007-02-06 18:54:38+01:00, hhunger@hh-nb.hungers +6 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/t/memory_storedproc.test@1.0, 2007-02-06 18:54:38+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/t/memory_storedproc_02.test@1.1, 2007-02-06 18:54:38+01:00, hhunger@hh-nb.hungers +6 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/t/memory_storedproc_02.test@1.0, 2007-02-06 18:54:38+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/t/memory_storedproc_03.test@1.1, 2007-02-06 18:54:38+01:00, hhunger@hh-nb.hungers +6 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/t/memory_storedproc_03.test@1.0, 2007-02-06 18:54:38+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/t/memory_storedproc_06.test@1.1, 2007-02-06 18:54:38+01:00, hhunger@hh-nb.hungers +6 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/t/memory_storedproc_06.test@1.0, 2007-02-06 18:54:38+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/t/memory_storedproc_07.test@1.1, 2007-02-06 18:54:38+01:00, hhunger@hh-nb.hungers +6 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/t/memory_storedproc_07.test@1.0, 2007-02-06 18:54:38+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/t/memory_storedproc_08.test@1.1, 2007-02-06 18:54:38+01:00, hhunger@hh-nb.hungers +6 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/t/memory_storedproc_08.test@1.0, 2007-02-06 18:54:38+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/t/memory_storedproc_10.test@1.1, 2007-02-06 18:54:38+01:00, hhunger@hh-nb.hungers +6 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/t/memory_storedproc_10.test@1.0, 2007-02-06 18:54:38+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/t/memory_trig_0102.test@1.1, 2007-02-06 18:54:38+01:00, hhunger@hh-nb.hungers +32 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/t/memory_trig_0102.test@1.0, 2007-02-06 18:54:38+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/t/memory_trig_03.test@1.1, 2007-02-06 18:54:38+01:00, hhunger@hh-nb.hungers +32 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/t/memory_trig_03.test@1.0, 2007-02-06 18:54:38+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/t/memory_trig_0407.test@1.1, 2007-02-06 18:54:38+01:00, hhunger@hh-nb.hungers +32 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/t/memory_trig_0407.test@1.0, 2007-02-06 18:54:38+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/t/memory_trig_08.test@1.1, 2007-02-06 18:54:38+01:00, hhunger@hh-nb.hungers +32 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/t/memory_trig_08.test@1.0, 2007-02-06 18:54:38+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/t/memory_trig_09.test@1.1, 2007-02-06 18:54:38+01:00, hhunger@hh-nb.hungers +32 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/t/memory_trig_09.test@1.0, 2007-02-06 18:54:38+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/t/memory_trig_1011ext.test@1.1, 2007-02-06 18:54:38+01:00, hhunger@hh-nb.hungers +32 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/t/memory_trig_1011ext.test@1.0, 2007-02-06 18:54:38+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/t/memory_views.test@1.1, 2007-02-06 18:54:39+01:00, hhunger@hh-nb.hungers +44 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/t/memory_views.test@1.0, 2007-02-06 18:54:39+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/t/myisam__datadict.test@1.1, 2007-02-06 18:54:39+01:00, hhunger@hh-nb.hungers +5 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/t/myisam__datadict.test@1.0, 2007-02-06 18:54:39+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/t/myisam__load.test@1.1, 2007-02-06 18:54:39+01:00, hhunger@hh-nb.hungers +45 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/t/myisam__load.test@1.0, 2007-02-06 18:54:39+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/t/myisam_bitdata.test@1.1, 2007-02-06 18:54:39+01:00, hhunger@hh-nb.hungers +32 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/t/myisam_bitdata.test@1.0, 2007-02-06 18:54:39+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/t/myisam_cursors.test@1.1, 2007-02-06 18:54:39+01:00, hhunger@hh-nb.hungers +32 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/t/myisam_cursors.test@1.0, 2007-02-06 18:54:39+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/t/myisam_func_view.test@1.1, 2007-02-06 18:54:39+01:00, hhunger@hh-nb.hungers +15 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/t/myisam_func_view.test@1.0, 2007-02-06 18:54:39+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/t/myisam_storedproc.test@1.1, 2007-02-06 18:54:39+01:00, hhunger@hh-nb.hungers +6 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/t/myisam_storedproc.test@1.0, 2007-02-06 18:54:39+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/t/myisam_storedproc_02.test@1.1, 2007-02-06 18:54:39+01:00, hhunger@hh-nb.hungers +6 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/t/myisam_storedproc_02.test@1.0, 2007-02-06 18:54:39+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/t/myisam_storedproc_03.test@1.1, 2007-02-06 18:54:39+01:00, hhunger@hh-nb.hungers +6 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/t/myisam_storedproc_03.test@1.0, 2007-02-06 18:54:39+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/t/myisam_storedproc_06.test@1.1, 2007-02-06 18:54:39+01:00, hhunger@hh-nb.hungers +6 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/t/myisam_storedproc_06.test@1.0, 2007-02-06 18:54:39+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/t/myisam_storedproc_07.test@1.1, 2007-02-06 18:54:39+01:00, hhunger@hh-nb.hungers +6 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/t/myisam_storedproc_07.test@1.0, 2007-02-06 18:54:39+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/t/myisam_storedproc_08.test@1.1, 2007-02-06 18:54:39+01:00, hhunger@hh-nb.hungers +6 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/t/myisam_storedproc_08.test@1.0, 2007-02-06 18:54:39+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/t/myisam_storedproc_10.test@1.1, 2007-02-06 18:54:39+01:00, hhunger@hh-nb.hungers +6 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/t/myisam_storedproc_10.test@1.0, 2007-02-06 18:54:39+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/t/myisam_trig_0102.test@1.1, 2007-02-06 18:54:39+01:00, hhunger@hh-nb.hungers +32 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/t/myisam_trig_0102.test@1.0, 2007-02-06 18:54:39+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/t/myisam_trig_03.test@1.1, 2007-02-06 18:54:39+01:00, hhunger@hh-nb.hungers +32 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/t/myisam_trig_03.test@1.0, 2007-02-06 18:54:39+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/t/myisam_trig_0407.test@1.1, 2007-02-06 18:54:39+01:00, hhunger@hh-nb.hungers +32 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/t/myisam_trig_0407.test@1.0, 2007-02-06 18:54:39+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/t/myisam_trig_08.test@1.1, 2007-02-06 18:54:39+01:00, hhunger@hh-nb.hungers +32 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/t/myisam_trig_08.test@1.0, 2007-02-06 18:54:39+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/t/myisam_trig_09.test@1.1, 2007-02-06 18:54:39+01:00, hhunger@hh-nb.hungers +32 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/t/myisam_trig_09.test@1.0, 2007-02-06 18:54:39+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/t/myisam_trig_1011ext.test@1.1, 2007-02-06 18:54:39+01:00, hhunger@hh-nb.hungers +32 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/t/myisam_trig_1011ext.test@1.0, 2007-02-06 18:54:39+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/t/myisam_views.test@1.1, 2007-02-06 18:54:39+01:00, hhunger@hh-nb.hungers +49 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/t/myisam_views.test@1.0, 2007-02-06 18:54:39+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/triggers/trig_frkey.inc@1.1, 2007-02-06 18:54:39+01:00, hhunger@hh-nb.hungers +93 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/triggers/trig_frkey.inc@1.0, 2007-02-06 18:54:39+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/triggers/trig_frkey2.inc@1.1, 2007-02-06 18:54:39+01:00, hhunger@hh-nb.hungers +244 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/triggers/trig_frkey2.inc@1.0, 2007-02-06 18:54:39+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/triggers/triggers_0102.inc@1.1, 2007-02-06 18:54:39+01:00, hhunger@hh-nb.hungers +447 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/triggers/triggers_0102.inc@1.0, 2007-02-06 18:54:39+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/triggers/triggers_03.inc@1.1, 2007-02-06 18:54:39+01:00, hhunger@hh-nb.hungers +735 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/triggers/triggers_03.inc@1.0, 2007-02-06 18:54:39+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/triggers/triggers_0407.inc@1.1, 2007-02-06 18:54:39+01:00, hhunger@hh-nb.hungers +611 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/triggers/triggers_0407.inc@1.0, 2007-02-06 18:54:39+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/triggers/triggers_08.inc@1.1, 2007-02-06 18:54:39+01:00, hhunger@hh-nb.hungers +531 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/triggers/triggers_08.inc@1.0, 2007-02-06 18:54:39+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/triggers/triggers_09.inc@1.1, 2007-02-06 18:54:39+01:00, hhunger@hh-nb.hungers +318 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/triggers/triggers_09.inc@1.0, 2007-02-06 18:54:39+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/triggers/triggers_1011ext.inc@1.1, 2007-02-06 18:54:39+01:00, hhunger@hh-nb.hungers +401 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/triggers/triggers_1011ext.inc@1.0, 2007-02-06 18:54:39+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/triggers/triggers_master.test@1.1, 2007-02-06 18:54:39+01:00, hhunger@hh-nb.hungers +2818 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/triggers/triggers_master.test@1.0, 2007-02-06 18:54:39+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/views/func_view.inc@1.1, 2007-02-06 18:54:39+01:00, hhunger@hh-nb.hungers +1404 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/views/func_view.inc@1.0, 2007-02-06 18:54:39+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/views/fv1.inc@1.1, 2007-02-06 18:54:39+01:00, hhunger@hh-nb.hungers +5 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/views/fv1.inc@1.0, 2007-02-06 18:54:39+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/views/fv2.inc@1.1, 2007-02-06 18:54:39+01:00, hhunger@hh-nb.hungers +5 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/views/fv2.inc@1.0, 2007-02-06 18:54:39+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/views/fv_cast.inc@1.1, 2007-02-06 18:54:39+01:00, hhunger@hh-nb.hungers +4 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/views/fv_cast.inc@1.0, 2007-02-06 18:54:39+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/views/fv_if1.inc@1.1, 2007-02-06 18:54:39+01:00, hhunger@hh-nb.hungers +4 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/views/fv_if1.inc@1.0, 2007-02-06 18:54:39+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/views/fv_if2.inc@1.1, 2007-02-06 18:54:39+01:00, hhunger@hh-nb.hungers +4 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/views/fv_if2.inc@1.0, 2007-02-06 18:54:39+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/views/fv_ifnull.inc@1.1, 2007-02-06 18:54:40+01:00, hhunger@hh-nb.hungers +4 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/views/fv_ifnull.inc@1.0, 2007-02-06 18:54:40+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_1/views/views_master.inc@1.1, 2007-02-06 18:54:40+01:00, hhunger@hh-nb.hungers +4032 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_1/views/views_master.inc@1.0, 2007-02-06 18:54:40+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_2/charset/charset_master.test@1.1, 2007-02-06 18:54:40+01:00, hhunger@hh-nb.hungers +606 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_2/charset/charset_master.test@1.0, 2007-02-06 18:54:40+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_2/data/charset_utf8.txt@1.1, 2007-02-06 18:54:40+01:00, hhunger@hh-nb.hungers +2527 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_2/data/charset_utf8.txt@1.0, 2007-02-06 18:54:40+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_2/include/check_charset.inc@1.1, 2007-02-06 19:07:44+01:00, hhunger@hh-nb.hungers +40 -0
    finished files with newline
    

  mysql-test/suite/funcs_2/include/check_charset.inc@1.0, 2007-02-06 19:07:44+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_2/include/check_charset_ucs2.inc@1.1, 2007-02-06 19:03:58+01:00, hhunger@hh-nb.hungers +22 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_2/include/check_charset_ucs2.inc@1.0, 2007-02-06 19:03:58+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_2/include/check_charset_utf8.inc@1.1, 2007-02-06 19:03:58+01:00, hhunger@hh-nb.hungers +21 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_2/include/check_charset_utf8.inc@1.0, 2007-02-06 19:03:58+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_2/lib/gen_charset_utf8.pl@1.1, 2007-02-06 19:03:58+01:00, hhunger@hh-nb.hungers +60 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_2/lib/gen_charset_utf8.pl@1.0, 2007-02-06 19:03:58+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_2/r/innodb_charset.result@1.1, 2007-02-06 19:03:58+01:00, hhunger@hh-nb.hungers +120000 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_2/r/innodb_charset.result@1.0, 2007-02-06 19:03:58+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_2/r/memory_charset.result@1.1, 2007-02-06 19:03:58+01:00, hhunger@hh-nb.hungers +120000 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_2/r/memory_charset.result@1.0, 2007-02-06 19:03:58+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_2/r/myisam_charset.result@1.1, 2007-02-06 19:03:58+01:00, hhunger@hh-nb.hungers +120000 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_2/r/myisam_charset.result@1.0, 2007-02-06 19:03:58+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_2/r/ndb_charset.result@1.1, 2007-02-06 19:03:58+01:00, hhunger@hh-nb.hungers +120000 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_2/r/ndb_charset.result@1.0, 2007-02-06 19:03:58+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_2/readme.txt@1.1, 2007-02-06 18:54:40+01:00, hhunger@hh-nb.hungers +22 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_2/readme.txt@1.0, 2007-02-06 18:54:40+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_2/t/innodb_charset.test@1.1, 2007-02-06 19:03:58+01:00, hhunger@hh-nb.hungers +11 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_2/t/innodb_charset.test@1.0, 2007-02-06 19:03:58+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_2/t/memory_charset.test@1.1, 2007-02-06 19:03:58+01:00, hhunger@hh-nb.hungers +9 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_2/t/memory_charset.test@1.0, 2007-02-06 19:03:58+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_2/t/myisam_charset.test@1.1, 2007-02-06 19:03:58+01:00, hhunger@hh-nb.hungers +9 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_2/t/myisam_charset.test@1.0, 2007-02-06 19:03:58+01:00, hhunger@hh-nb.hungers +0 -0

  mysql-test/suite/funcs_2/t/ndb_charset.test@1.1, 2007-02-06 19:03:58+01:00, hhunger@hh-nb.hungers +12 -0
    copy from test-extra-5.0 to main tree

  mysql-test/suite/funcs_2/t/ndb_charset.test@1.0, 2007-02-06 19:03:58+01:00, hhunger@hh-nb.hungers +0 -0

ChangeSet@1.2401.2.2, 2007-02-06 17:33:11+01:00, msvensson@neptunus.(none) +1 -0
  Bug#24157 openssl_1 regression test is broken two different ways
   - Send output from 'ERR_print_errors_fp' to DBUG_FILE if --debug is used

  vio/viosslfactories.c@1.30.1.1, 2007-02-06 17:33:09+01:00, msvensson@neptunus.(none) +14 -9
    Send output from 'ERR_print_errors_fp' to DBUG_FILE if --debug is used

ChangeSet@1.2402.1.4, 2007-02-06 16:38:32+01:00, msvensson@pilot.mysql.com +1 -0
  Correct the non working check for --skip-log-bin in "extra_opt"

  mysql-test/mysql-test-run.pl@1.196, 2007-02-06 16:38:30+01:00, msvensson@pilot.mysql.com +1 -1
    Correct the non working check for --skip-log-bin in "extra_opt"

ChangeSet@1.2401.2.1, 2007-02-06 16:28:36+01:00, msvensson@neptunus.(none) +3 -0
  Bug#25988 openssl_1 Test Case Fails
   - Small difference in output from 'X509_NAME_Oneline' between OpenSSL and yaSSL. OpenSSL uses
     an extension that allow's the email adress of the cert holder.   
   - Imported patch for yaSSL "add email to DN output"

  extra/yassl/taocrypt/src/asn.cpp@1.14, 2007-02-05 19:11:06+01:00, msvensson@neptunus.(none) +13 -1
    Import patch yassl.diff

  mysql-test/r/openssl_1.result@1.17, 2007-02-06 16:28:33+01:00, msvensson@neptunus.(none) +2 -2
    Update result file

  mysql-test/t/openssl_1.test@1.17, 2007-02-06 16:28:33+01:00, msvensson@neptunus.(none) +2 -2
    Update test to include "emailAddress=" tag in the required SUBJECT for grant.

ChangeSet@1.2347.5.1, 2007-02-06 14:19:07+01:00, msvensson@pilot.mysql.com +3 -0
  Bug#24805 mtr.pl can't handle test with --disable-log-bin
  - Don't give mysqld the --log-bin argument if .opt file
    contains --skip-log-bin
  - Enable flush2 test

  mysql-test/mysql-test-run.pl@1.184.3.1, 2007-02-06 14:19:06+01:00, msvensson@pilot.mysql.com +8 -3
    Don't give mysqld the --log-bin argument if .opt file contains --skip-log-bin 
    Don't pass mysqld --binlog-format=s if --skip-log-bin 

  mysql-test/t/disabled.def@1.36.2.1, 2007-02-06 14:19:06+01:00, msvensson@pilot.mysql.com +0 -1
    Enable flush2

  mysql-test/t/flush2-master.opt@1.2, 2007-02-06 14:19:06+01:00, msvensson@pilot.mysql.com +1 -1
    Use --skip-log-bin in flush2 to test flush without bin logging

ChangeSet@1.1616.2936.2, 2007-02-06 14:07:40+01:00, msvensson@neptunus.(none) +1 -0
  Bug#8983 one place that isn't strict-aliasing-safe
   - Backport fix from 5.0

  sql/sql_prepare.cc@1.34.37.1, 2007-02-06 14:07:37+01:00, msvensson@neptunus.(none) +6 -5
    Avoid problems with -no-strict-aliasing in gcc 4.0+

ChangeSet@1.2347.4.2, 2007-02-06 15:58:40+04:00, ramil@mysql.com +1 -0
  Fix for bug #23782: Stored procedures: crash if variable in procedure
  analyse
  
  We have to call fix_fields() for procedure analyse' arguments as they may   
  not be
  fixed in some circumstances.
  
  (as the crash appears when mysqld starts skipping binlog, a test case
  will be added when we can --skip-bin-log in -master.opt)

  sql/sql_analyse.cc@1.68.1.1, 2007-02-06 15:52:18+04:00, ramil@mysql.com +10 -0
    Fix for bug #23782: Stored procedures: crash if variable in procedure
    analyse
      - call fix_fields() if arguments are not fixed.

ChangeSet@1.2377.23.2, 2007-02-06 11:08:57+02:00, gkodinov@macbook.gmz +5 -0
  Bug #22344: InnoDB keys act strange on datetime vs timestamp comparison
   Ignoring error codes from type conversion allows default (wrong) values to
   go unnoticed in the formation of index search conditions.
   Fixed by correctly checking for conversion errors.

  mysql-test/r/select.result@1.145.1.3, 2007-02-06 11:08:47+02:00, gkodinov@macbook.gmz +28 -0
    Bug #22344: InnoDB keys act strange on datetime vs timestamp comparison
     - test case

  mysql-test/t/select.test@1.119.1.3, 2007-02-06 11:08:48+02:00, gkodinov@macbook.gmz +23 -0
    Bug #22344: InnoDB keys act strange on datetime vs timestamp comparison
     - test case

  sql/field.h@1.196.1.1, 2007-02-06 11:08:48+02:00, gkodinov@macbook.gmz +2 -2
    Bug #22344: InnoDB keys act strange on datetime vs timestamp comparison
     - don't ignore coversion errors

  sql/field_conv.cc@1.59.1.1, 2007-02-06 11:08:49+02:00, gkodinov@macbook.gmz +7 -8
    Bug #22344: InnoDB keys act strange on datetime vs timestamp comparison
     - don't ignore coversion errors

  sql/item.cc@1.253, 2007-02-06 11:08:50+02:00, gkodinov@macbook.gmz +6 -5
    Bug #22344: InnoDB keys act strange on datetime vs timestamp comparison
     - don't ignore coversion errors

ChangeSet@1.1616.2877.46, 2007-02-05 17:09:44+02:00, jani@a88-113-38-195.elisa-laajakaista.fi +3 -0
  Test and bug fixes and removed unneccessary files.

  BitKeeper/etc/gone@1.92.1.3, 2007-02-05 17:03:23+02:00, jani@a88-113-38-195.elisa-laajakaista.fi +6 -0

  mysys/my_getopt.c@1.50.1.3, 2007-02-05 17:09:42+02:00, jani@a88-113-38-195.elisa-laajakaista.fi +1 -0
    Fixes problem with getting output lines from
    my_getopt in random places in tests.

  sql/sql_prepare.cc@1.34.36.5, 2007-02-05 17:09:42+02:00, jani@a88-113-38-195.elisa-laajakaista.fi +2 -1
    Fixes problem with failing mysql_client_test
    on some machines. This is actually a problem
    with prepared statements.

ChangeSet@1.2377.4.21, 2007-02-03 09:26:11+01:00, istruewing@chilla.local +1 -0
  After merge fix

  sql/examples/ha_tina.cc@1.28, 2007-02-03 09:26:08+01:00, istruewing@chilla.local +0 -11
    After merge fix

ChangeSet@1.2377.22.1, 2007-02-02 15:22:10-08:00, igor@olga.mysql.com +3 -0
  Fix bug #24035.
  This performance degradation for UPDATEs could be observed in the update
  statements for which the search key cannot be converted to any valid
  value of the type of the search column, like for a  the condition
  int_fld=99999999999999999999999999, though it can be guaranteed here
  that there is no row with such a key value. 

  mysql-test/r/update.result@1.31, 2007-02-02 15:22:08-08:00, igor@olga.mysql.com +57 -0
    Added a test case for bug #24035.

  mysql-test/t/update.test@1.29, 2007-02-02 15:22:08-08:00, igor@olga.mysql.com +35 -0
    Added a test case for bug #24035.

  sql/opt_range.cc@1.239, 2007-02-02 15:22:08-08:00, igor@olga.mysql.com +16 -1
    Fix bug #24035.
    This performance degradation for could be observed in the update
    statements for which the search key cannot be converted to any valid
    value of the type of the search column, like for a  the condition
    int_fld=99999999999999999999999999, though it can be guaranteed here
    that there is no row with such a key value. 
    Now the function get_mm_leaf creates trees of the type SEL_ARG::IMPOSSIBLE 
    for such conditions that tells the range scan not to perform any search
    at all.  

ChangeSet@1.1616.2877.44, 2007-02-02 20:19:13+01:00, istruewing@chilla.local +1 -0
  After merge fix

  sql/mysqld.cc@1.356.113.3, 2007-02-02 20:19:11+01:00, istruewing@chilla.local +4 -0
    After merge fix

ChangeSet@1.2399.1.1, 2007-02-02 13:11:44-05:00, cmiller@zippy.cornsilk.net +1 -0
  Reverting previous change from 1L -> 1ULL and LL(1) -> 1ULL and 
  making all to be uniform ULL(1), which is a local definition.

  sql/mysql_priv.h@1.431.1.2, 2007-02-02 13:11:42-05:00, cmiller@zippy.cornsilk.net +33 -33
    Reverting previous change from 1L -> 1ULL and LL(1) -> 1ULL and 
    making all to be uniform ULL(1), which is a local definition.

ChangeSet@1.1616.2959.3, 2007-02-02 17:18:42+04:00, gluh@mysql.com +3 -0
  another valgrind error fix for 4.1(backport from 5.0)

  sql/examples/ha_tina.cc@1.3.1.9, 2007-02-02 17:18:41+04:00, gluh@mysql.com +12 -0
    another valgrind error fix for 4.1(backport from 5.0)

  sql/examples/ha_tina.h@1.2.1.2, 2007-02-02 17:18:41+04:00, gluh@mysql.com +2 -0
    another valgrind error fix for 4.1(backport from 5.0)

  sql/handler.cc@1.103.19.22, 2007-02-02 17:18:41+04:00, gluh@mysql.com +4 -0
    another valgrind error fix for 4.1(backport from 5.0)

ChangeSet@1.1616.2959.2, 2007-02-02 15:01:11+04:00, gluh@mysql.com +1 -0
  Valgrind errors
  added valgrind.supp to EXTRA_SCRIPTS(for pushbuild)

  mysql-test/Makefile.am@1.39.1.20, 2007-02-02 15:01:10+04:00, gluh@mysql.com +1 -1
    Valgrind errors
    added valgrind.supp to EXTRA_SCRIPTS(for pushbuild)

ChangeSet@1.1616.2877.43, 2007-02-02 10:01:44+01:00, istruewing@chilla.local +4 -0
  After merge fix

  include/my_pthread.h@1.65.1.20, 2007-02-02 10:01:43+01:00, istruewing@chilla.local +0 -1
    After merge fix

  include/thr_alarm.h@1.17.1.3, 2007-02-02 10:01:43+01:00, istruewing@chilla.local +1 -0
    After merge fix

  mysys/my_pthread.c@1.37.1.9, 2007-02-02 10:01:43+01:00, istruewing@chilla.local +0 -3
    After merge fix

  mysys/my_thr_init.c@1.30.1.2, 2007-02-02 10:01:43+01:00, istruewing@chilla.local +0 -4
    After merge fix

ChangeSet@1.1616.2960.1, 2007-02-01 19:51:02+04:00, ramil@mysql.com +1 -0
  Fix for bug #26012: missed Field_double::size_of()
  
  As we have Field_double::not_fixed we must have Field_double::size_of().

  sql/field.h@1.120.2.1, 2007-02-01 19:51:01+04:00, ramil@mysql.com +1 -0
    Fix for bug #26012: missed Field_double::size_of()
      - Field_double::size_of() added.

ChangeSet@1.2377.4.17, 2007-02-01 19:12:45+04:00, gluh@mysql.com +3 -0
  Bug#23299 Some queries against INFORMATION_SCHEMA with subqueries fail
  additional call of file->extra() method with HA_EXTRA_NO_CACHE parameter

  mysql-test/r/information_schema.result@1.117.1.1, 2007-02-01 19:12:44+04:00, gluh@mysql.com +10 -0
    test result

  mysql-test/t/information_schema.test@1.88.1.1, 2007-02-01 19:12:44+04:00, gluh@mysql.com +12 -0
    test case

  sql/sql_show.cc@1.338, 2007-02-01 19:12:44+04:00, gluh@mysql.com +1 -0
    additional call of file->extra() method with HA_EXTRA_NO_CACHE parameter

ChangeSet@1.2377.11.4, 2007-02-01 15:59:51+01:00, istruewing@chilla.local +1 -0
  Bug#25844: "make test" does not find mysql-test-run.pl
  Need to change directory before calling mysql-test-run.pl

  Makefile.am@1.95.1.1, 2007-02-01 15:59:48+01:00, istruewing@chilla.local +1 -0
    Bug#25844: "make test" does not find mysql-test-run.pl
    Need to change directory before calling mysql-test-run.pl

ChangeSet@1.1616.2959.1, 2007-02-01 18:00:24+04:00, gluh@mysql.com +8 -0
  Valgrind error fixes
  Notes:
  This patch doesn't fix all issues in the tree and we need jani's fix for that
  This patch shoud not be merged into 5.0

  mysql-test/valgrind.supp@1.1, 2007-02-01 18:00:23+04:00, gluh@mysql.com +437 -0
    New BitKeeper file ``mysql-test/valgrind.supp''
    This file is backported from 5.0, added suppressing of OpenSSL errors

  mysql-test/valgrind.supp@1.0, 2007-02-01 18:00:23+04:00, gluh@mysql.com +0 -0

  mysql-test/r/ps.result@1.31.1.24, 2007-02-01 18:00:23+04:00, gluh@mysql.com +0 -15
    result fix

  mysql-test/r/symlink.result@1.11.3.1, 2007-02-01 18:00:23+04:00, gluh@mysql.com +15 -0
    result fix

  mysql-test/t/ps.test@1.27.1.31, 2007-02-01 18:00:23+04:00, gluh@mysql.com +0 -18
    test is moved to 'symlink' test

  mysql-test/t/symlink.test@1.11.3.1, 2007-02-01 18:00:23+04:00, gluh@mysql.com +19 -0
    test from 'ps' test

  sql/field_conv.cc@1.33.1.6, 2007-02-01 18:00:23+04:00, gluh@mysql.com +4 -0
    valgrind error fix: backport from 5.0

  sql/mysqld.cc@1.356.114.1, 2007-02-01 18:00:23+04:00, gluh@mysql.com +3 -0
    release of ssl_context

  vio/viosslfactories.c@1.16.1.2, 2007-02-01 18:00:23+04:00, gluh@mysql.com +4 -0
    release of ssl_context

ChangeSet@1.2377.19.2, 2007-02-01 13:25:50+02:00, gkodinov@rakia.gmz +1 -0
  trigger.result:
    merge of the 5.0-opt tree

  mysql-test/r/trigger.result@1.53, 2007-02-01 13:25:15+02:00, gkodinov@rakia.gmz +25 -25
    merge of the 5.0-opt tree

ChangeSet@1.2281.4.13, 2007-02-01 09:48:45+01:00, mskold@mysql.com +1 -0
  Bug #25522  Update with IN syntax Clustertable + Trigger leads to mysqld segfault: moved back assignment

  sql/ha_ndbcluster.cc@1.285.1.8, 2007-02-01 09:45:33+01:00, mskold@mysql.com +1 -2
    Bug #25522  Update with IN syntax Clustertable + Trigger leads to mysqld segfault: moved back assignment

ChangeSet@1.2377.4.14, 2007-01-31 19:31:36-08:00, igor@olga.mysql.com +4 -0
  Fixed bug #25407.
  The bug could cause choosing a sub-optimal execution plan for 
  a single-table query if a unique index with many null keys were 
  defined for the table. 
  It happened because the code of the check_quick_keys function 
  made an assumption that any key may occur in an unique index 
  only once. Yet this is not true for keys with nulls that may 
  have multiple occurrences in the index.

  mysql-test/r/null_key.result@1.37, 2007-01-31 19:31:34-08:00, igor@olga.mysql.com +2 -2
    Fixed bug #25407
    Adjusted result after the fix.

  mysql-test/r/select.result@1.145.1.2, 2007-01-31 19:31:34-08:00, igor@olga.mysql.com +86 -0
    Added a test case for bug #25407.

  mysql-test/t/select.test@1.119.1.2, 2007-01-31 19:31:34-08:00, igor@olga.mysql.com +74 -0
    Added a test case for bug #25407.

  sql/opt_range.cc@1.238, 2007-01-31 19:31:34-08:00, igor@olga.mysql.com +11 -1
    Fixed bug #25407.
    The bug could cause choosing a sub-optimal execution plan for 
    a single-table query if a unique index with many null keys were 
    defined for the table. 
    It happened because the code of the check_quick_keys function 
    made an assumption that any key may occur in an unique index 
    only once. Yet this is not true for keys with nulls that may 
    have multiple occurrences in the index.

ChangeSet@1.2281.4.12, 2007-01-31 22:38:06+01:00, mskold@mysql.com +3 -0
  Bug #25522  Update with IN syntax Clustertable + Trigger leads to mysqld segfault: in start_stmt, only change query_state if starting a new transactions, in read_multi_range_next, change query state when end is reached

  mysql-test/r/ndb_read_multi_range.result@1.7, 2007-01-31 22:36:49+01:00, mskold@mysql.com +17 -0
    Bug #25522  Update with IN syntax Clustertable + Trigger leads to mysqld segfault: in start_stmt, only change query_state if starting a new transactions, in read_multi_range_next, change query state when end is reached

  mysql-test/t/ndb_read_multi_range.test@1.8, 2007-01-31 22:36:49+01:00, mskold@mysql.com +29 -0
    Bug #25522  Update with IN syntax Clustertable + Trigger leads to mysqld segfault: in start_stmt, only change query_state if starting a new transactions, in read_multi_range_next, change query state when end is reached

  sql/ha_ndbcluster.cc@1.285.1.7, 2007-01-31 22:36:48+01:00, mskold@mysql.com +6 -2
    Bug #25522  Update with IN syntax Clustertable + Trigger leads to mysqld segfault: in start_stmt, only change query_state if starting a new transactions, in read_multi_range_next, change query state when end is reached

ChangeSet@1.2360.3.1, 2007-01-31 15:39:41-05:00, cmiller@zippy.cornsilk.net +2 -0
  Bug#25341:  "init.d/mysql stop" may timeout too quickly
  
  Thirty five seconds is entirely too short of a period to wait for a server 
  to exit.  Instead, make a valliant effort to make sure it exits, and only
  give up after a very long period (arbitrarily chosen as 15 minutes).
  
  In addition, if we're being asked to restart the server, then don't try
  to start again if trying to stop the server failed.
  ---
  Return zero by default, when the script exits.
  ---
  Set return-/exit-value based on whether we successfully dealt with the 
  PID-file.
  ---
  Don't wait that long if the program we're waiting on exits.  It 
  should only exit if the server is not going to be started.

  BitKeeper/etc/collapsed@1.19.1.1, 2007-01-31 15:37:55-05:00, cmiller@zippy.cornsilk.net +6 -0

  support-files/mysql.server.sh@1.53, 2007-01-31 15:39:39-05:00, cmiller@zippy.cornsilk.net +18 -6
    Raise timeout to a pessimistic value, 15 minutes.  We should only be willing
    to give up and exit after an extraordinary effort.
    ---
    Return zero by default, when the script exits.
    ---
    Set return-/exit-value based on whether we successfully dealt with the 
    PID-file.
    ---
    Don't wait that long if the program we're waiting on exits.  It 
    should only exit if the server is not going to be started.

ChangeSet@1.2377.18.1, 2007-01-31 18:18:44+01:00, df@kahlann.erinye.com +1 -0
  MTR_BUILD_THREAD=auto for test runs during RPM build

  support-files/mysql.spec.sh@1.162.1.1, 2007-01-31 18:18:42+01:00, df@kahlann.erinye.com +8 -0
    MTR_BUILD_THREAD=auto for test runs

ChangeSet@1.2377.16.2, 2007-01-31 18:32:53+04:00, svoj@mysql.com +2 -0
  After merge fix (WL#3567).

  sql/ha_myisam.cc@1.172.1.2, 2007-01-31 18:32:51+04:00, svoj@mysql.com +2 -1
    After merge fix (WL#3567).

  sql/ha_myisammrg.cc@1.89, 2007-01-31 18:32:51+04:00, svoj@mysql.com +1 -1
    After merge fix (WL#3567).

ChangeSet@1.2377.12.3, 2007-01-31 15:25:56+01:00, joerg@trift2. +3 -0
  Fix bug#23293 "readline detection broken on NetBSD":
  
  Its root cause is a difference between the "readline" and "libedit" (header files)
  definitions of "rl_completion_entry_function", where the "libedit" one is wrong anyway:
  This variable is used as a pointer to a function returning "char *",
  but "libedit" declares it as returning "int" and then adds casts on usage.
  
  Change it to "CPFunction *" and get rid of the casts.

  client/mysql.cc@1.231, 2007-01-31 15:25:53+01:00, joerg@trift2. +3 -3
    Fix bug#23293 "readline detection broken on NetBSD":
    
    Now that the "libedit" header files declares "rl_completion_entry_function" correctly,
    it need not be cast on usage, and "no_completion()" can be declared to return "char *".

  cmd-line-utils/libedit/readline.c@1.11, 2007-01-31 15:25:53+01:00, joerg@trift2. +5 -6
    Fix bug#23293 "readline detection broken on NetBSD":
    
    Now that the "libedit" header files declares "rl_completion_entry_function" correctly,
    it need not be cast on usage, and "complet_func()" is a "CPFunction *" as well.

  cmd-line-utils/libedit/readline/readline.h@1.4, 2007-01-31 15:25:53+01:00, joerg@trift2. +1 -1
    Fix bug#23293 "readline detection broken on NetBSD":
    
    Declare "rl_completion_entry_function()" to be a "CPFunction *", this avoids casts
    and brings "libedit" in sync with "readline".

ChangeSet@1.2341.82.1, 2007-01-31 16:04:38+02:00, gkodinov@macbook.gmz +8 -0
  BUG#25575: ERROR 1052 (Column in from clause is ambiguous) with sub-join
   Two problems here:
  
   Problem 1:
  
   While constructing the join columns list the optimizer does as follows:
    1. Sets the join_using_fields/natural_join members of the right JOIN 
     operand.
    2. Makes a "table reference" (TABLE_LIST) to parent the two tables.
    3. Assigns the join_using_fields/is_natural_join of the wrapper table
     using join_using_fields/natural_join of the rightmost table
    4. Sets join_using_fields to NULL for the right JOIN operand.
    5. Passes the parent table up to the same procedure on the upper 
     level.
  
   Step 1 overrides the the join_using_fields that are set for a nested 
   join wrapping table in step 4.
   Fixed by making a designated variable SELECT_LEX::prev_join_using to 
   pass the data from step 1 to step 4 without destroying the wrapping 
   table data.
  
   Problem 2:
  
   The optimizer checks for ambiguous columns while transforming 
   NATURAL JOIN/JOIN USING to JOIN ON. While doing that there was no
   distinction between columns that are used in the generated join
   condition (where ambiguity can be checked) and the other columns
   (where ambiguity can be checked only when resolving references
   coming from outside the JOIN construct itself).
   Fixed by allowing the non-USING columns to be present in multiple 
   copies in both sides of the join and moving the ambiguity check 
   to the place where unqualified references to the join columns are
   resolved (find_field_in_natural_join()).

  mysql-test/r/join_nested.result@1.25, 2007-01-31 16:04:26+02:00, gkodinov@macbook.gmz +28 -0
    BUG#25575: ERROR 1052 (Column in from clause is ambiguous) with sub-join
     - test case

  mysql-test/t/join_nested.test@1.21, 2007-01-31 16:04:27+02:00, gkodinov@macbook.gmz +39 -0
    BUG#25575: ERROR 1052 (Column in from clause is ambiguous) with sub-join
     - test case

  sql/mysql_priv.h@1.425.7.1, 2007-01-31 16:04:27+02:00, gkodinov@macbook.gmz +2 -1
    BUG#25575: ERROR 1052 (Column in from clause is ambiguous) with sub-join
     - use SELECT_LEX to store the ref to JOIN USING list needed by the 
       parser

  sql/sql_base.cc@1.360.1.5, 2007-01-31 16:04:28+02:00, gkodinov@macbook.gmz +40 -11
    BUG#25575: ERROR 1052 (Column in from clause is ambiguous) with sub-join
     - proper check for duplicate cols
     - more detailed debug output

  sql/sql_lex.h@1.235.2.2, 2007-01-31 16:04:29+02:00, gkodinov@macbook.gmz +14 -0
    BUG#25575: ERROR 1052 (Column in from clause is ambiguous) with sub-join
     - use SELECT_LEX to store the ref to JOIN USING list needed by the 
       parser

  sql/sql_parse.cc@1.593.3.1, 2007-01-31 16:04:30+02:00, gkodinov@macbook.gmz +6 -7
    BUG#25575: ERROR 1052 (Column in from clause is ambiguous) with sub-join
     - proper check for duplicate cols in JOIN USING

  sql/sql_yacc.yy@1.499.2.1, 2007-01-31 16:04:31+02:00, gkodinov@macbook.gmz +10 -6
    BUG#25575: ERROR 1052 (Column in from clause is ambiguous) with sub-join
     - use SELECT_LEX to store the ref to JOIN USING list needed by the 
       parser

  sql/table.cc@1.240.1.1, 2007-01-31 16:04:31+02:00, gkodinov@macbook.gmz +1 -0
    BUG#25575: ERROR 1052 (Column in from clause is ambiguous) with sub-join
     - return null if no table ref (as in nested join columns).

ChangeSet@1.2377.15.1, 2007-01-31 16:45:33+04:00, holyfoot@mysql.com +1 -0
  bug #25973 (ps_1general.test fails in embedded server)

  mysql-test/t/ps_1general.test@1.30, 2007-01-31 16:45:31+04:00, holyfoot@mysql.com +1 -1
    replace_result fixed

ChangeSet@1.1616.2957.1, 2007-01-31 16:15:20+04:00, svoj@mysql.com +4 -0
  WL#3567 - MERGE engine: a check for underlying table conformance
  
  When a merge table is opened compare column and key definition of
  underlying tables against column and key definition of merge table.
  
  If any of underlying tables have different column/key definition
  refuse to open merge table.

  mysql-test/r/merge.result@1.32.1.12, 2007-01-31 16:15:19+04:00, svoj@mysql.com +21 -1
    A test case for WL#3456.

  mysql-test/t/merge.test@1.28.1.13, 2007-01-31 16:15:19+04:00, svoj@mysql.com +28 -1
    A test case for WL#3456.

  sql/ha_myisam.cc@1.115.1.49, 2007-01-31 16:15:20+04:00, svoj@mysql.com +315 -176
    Moved a part of code that converts TABLE object to MyISAM key and column
    definition to a separate function.
    
    Added check_definition() function that compares MyISAM table definitions.

  sql/ha_myisammrg.cc@1.51.1.14, 2007-01-31 16:15:20+04:00, svoj@mysql.com +40 -2
    Check if underlying table definition conforms to merge table definition,
    and in case underlying table definition differs, refuse to open merge
    table.

ChangeSet@1.2341.81.1, 2007-01-31 10:18:26+02:00, gkodinov@macbook.gmz +3 -0
  Bug #25551: inconsistent behaviour in grouping NULL, depending on index type
   The optimizer takes away columns from GROUP BY/DISTINCT if they constitute
   all the parts of an unique index.
   However if some of the columns can contain NULLs this cannot be done 
  (because an UNIQUE index can have multiple rows with NULL values).
   Fixed by not using UNIQUE indexes with nullable columns to remove
   grouping columns from GROUP BY/DISTINCT.

  mysql-test/r/distinct.result@1.51, 2007-01-31 10:18:13+02:00, gkodinov@macbook.gmz +25 -1
    Bug #25551: inconsistent behaviour in grouping NULL, depending on index type
     - test case

  mysql-test/t/distinct.test@1.30, 2007-01-31 10:18:13+02:00, gkodinov@macbook.gmz +16 -1
    Bug #25551: inconsistent behaviour in grouping NULL, depending on index type
     - test case

  sql/sql_select.cc@1.481.1.1, 2007-01-31 10:18:16+02:00, gkodinov@macbook.gmz +11 -8
    Bug #25551: inconsistent behaviour in grouping NULL, depending on index type
     - UNIQUE NULL indices don't guarantee GROUP BY/DISTINCT.

ChangeSet@1.2385.8.2, 2007-01-31 11:14:32+04:00, ramil@mysql.com +2 -0
  after-merge fix.

  sql/item_cmpfunc.cc@1.228.3.2, 2007-01-31 11:14:31+04:00, ramil@mysql.com +9 -9
    after-merge fix.

  sql/item_sum.cc@1.195, 2007-01-31 11:14:31+04:00, ramil@mysql.com +4 -3
    after-merge fix.

ChangeSet@1.1616.2946.2, 2007-01-31 09:51:05+04:00, ramil@mysql.com +10 -0
  fix for bug #19690: ORDER BY eliminates rows from the result
  
  Depending on the queries we use different data processing methods
  and can lose some data in case of double (and decimal in 4.1) fields.
  
  The fix consists of two parts:
  1. double comparison changed, now double a is equal to double b 
  if (a-b) is less than 5*0.1^(1 + max(a->decimals, b->decimals)). 
  For example, if a->decimals==1, b->decimals==2, a==b if (a-b)<0.005
  2. if we use a temporary table, store double values there as is 
  to avoid any data conversion (rounding).

  mysql-test/r/type_float.result@1.25.1.13, 2007-01-31 09:51:03+04:00, ramil@mysql.com +71 -0
    fix for bug #19690: ORDER BY eliminates rows from the result
      - test result

  mysql-test/t/type_float.test@1.15.1.8, 2007-01-31 09:51:03+04:00, ramil@mysql.com +25 -0
    fix for bug #19690: ORDER BY eliminates rows from the result
      - test case

  sql/field.cc@1.197.1.38, 2007-01-31 09:51:03+04:00, ramil@mysql.com +1 -1
    fix for bug #19690: ORDER BY eliminates rows from the result
      - use not_fixed flag instead of dec to check bounds.

  sql/field.h@1.120.1.15, 2007-01-31 09:51:03+04:00, ramil@mysql.com +12 -3
    fix for bug #19690: ORDER BY eliminates rows from the result
      - Field_Double::not_fixed flag introduced, which is set if dec == NOT_FIXED_DEC
        and is used in the ::store() to check bounds. 
      - new constructor introduced (with not_fixed_arg parameter).
    

  sql/init.cc@1.15.1.1, 2007-01-31 09:51:03+04:00, ramil@mysql.com +6 -0
    fix for bug #19690: ORDER BY eliminates rows from the result
      - fill log_01[] array with 0.1 powers.

  sql/item_cmpfunc.cc@1.111.26.1, 2007-01-31 09:51:03+04:00, ramil@mysql.com +49 -0
    fix for bug #19690: ORDER BY eliminates rows from the result
      - compare_real_fixed() and compare_e_real_fixed() introduced,
        they consider double a == double b if a-b is less than 'precision',
        'precision' is set to 5*0.1^(1 + max(a->decimals, b->decimals)), 
        for example, if a->decimals==1, b->decimals==2, 'precision' is 0.005
      - use the above functions if both arguments are fixed. 

  sql/item_cmpfunc.h@1.73.12.1, 2007-01-31 09:51:03+04:00, ramil@mysql.com +3 -0
    fix for bug #19690: ORDER BY eliminates rows from the result
      - Arg_comparator::presision introduced.
      - Arg_comparator::compare_real_fixed(), Arg_comparator::compare_e_real_fixed() introduced.
    

  sql/mysql_priv.h@1.186.110.1, 2007-01-31 09:51:03+04:00, ramil@mysql.com +1 -0
    fix for bug #19690: ORDER BY eliminates rows from the result
      - log_01 array of 0.1 powers added.
    

  sql/mysqld.cc@1.356.112.1, 2007-01-31 09:51:03+04:00, ramil@mysql.com +1 -0
    fix for bug #19690: ORDER BY eliminates rows from the result
      - log_01 array of 0.1 powers added.
    

  sql/sql_select.cc@1.216.147.1, 2007-01-31 09:51:04+04:00, ramil@mysql.com +8 -6
    fix for bug #19690: ORDER BY eliminates rows from the result
      - if we create double field in a temporary table, set not_fixed flag
        (use proper constructor) to avoid data conversion 
        in the Field_double::store(). Otherwise we can lose some data.

ChangeSet@1.2377.12.2, 2007-01-31 00:06:42+01:00, kent@mysql.com +13 -0
  gen_lex_hash.cc:
    If inserting a GPL header, include a complete one
  Makefile.am, mysql.dsw, mysql.sln:
    Removed C version of mysql-test-run
  mysql.spec.sh:
    Specify GPL license only in GPL sources
  .del-my_manage.h:
    Delete: mysql-test/my_manage.h
  mysql.spec.sh:
    Added GPL header
  .del-mysql_test_run_new.c:
    Delete: mysql-test/mysql_test_run_new.c
  .del-mysql_test_run_new.dsp:
    Delete: VC++Files/mysql-test/mysql_test_run_new.dsp
  .del-my_create_tables.c:
    Delete: mysql-test/my_create_tables.c
  .del-mysql_test_run_new_ia64.dsp:
    Delete: VC++Files/mysql-test/mysql_test_run_new_ia64.dsp
  msql2mysql.sh:
    Use up-to-date GPL header
  .del-mysql_test_run_new.vcproj:
    Delete: VC++Files/mysql-test/mysql_test_run_new.vcproj
  .del-my_manage.c:
    Delete: mysql-test/my_manage.c

  BitKeeper/deleted/.del-my_create_tables.c@1.5, 2007-01-30 22:59:07+01:00, kent@mysql.com +0 -0
    Delete: mysql-test/my_create_tables.c

  BitKeeper/deleted/.del-my_manage.c@1.11, 2007-01-30 22:59:07+01:00, kent@mysql.com +0 -0
    Delete: mysql-test/my_manage.c

  BitKeeper/deleted/.del-my_manage.h@1.5, 2007-01-30 22:59:14+01:00, kent@mysql.com +0 -0
    Delete: mysql-test/my_manage.h

  BitKeeper/deleted/.del-mysql_test_run_new.c@1.17, 2007-01-30 22:58:44+01:00, kent@mysql.com +0 -0
    Delete: mysql-test/mysql_test_run_new.c

  BitKeeper/deleted/.del-mysql_test_run_new.dsp@1.9, 2007-01-30 22:58:44+01:00, kent@mysql.com +0 -0
    Delete: VC++Files/mysql-test/mysql_test_run_new.dsp

  BitKeeper/deleted/.del-mysql_test_run_new.vcproj@1.2, 2007-01-30 22:58:44+01:00, kent@mysql.com +0 -0
    Delete: VC++Files/mysql-test/mysql_test_run_new.vcproj

  BitKeeper/deleted/.del-mysql_test_run_new_ia64.dsp@1.5, 2007-01-30 22:58:44+01:00, kent@mysql.com +0 -0
    Delete: VC++Files/mysql-test/mysql_test_run_new_ia64.dsp

  VC++Files/mysql.dsw@1.30, 2007-01-30 23:40:03+01:00, kent@mysql.com +0 -22
    Removed C version of mysql-test-run

  VC++Files/mysql.sln@1.13, 2007-01-30 23:40:03+01:00, kent@mysql.com +0 -34
    Removed C version of mysql-test-run

  mysql-test/Makefile.am@1.84, 2007-01-30 23:40:03+01:00, kent@mysql.com +0 -2
    Removed C version of mysql-test-run

  scripts/msql2mysql.sh@1.3, 2007-01-29 13:33:01+01:00, kent@mysql.com +13 -11
    Use up-to-date GPL header

  sql/gen_lex_hash.cc@1.73, 2007-01-29 14:27:17+01:00, kent@mysql.com +18 -4
    If inserting a GPL header, include a complete one

  support-files/mysql.spec.sh@1.164, 2007-01-29 13:33:25+01:00, kent@mysql.com +16 -0
    Added GPL header

  support-files/mysql.spec.sh@1.163, 2007-01-29 13:26:03+01:00, kent@mysql.com +6 -12
    Specify GPL license only in GPL sources

ChangeSet@1.1616.2920.14, 2007-01-30 13:06:36-08:00, igor@olga.mysql.com +2 -0
  Fixed bug #24987.
  Made the function opt_sum_query to return HA_ERR_KEY_NOT_FOUND when
  no matches were found (instead of -1 it returned prior this patch).
  This changes allow us to avoid possible conflicts with return values
  from user-defined handler methods which also may return -1. 
  No particular test cases are provided with this fix.

  sql/opt_sum.cc@1.33.6.4, 2007-01-30 13:06:33-08:00, igor@olga.mysql.com +5 -5
    Fixed bug #24987.
    Made the function opt_sum_query to return HA_ERR_KEY_NOT_FOUND when
    no matches were found (instead of -1 it returned prior this patch).
    This changes allow us to avoid possible conflicts with return values
    from user-defined handler methods which also may return -1. 

  sql/sql_select.cc@1.216.125.18, 2007-01-30 13:06:33-08:00, igor@olga.mysql.com +10 -8
    Fixed bug #24987.
    Made the function opt_sum_query to return HA_ERR_KEY_NOT_FOUND when
    no matches were found (instead of -1 it returned prior this patch).
    This changes allow us to avoid possible conflicts with return values
    from user-defined handler methods which also may return -1. 

ChangeSet@1.1346.892.1, 2007-01-30 18:52:26+02:00, jani@ua141d10.elisa.omakaista.fi +7 -0
  Cleanup of thread-type (linuxthread or NTPL) detection code
  Move get_thread_lib to mysys/my_pthread.c
  Set 'thr_client_alarm' to signal number used by thr_alarm to give alarms

  include/my_global.h@1.34.7.1, 2007-01-30 18:52:25+02:00, jani@ua141d10.elisa.omakaista.fi +1 -4
    Fixed to be same as in 5.1

  include/my_pthread.h@1.57.2.1, 2007-01-30 18:52:25+02:00, jani@ua141d10.elisa.omakaista.fi +9 -8
    Move things around to be more in line with rest of code

  mysys/default.c@1.17.4.1, 2007-01-30 18:52:25+02:00, jani@ua141d10.elisa.omakaista.fi +2 -2
    Fixed two wrong pointer incrementations.

  mysys/my_pthread.c@1.35.2.1, 2007-01-30 18:52:25+02:00, jani@ua141d10.elisa.omakaista.fi +4 -1
    Cleanup: Use variable thr_client_alarm

  mysys/my_thr_init.c@1.21.3.1, 2007-01-30 18:52:25+02:00, jani@ua141d10.elisa.omakaista.fi +25 -0
    Detect thread library at startup.
    Set also thr_client_alarm signal here, so that we get
    it in init_signals() in mysqld

  mysys/thr_alarm.c@1.41.2.1, 2007-01-30 18:52:25+02:00, jani@ua141d10.elisa.omakaista.fi +8 -13
    Set thr_client_alarm depending on which thread library we are using

  sql/mysqld.cc@1.297.55.1, 2007-01-30 18:52:25+02:00, jani@ua141d10.elisa.omakaista.fi +9 -25
    Move get_thread_lib to mysys/my_pthread.c

ChangeSet@1.2377.13.1, 2007-01-30 17:43:34+02:00, gkodinov@macbook.gmz +3 -0
  Bug #25643: SEC_TO_TIME function problem
   Checking for NULL before calling the val_xxx()
   methods only checks for such arguments that are 
   known to be NULLs at compile time. 
   The arguments that may or may not contain
   NULLs (e.g. function calls and possibly others)
   are not checked at all.
   Fixed by first calling the val_xxx() method and
   then checking for null in SEC_TO_TIME().
   In addition QUARTER() was not returning 0 (as all the 
   val_int() functions do when processing a NULL value).

  mysql-test/r/func_time.result@1.80, 2007-01-30 17:43:28+02:00, gkodinov@macbook.gmz +14 -0
    Bug #25643: SEC_TO_TIME function problem
     - test case

  mysql-test/t/func_time.test@1.67, 2007-01-30 17:43:29+02:00, gkodinov@macbook.gmz +12 -0
    Bug #25643: SEC_TO_TIME function problem
     - test case

  sql/item_timefunc.cc@1.138, 2007-01-30 17:43:29+02:00, gkodinov@macbook.gmz +6 -3
    Bug #25643: SEC_TO_TIME function problem
     - null handling fixed for QUARTER() and SEC_TO_TIME()

ChangeSet@1.2385.7.1, 2007-01-29 19:09:30+01:00, msvensson@neptunus.(none) +1 -0
  Add result file for ssl_connect.test

  mysql-test/r/ssl_connect.result@1.1, 2007-01-29 19:09:28+01:00, msvensson@neptunus.(none) +1 -0
    New BitKeeper file ``mysql-test/r/ssl_connect.result''

  mysql-test/r/ssl_connect.result@1.0, 2007-01-29 19:09:28+01:00, msvensson@neptunus.(none) +0 -0

ChangeSet@1.2385.6.3, 2007-01-29 18:46:06+01:00, msvensson@pilot.mysql.com +2 -0
  Bug#25417 "/usr/bin/test" installed from yassl/taocrypt/test
   - It's good to build the test programs for yaSSL to check for undefined
     symbols etc but they should not be installed by "make install"

  extra/yassl/taocrypt/test/Makefile.am@1.6, 2007-01-29 18:45:53+01:00, msvensson@pilot.mysql.com +1 -1
    "test" is a noinst program

  extra/yassl/testsuite/Makefile.am@1.8, 2007-01-29 18:45:58+01:00, msvensson@pilot.mysql.com +1 -1
    "testsuite" is a noinst program

ChangeSet@1.2385.6.2, 2007-01-29 18:32:45+01:00, msvensson@neptunus.(none) +1 -0
  Add test for making sure there are no spurious connect failures when using SSL

  mysql-test/t/ssl_connect.test@1.1, 2007-01-29 18:32:43+01:00, msvensson@neptunus.(none) +13 -0
    Add test for making sure there are no spurious connect failures when using SSL

  mysql-test/t/ssl_connect.test@1.0, 2007-01-29 18:32:43+01:00, msvensson@neptunus.(none) +0 -0

ChangeSet@1.2385.6.1, 2007-01-29 16:54:40+01:00, msvensson@neptunus.(none) +95 -0
  Import latest version of yaSSL
   - Replace SawTooth copyright header with MySQL's
   - Bug#19209 Test 'rpl_openssl' hangs on Windows
   - Spurious "2013 Connection to server lost" errors fixed
     yaSSL doesn't close socket anymore, that is left to the application 

  extra/yassl/README@1.9, 2007-01-25 19:34:37+01:00, msvensson@neptunus.(none) +2 -2
    Import patch yassl.diff

  extra/yassl/include/buffer.hpp@1.7, 2006-08-16 01:36:33+02:00, msvensson@neptunus.(none) +17 -24
    Import patch yassl.diff

  extra/yassl/include/cert_wrapper.hpp@1.5, 2006-08-16 01:36:33+02:00, msvensson@neptunus.(none) +17 -24
    Import patch yassl.diff

  extra/yassl/include/crypto_wrapper.hpp@1.6, 2006-08-29 22:06:44+02:00, msvensson@neptunus.(none) +17 -24
    Import patch yassl.diff

  extra/yassl/include/factory.hpp@1.7, 2006-10-05 05:18:12+02:00, msvensson@neptunus.(none) +17 -24
    Import patch yassl.diff

  extra/yassl/include/handshake.hpp@1.3, 2006-07-12 21:15:02+02:00, msvensson@neptunus.(none) +17 -24
    Import patch yassl.diff

  extra/yassl/include/lock.hpp@1.4, 2006-07-12 21:15:02+02:00, msvensson@neptunus.(none) +17 -24
    Import patch yassl.diff

  extra/yassl/include/log.hpp@1.4, 2006-07-12 21:15:02+02:00, msvensson@neptunus.(none) +17 -24
    Import patch yassl.diff

  extra/yassl/include/openssl/ssl.h@1.20, 2007-01-10 19:27:15+01:00, msvensson@neptunus.(none) +17 -24
    Import patch yassl.diff

  extra/yassl/include/socket_wrapper.hpp@1.10, 2006-11-02 19:10:43+01:00, msvensson@neptunus.(none) +17 -24
    Import patch yassl.diff

  extra/yassl/include/timer.hpp@1.3, 2006-07-12 21:15:02+02:00, msvensson@neptunus.(none) +17 -24
    Import patch yassl.diff

  extra/yassl/include/yassl.hpp@1.2, 2006-03-29 01:56:41+02:00, msvensson@neptunus.(none) +17 -20
    Import patch yassl.diff

  extra/yassl/include/yassl_error.hpp@1.8, 2006-10-19 01:36:53+02:00, msvensson@neptunus.(none) +17 -24
    Import patch yassl.diff

  extra/yassl/include/yassl_imp.hpp@1.8, 2006-11-02 19:10:43+01:00, msvensson@neptunus.(none) +17 -24
    Import patch yassl.diff

  extra/yassl/include/yassl_int.hpp@1.16, 2007-01-25 19:34:37+01:00, msvensson@neptunus.(none) +22 -24
    Import patch yassl.diff

  extra/yassl/include/yassl_types.hpp@1.16, 2006-10-19 01:36:53+02:00, msvensson@neptunus.(none) +17 -24
    Import patch yassl.diff

  extra/yassl/src/buffer.cpp@1.8, 2006-07-12 21:15:02+02:00, msvensson@neptunus.(none) +17 -24
    Import patch yassl.diff

  extra/yassl/src/cert_wrapper.cpp@1.10, 2006-08-29 22:06:44+02:00, msvensson@neptunus.(none) +17 -24
    Import patch yassl.diff

  extra/yassl/src/crypto_wrapper.cpp@1.10, 2006-08-29 22:06:44+02:00, msvensson@neptunus.(none) +17 -24
    Import patch yassl.diff

  extra/yassl/src/handshake.cpp@1.15, 2007-01-25 19:34:38+01:00, msvensson@neptunus.(none) +18 -25
    Import patch yassl.diff

  extra/yassl/src/lock.cpp@1.6, 2006-07-12 21:15:02+02:00, msvensson@neptunus.(none) +17 -24
    Import patch yassl.diff

  extra/yassl/src/log.cpp@1.7, 2006-07-12 21:15:02+02:00, msvensson@neptunus.(none) +17 -24
    Import patch yassl.diff

  extra/yassl/src/socket_wrapper.cpp@1.15, 2007-01-25 19:39:15+01:00, msvensson@neptunus.(none) +18 -25
    Import patch yassl.diff

  extra/yassl/src/ssl.cpp@1.24, 2007-01-25 19:34:38+01:00, msvensson@neptunus.(none) +17 -25
    Import patch yassl.diff

  extra/yassl/src/template_instnt.cpp@1.14, 2006-09-27 14:27:49+02:00, msvensson@neptunus.(none) +17 -24
    Import patch yassl.diff

  extra/yassl/src/timer.cpp@1.9, 2006-07-12 21:15:02+02:00, msvensson@neptunus.(none) +17 -24
    Import patch yassl.diff

  extra/yassl/src/yassl.cpp@1.4, 2006-08-29 22:06:44+02:00, msvensson@neptunus.(none) +17 -24
    Import patch yassl.diff

  extra/yassl/src/yassl_error.cpp@1.11, 2007-01-17 19:14:50+01:00, msvensson@neptunus.(none) +17 -24
    Import patch yassl.diff

  extra/yassl/src/yassl_imp.cpp@1.13, 2006-11-09 21:20:56+01:00, msvensson@neptunus.(none) +17 -24
    Import patch yassl.diff

  extra/yassl/src/yassl_int.cpp@1.24, 2007-01-25 19:34:38+01:00, msvensson@neptunus.(none) +28 -25
    Import patch yassl.diff

  extra/yassl/taocrypt/include/aes.hpp@1.6, 2006-10-05 05:18:12+02:00, msvensson@neptunus.(none) +17 -24
    Import patch yassl.diff

  extra/yassl/taocrypt/include/algebra.hpp@1.7, 2006-11-21 20:21:04+01:00, msvensson@neptunus.(none) +17 -24
    Import patch yassl.diff

  extra/yassl/taocrypt/include/arc4.hpp@1.5, 2006-10-05 05:18:12+02:00, msvensson@neptunus.(none) +17 -24
    Import patch yassl.diff

  extra/yassl/taocrypt/include/asn.hpp@1.13, 2007-01-10 19:27:15+01:00, msvensson@neptunus.(none) +17 -24
    Import patch yassl.diff

  extra/yassl/taocrypt/include/block.hpp@1.11, 2006-10-05 05:18:12+02:00, msvensson@neptunus.(none) +17 -24
    Import patch yassl.diff

  extra/yassl/taocrypt/include/blowfish.hpp@1.5, 2007-01-25 19:34:38+01:00, msvensson@neptunus.(none) +18 -25
    Import patch yassl.diff

  extra/yassl/taocrypt/include/coding.hpp@1.3, 2006-07-12 21:15:02+02:00, msvensson@neptunus.(none) +17 -24
    Import patch yassl.diff

  extra/yassl/taocrypt/include/des.hpp@1.6, 2006-10-05 05:18:12+02:00, msvensson@neptunus.(none) +17 -24
    Import patch yassl.diff

  extra/yassl/taocrypt/include/dh.hpp@1.4, 2006-07-12 21:15:03+02:00, msvensson@neptunus.(none) +17 -24
    Import patch yassl.diff

  extra/yassl/taocrypt/include/dsa.hpp@1.3, 2006-07-12 21:15:03+02:00, msvensson@neptunus.(none) +17 -24
    Import patch yassl.diff

  extra/yassl/taocrypt/include/error.hpp@1.7, 2007-01-17 19:14:50+01:00, msvensson@neptunus.(none) +17 -24
    Import patch yassl.diff

  extra/yassl/taocrypt/include/file.hpp@1.6, 2007-01-17 19:14:50+01:00, msvensson@neptunus.(none) +17 -24
    Import patch yassl.diff

  extra/yassl/taocrypt/include/hash.hpp@1.7, 2006-07-12 21:15:03+02:00, msvensson@neptunus.(none) +17 -24
    Import patch yassl.diff

  extra/yassl/taocrypt/include/hmac.hpp@1.7, 2006-10-16 10:30:36+02:00, msvensson@neptunus.(none) +17 -24
    Import patch yassl.diff

  extra/yassl/taocrypt/include/integer.hpp@1.13, 2006-10-05 05:18:12+02:00, msvensson@neptunus.(none) +17 -24
    Import patch yassl.diff

  extra/yassl/taocrypt/include/kernelc.hpp@1.3, 2006-07-12 21:15:03+02:00, msvensson@neptunus.(none) +17 -24
    Import patch yassl.diff

  extra/yassl/taocrypt/include/md2.hpp@1.3, 2006-07-12 21:15:03+02:00, msvensson@neptunus.(none) +17 -24
    Import patch yassl.diff

  extra/yassl/taocrypt/include/md4.hpp@1.3, 2006-07-12 21:15:03+02:00, msvensson@neptunus.(none) +17 -24
    Import patch yassl.diff

  extra/yassl/taocrypt/include/md5.hpp@1.5, 2006-10-05 23:32:32+02:00, msvensson@neptunus.(none) +17 -24
    Import patch yassl.diff

  extra/yassl/taocrypt/include/misc.hpp@1.16, 2006-10-05 23:32:32+02:00, msvensson@neptunus.(none) +17 -24
    Import patch yassl.diff

  extra/yassl/taocrypt/include/modarith.hpp@1.4, 2006-07-12 21:15:03+02:00, msvensson@neptunus.(none) +17 -24
    Import patch yassl.diff

  extra/yassl/taocrypt/include/modes.hpp@1.9, 2006-10-05 05:18:12+02:00, msvensson@neptunus.(none) +17 -24
    Import patch yassl.diff

  extra/yassl/taocrypt/include/pwdbased.hpp@1.4, 2006-08-16 01:36:33+02:00, msvensson@neptunus.(none) +17 -24
    Import patch yassl.diff

  extra/yassl/taocrypt/include/random.hpp@1.4, 2006-07-12 21:15:03+02:00, msvensson@neptunus.(none) +17 -24
    Import patch yassl.diff

  extra/yassl/taocrypt/include/ripemd.hpp@1.5, 2006-10-05 23:32:32+02:00, msvensson@neptunus.(none) +17 -24
    Import patch yassl.diff

  extra/yassl/taocrypt/include/rsa.hpp@1.5, 2006-11-02 19:10:43+01:00, msvensson@neptunus.(none) +17 -24
    Import patch yassl.diff

  extra/yassl/taocrypt/include/runtime.hpp@1.17, 2006-07-12 21:15:03+02:00, msvensson@neptunus.(none) +17 -24
    Import patch yassl.diff

  extra/yassl/taocrypt/include/sha.hpp@1.5, 2006-10-05 23:32:32+02:00, msvensson@neptunus.(none) +17 -24
    Import patch yassl.diff

  extra/yassl/taocrypt/include/twofish.hpp@1.5, 2006-10-05 05:18:12+02:00, msvensson@neptunus.(none) +17 -24
    Import patch yassl.diff

  extra/yassl/taocrypt/include/type_traits.hpp@1.4, 2006-07-12 21:15:03+02:00, msvensson@neptunus.(none) +17 -24
    Import patch yassl.diff

  extra/yassl/taocrypt/include/types.hpp@1.11, 2007-01-25 19:34:38+01:00, msvensson@neptunus.(none) +19 -25
    Import patch yassl.diff

  extra/yassl/taocrypt/mySTL/algorithm.hpp@1.2, 2006-09-18 22:19:22+02:00, msvensson@neptunus.(none) +17 -24
    Import patch yassl.diff

  extra/yassl/taocrypt/mySTL/helpers.hpp@1.3, 2006-09-27 19:22:32+02:00, msvensson@neptunus.(none) +17 -24
    Import patch yassl.diff

  extra/yassl/taocrypt/mySTL/list.hpp@1.2, 2006-09-18 22:19:22+02:00, msvensson@neptunus.(none) +17 -24
    Import patch yassl.diff

  extra/yassl/taocrypt/mySTL/memory.hpp@1.2, 2006-09-18 22:19:22+02:00, msvensson@neptunus.(none) +17 -24
    Import patch yassl.diff

  extra/yassl/taocrypt/mySTL/memory_array.hpp@1.2, 2006-09-18 22:19:22+02:00, msvensson@neptunus.(none) +17 -24
    Import patch yassl.diff

  extra/yassl/taocrypt/mySTL/pair.hpp@1.2, 2006-09-18 22:19:22+02:00, msvensson@neptunus.(none) +17 -24
    Import patch yassl.diff

  extra/yassl/taocrypt/mySTL/stdexcept.hpp@1.2, 2006-09-18 22:19:22+02:00, msvensson@neptunus.(none) +17 -24
    Import patch yassl.diff

  extra/yassl/taocrypt/mySTL/vector.hpp@1.2, 2006-09-18 22:19:22+02:00, msvensson@neptunus.(none) +17 -24
    Import patch yassl.diff

  extra/yassl/taocrypt/src/aes.cpp@1.6, 2006-10-05 05:18:12+02:00, msvensson@neptunus.(none) +17 -24
    Import patch yassl.diff

  extra/yassl/taocrypt/src/aestables.cpp@1.6, 2006-07-12 21:15:03+02:00, msvensson@neptunus.(none) +17 -24
    Import patch yassl.diff

  extra/yassl/taocrypt/src/algebra.cpp@1.13, 2006-10-05 05:18:12+02:00, msvensson@neptunus.(none) +17 -24
    Import patch yassl.diff

  extra/yassl/taocrypt/src/arc4.cpp@1.7, 2006-10-05 23:32:32+02:00, msvensson@neptunus.(none) +17 -24
    Import patch yassl.diff

  extra/yassl/taocrypt/src/asn.cpp@1.13, 2007-01-10 19:27:15+01:00, msvensson@neptunus.(none) +17 -24
    Import patch yassl.diff

  extra/yassl/taocrypt/src/bftables.cpp@1.3, 2006-07-12 21:15:03+02:00, msvensson@neptunus.(none) +17 -24
    Import patch yassl.diff

  extra/yassl/taocrypt/src/blowfish.cpp@1.5, 2006-10-05 05:18:12+02:00, msvensson@neptunus.(none) +17 -24
    Import patch yassl.diff

  extra/yassl/taocrypt/src/coding.cpp@1.7, 2007-01-17 19:14:50+01:00, msvensson@neptunus.(none) +17 -24
    Import patch yassl.diff

  extra/yassl/taocrypt/src/crypto.cpp@1.2, 2006-09-26 23:09:44+02:00, msvensson@neptunus.(none) +17 -24
    Import patch yassl.diff

  extra/yassl/taocrypt/src/des.cpp@1.6, 2006-10-05 05:18:12+02:00, msvensson@neptunus.(none) +17 -24
    Import patch yassl.diff

  extra/yassl/taocrypt/src/dh.cpp@1.9, 2006-08-16 01:36:33+02:00, msvensson@neptunus.(none) +17 -24
    Import patch yassl.diff

  extra/yassl/taocrypt/src/dsa.cpp@1.7, 2006-07-12 21:15:03+02:00, msvensson@neptunus.(none) +17 -24
    Import patch yassl.diff

  extra/yassl/taocrypt/src/file.cpp@1.5, 2006-07-12 21:15:03+02:00, msvensson@neptunus.(none) +17 -24
    Import patch yassl.diff

  extra/yassl/taocrypt/src/hash.cpp@1.5, 2006-07-12 21:15:03+02:00, msvensson@neptunus.(none) +17 -24
    Import patch yassl.diff

  extra/yassl/taocrypt/src/integer.cpp@1.28, 2007-01-25 19:34:38+01:00, msvensson@neptunus.(none) +23 -42
    Import patch yassl.diff

  extra/yassl/taocrypt/src/md2.cpp@1.3, 2006-07-12 21:15:03+02:00, msvensson@neptunus.(none) +17 -24
    Import patch yassl.diff

  extra/yassl/taocrypt/src/md4.cpp@1.5, 2006-10-05 05:18:12+02:00, msvensson@neptunus.(none) +17 -24
    Import patch yassl.diff

  extra/yassl/taocrypt/src/md5.cpp@1.7, 2006-10-05 23:32:32+02:00, msvensson@neptunus.(none) +17 -24
    Import patch yassl.diff

  extra/yassl/taocrypt/src/misc.cpp@1.19, 2006-10-17 02:33:15+02:00, msvensson@neptunus.(none) +17 -24
    Import patch yassl.diff

  extra/yassl/taocrypt/src/random.cpp@1.12, 2006-11-02 19:10:43+01:00, msvensson@neptunus.(none) +17 -24
    Import patch yassl.diff

  extra/yassl/taocrypt/src/ripemd.cpp@1.7, 2006-10-05 23:32:32+02:00, msvensson@neptunus.(none) +17 -24
    Import patch yassl.diff

  extra/yassl/taocrypt/src/rsa.cpp@1.9, 2006-07-12 21:15:04+02:00, msvensson@neptunus.(none) +17 -24
    Import patch yassl.diff

  extra/yassl/taocrypt/src/sha.cpp@1.7, 2006-10-05 23:32:32+02:00, msvensson@neptunus.(none) +17 -24
    Import patch yassl.diff

  extra/yassl/taocrypt/src/template_instnt.cpp@1.13, 2006-08-16 01:36:33+02:00, msvensson@neptunus.(none) +17 -24
    Import patch yassl.diff

  extra/yassl/taocrypt/src/tftables.cpp@1.3, 2006-07-12 21:15:04+02:00, msvensson@neptunus.(none) +17 -24
    Import patch yassl.diff

  extra/yassl/taocrypt/src/twofish.cpp@1.4, 2006-10-05 05:18:12+02:00, msvensson@neptunus.(none) +17 -24
    Import patch yassl.diff

ChangeSet@1.1616.2955.1, 2007-01-29 14:31:48+01:00, msvensson@pilot.mysql.com +11 -0
  Bug#22943 syscall pruning in libmysql
   - Set the timeout values only where needed

  sql-common/client.c@1.46.1.50, 2007-01-29 14:31:47+01:00, msvensson@pilot.mysql.com +7 -1
    Call 'vio_timeout' to set up the read and write timeout's for the
    newly created connection. It only need to be done once at connect time. 

  sql/mysql_priv.h@1.186.109.2, 2007-01-29 14:31:45+01:00, msvensson@pilot.mysql.com +2 -0
    Add new functions for setting read and write timeout on "net"

  sql/mysqld.cc@1.356.111.1, 2007-01-29 14:31:45+01:00, msvensson@pilot.mysql.com +2 -8
    - Move the setting of "read_timeout" to the value of "connect_timeout" to
      just before 'check_connection' which is the function where we want
      to use the different timeout
    - With the new functions to set timeout on "net", there is no need to
      specifically set the default wait_timeout on windows.

  sql/net_serv.cc@1.63.1.15, 2007-01-29 14:31:45+01:00, msvensson@pilot.mysql.com +25 -2
    Add new functions for setting read and write timeout of "net, when
    server is compiled not to use alarms it will set the write/read timeout
    directly on connection using 'vio_timeout'(using setsockopt if socket)

  sql/repl_failsafe.cc@1.32.1.31, 2007-01-29 14:31:46+01:00, msvensson@pilot.mysql.com +6 -3
    Put unused code within "#if NOT_USED"

  sql/set_var.cc@1.34.70.1, 2007-01-29 14:31:46+01:00, msvensson@pilot.mysql.com +2 -2
    Use 'net_set_*_timeout' when adjusting timeout value
    on the current connection

  sql/slave.cc@1.188.20.1, 2007-01-29 14:31:46+01:00, msvensson@pilot.mysql.com +0 -1
    The read timeout used when connecting to master server is set
    using 'mysql_options' in 'connect_to_master' function

  sql/sql_parse.cc@1.271.131.2, 2007-01-29 14:31:46+01:00, msvensson@pilot.mysql.com +25 -12
    - Set read and write timeout values to "connect_timeout" during
    connect phase
    - Use "read_timeout" value during sslaccept phase, since this is during
    connect phase it implies "connect-timeout"
    - Set read and write timeout value back to default after connect phase
    - Set "read_timeout" to "wait_timeout" while waiting for client.

  sql/sql_repl.cc@1.102.1.39, 2007-01-29 14:31:46+01:00, msvensson@pilot.mysql.com +3 -3
    Set "read_timeout" to "wait_timeout" while ask other mysqld to send file

  vio/vio.c@1.19.1.7, 2007-01-29 14:31:47+01:00, msvensson@pilot.mysql.com +1 -1
    Use 'vio_timeout' for setting timeout also on an SSL connection
    since they both use sockets

  vio/viossl.c@1.22.1.7, 2007-01-29 14:31:47+01:00, msvensson@pilot.mysql.com +0 -11
    Remove 'vio_ssl_timeout' function

ChangeSet@1.2385.5.1, 2007-01-29 12:24:08+01:00, msvensson@pilot.mysql.com +1 -0
  Bug#19474 readline bug: mysql: free(): invalid pointer
   - Write to uninitialised memory occured since _rl_rapped_lines buffer
     was not extended in CHECK_INV_LBREAKS macro
   - Patch submitted to bug-readline@gnu.org

  cmd-line-utils/readline/display.c@1.16, 2007-01-29 12:24:06+01:00, msvensson@pilot.mysql.com +12 -0
    Extend _rl_wrapped_lines everytime inv_lbsize is increased

ChangeSet@1.1616.2954.1, 2007-01-29 11:48:31+04:00, holyfoot@mysql.com +1 -0
  bug #25492 (Invalid deallocation in mysql_stmt_fetch)
  Operating with the prepared statements we don't alloc MYSQL_DATA structure,
  but use MYSQL_STMT's field instead (to increase performance by reducing
  malloc calls).
  So we shouldn't free this structure as we did before.

  libmysqld/lib_sql.cc@1.75.1.61, 2007-01-29 11:48:30+04:00, holyfoot@mysql.com +1 -1
    we only should free data->alloc here, as the 'data' is a member
    of STMT structure

ChangeSet@1.2377.4.9, 2007-01-26 17:10:45-08:00, igor@olga.mysql.com +3 -0
  Fixed bug #24420.
  Objects of the classes Item_func_is_not_null_test and Item_func_trig_cond
  must be transparent for the method Item::split_sum_func2 as these classes
  are pure helpers. It means that the method Item::split_sum_func2 should
  look at those objects as at pure wrappers.

  mysql-test/r/subselect3.result@1.4, 2007-01-26 17:10:42-08:00, igor@olga.mysql.com +16 -0
    Added a test case for bug #24420.
    

  mysql-test/t/subselect3.test@1.5, 2007-01-26 17:10:42-08:00, igor@olga.mysql.com +17 -0
    Added a test case for bug #24420.

  sql/item.cc@1.252, 2007-01-26 17:10:43-08:00, igor@olga.mysql.com +4 -1
    Fixed bug #24420.
    Objects of the classes Item_func_is_not_null_test and Item_func_trig_cond
    must be transparent for the method Item::split_sum_func2 as these classes
    are pure helpers. It means that the method Item::split_sum_func2 should
    look at those objects as at pure wrappers.

ChangeSet@1.2395, 2007-01-26 12:17:50-08:00, mtaylor@qualinost.(none) +1 -0
  Reverting change adding /etc/mysql support, as it breaks some installs.

  mysys/default.c@1.88, 2007-01-26 12:17:48-08:00, mtaylor@qualinost.(none) +4 -6
    Reverting change adding /etc/mysql support, as it breaks some installs.

ChangeSet@1.1616.2934.19, 2007-01-26 12:00:38-08:00, mtaylor@qualinost.(none) +2 -0
  User visible change - breaks some environments, per Paul DuBois. Reverting in 4.1 and 5.0. 

  mysys/default.c@1.43.1.9, 2007-01-26 12:00:37-08:00, mtaylor@qualinost.(none) +0 -1
    User visible change - breaks some environments, per Paul DuBois. Reverting in 4.1 and 5.0. 

  scripts/mysqld_multi.sh@1.21.4.1, 2007-01-26 12:00:37-08:00, mtaylor@qualinost.(none) +0 -8
    User visible change - breaks some environments, per Paul DuBois. Reverting in 4.1 and 5.0. 

ChangeSet@1.2341.80.1, 2007-01-26 14:47:12-05:00, cmiller@zippy.cornsilk.net +3 -0
  Bug #25879: THD::options isn't set with ulonglong values and \
  	variables
  
  Bits higher than 2**31 were impossible to set on THD::options.  It's
  probably a remnant from a time when options was a 32-bit integer.
  
  Now, use unsigned long-long constants and variables to set and clear
  THD::options.
  ---
  Pulled comments back to column 49.

  BitKeeper/etc/collapsed@1.18.2.1, 2007-01-26 14:46:34-05:00, cmiller@zippy.cornsilk.net +2 -0

  sql/mysql_priv.h@1.425.6.1, 2007-01-26 14:47:10-05:00, cmiller@zippy.cornsilk.net +39 -33
    THD::options is an ulonglong, so we should define our bit constants 
    that way.
    ---
    Pulled comments back to column 49.

  sql/set_var.h@1.78.1.3, 2007-01-26 14:47:10-05:00, cmiller@zippy.cornsilk.net +2 -2
    THD::options is a ulonglong, and we if we're going to set bits higher
    than 2**31, then we must treat the bitmasks as a 64-bit number.

ChangeSet@1.2385.4.3, 2007-01-26 11:34:56+01:00, msvensson@shellback.(none) +1 -0
  Bug#19209 Test 'rpl_openssl' hangs on Windows
   - Remove the hack to not run it on windows

  mysql-test/t/rpl_openssl.test@1.20, 2007-01-26 11:34:54+01:00, msvensson@shellback.(none) +0 -4
    Run on all platforms

ChangeSet@1.2385.4.2, 2007-01-26 11:30:54+01:00, msvensson@shellback.(none) +3 -0
  Bug#25203 Mysql crashes when mysql_kill() is executed in a connection using SSL
   - It's too early to free the SSL object in 'vio_ssl_close'. There
     might still be a thread using or reading from it on platforms
     where we need to close the active connection/socket in order
     to break the read.  
   - Add new function 'vio_ssl_delete' and install it as the viodelete
     function for SSL connections.

  vio/vio.c@1.30, 2007-01-26 11:30:51+01:00, msvensson@shellback.(none) +9 -10
    Install 'vio_ssl_delete' as viodelete function for SSL connections
    Cleanup 'vio_delete'

  vio/vio_priv.h@1.8, 2007-01-26 11:30:51+01:00, msvensson@shellback.(none) +1 -0
    Add declaration of vio_ssl_delete

  vio/viossl.c@1.41, 2007-01-26 11:30:51+01:00, msvensson@shellback.(none) +18 -2
    Add new function 'vio_ssl_delete' that takes care of freeing the memory
    allocated by the SSL connection
    Move the code to free the SSL object from vio_ssl_close

ChangeSet@1.2377.6.6, 2007-01-25 22:50:48-08:00, igor@olga.mysql.com +1 -0
  Post merge fix

  sql/item_subselect.cc@1.151, 2007-01-25 22:50:46-08:00, igor@olga.mysql.com +2 -0
    Post merge fix

ChangeSet@1.1616.2920.13, 2007-01-25 18:44:35-08:00, igor@olga.mysql.com +10 -0
  Fixed bug #24653.
  The bug report has demonstrated the following two problems.
  1. If an ORDER/GROUP BY list includes a constant expression being 
  optimized away and, at the same time, containing single-row
  subselects that return more that one row, no error is reported.
  Strictly speaking the standard allows to ignore error in this case.
  Yet, now a corresponding fatal error is reported in this case.
  2. If a query requires sorting by expressions containing single-row
  subselects that, however, return more than one row, then the execution
  of the query may cause a server crash. 
  To fix this some code has been added that blocks execution of a subselect
  item in case of a fatal error in the method Item_subselect::exec.

  mysql-test/r/subselect.result@1.67.1.120, 2007-01-25 18:44:31-08:00, igor@olga.mysql.com +74 -0
    Added a test cases for bug #24653.

  mysql-test/t/subselect.test@1.58.1.106, 2007-01-25 18:44:31-08:00, igor@olga.mysql.com +59 -0
    Added a test cases for bug #24653.

  sql/filesort.cc@1.70.1.25, 2007-01-25 18:44:31-08:00, igor@olga.mysql.com +5 -1
    Fixed bug #24653.
    Added a check for fatal error after reading the next row from the table
    in the function find_all_keys.

  sql/item.cc@1.58.78.1, 2007-01-25 18:44:31-08:00, igor@olga.mysql.com +1 -0
    Fixed bug #24653.
    Down-ported calculation of the attribute with_subselect of for Item objects.

  sql/item.h@1.56.1.141, 2007-01-25 18:44:32-08:00, igor@olga.mysql.com +3 -0
    Fixed bug #24653.
    Down-ported calculation of the attribute with_subselect of for Item objects.

  sql/item_cmpfunc.cc@1.111.23.15, 2007-01-25 18:44:32-08:00, igor@olga.mysql.com +4 -3
    Fixed bug #24653.
    Down-ported calculation of the attribute with_subselect of for Item objects.

  sql/item_cmpfunc.h@1.73.1.47, 2007-01-25 18:44:32-08:00, igor@olga.mysql.com +2 -1
    Fixed bug #24653.
    Down-ported calculation of the attribute with_subselect of for Item objects.

  sql/item_func.cc@1.124.53.2, 2007-01-25 18:44:32-08:00, igor@olga.mysql.com +1 -0
    Fixed bug #24653.
    Down-ported calculation of the attribute with_subselect of for Item objects.

  sql/item_subselect.cc@1.60.1.88, 2007-01-25 18:44:32-08:00, igor@olga.mysql.com +4 -0
    Fixed bug #24653.
    Added a check for fatal error in the method Item_subselect::exec
    to block evaluation of subselects in erroneous situations.
    Down-ported calculation of the attribute with_subselect of for Item objects. 

  sql/sql_select.cc@1.216.125.17, 2007-01-25 18:44:32-08:00, igor@olga.mysql.com +21 -0
    Fixed bug #24653.
    Added a check to verify that any constant expression used
    in ORDER BY and/or GROUP BY lists which is optimized away
    does not contain subselects returning more than one row.
    If it does a fatal error is reported.

ChangeSet@1.1346.891.2, 2007-01-25 20:10:31+02:00, jani@ua141d10.elisa.omakaista.fi +8 -0
  Cleanup of thread-type (linuxthread or NTPL) detection code
  Move get_thread_lib to mysys/my_pthread.c
  Set 'thr_client_alarm' to signal number used by thr_alarm to give alarms
  

  include/my_global.h@1.34.1.43, 2007-01-25 20:10:30+02:00, jani@ua141d10.elisa.omakaista.fi +1 -4
    Fixed to be same as in 5.1

  include/my_pthread.h@1.57.1.11, 2007-01-25 20:10:30+02:00, jani@ua141d10.elisa.omakaista.fi +8 -8
    Move things around to be more in line with rest of code

  include/thr_alarm.h@1.13.1.5, 2007-01-25 20:10:30+02:00, jani@ua141d10.elisa.omakaista.fi +2 -0
    extern of thr_client_alarm

  mysys/default.c@1.17.1.21, 2007-01-25 20:10:30+02:00, jani@ua141d10.elisa.omakaista.fi +2 -2
    Fixed two wrong pointer incrementations.

  mysys/my_pthread.c@1.35.1.6, 2007-01-25 20:10:30+02:00, jani@ua141d10.elisa.omakaista.fi +3 -1
    Cleanup: Use variable thr_client_alarm

  mysys/my_thr_init.c@1.21.1.5, 2007-01-25 20:10:30+02:00, jani@ua141d10.elisa.omakaista.fi +20 -0
    Detect thread library at startup

  mysys/thr_alarm.c@1.41.1.2, 2007-01-25 20:10:30+02:00, jani@ua141d10.elisa.omakaista.fi +13 -13
    Set thr_client_alarm depending on which thread library we are using

  sql/mysqld.cc@1.297.52.10, 2007-01-25 20:10:30+02:00, jani@ua141d10.elisa.omakaista.fi +9 -25
    Move get_thread_lib to mysys/my_pthread.c

ChangeSet@1.2341.65.5, 2007-01-25 17:51:21+01:00, joerg@trift2. +5 -0
  For Linux systems running RHEL 4 (which includes SE-Linux), we need to provide
  additional files that specify some actions which are allowed to the MySQL binaries.
      
  Create a new subdirectory "supportfiles/RHEL4-SElinux" for them, and process it.
  
  This fixes bug#12676.

  configure.in@1.416.2.2, 2007-01-25 17:51:18+01:00, joerg@trift2. +2 -1
    New "support-files/RHEL4-SElinux/Makefile.am" must be processed by "automake" etc.

  support-files/Makefile.am@1.34, 2007-01-25 17:51:18+01:00, joerg@trift2. +2 -2
    For Linux systems running RHEL 4 (which includes SE-Linux), we need to provide
    additional files that specify some actions which are allowed to the MySQL binaries.
    
    Create a new subdirectory "supportfiles/RHEL4-SElinux" for them, and process it.

  support-files/RHEL4-SElinux/Makefile.am@1.1, 2007-01-25 17:51:18+01:00, joerg@trift2. +23 -0
    BitKeeper file /MySQL/M50/bug12676-5.0/support-files/RHEL4-SElinux/Makefile.am

  support-files/RHEL4-SElinux/Makefile.am@1.0, 2007-01-25 17:51:18+01:00, joerg@trift2. +0 -0

  support-files/RHEL4-SElinux/mysql.fc@1.1, 2007-01-25 17:51:18+01:00, joerg@trift2. +25 -0
    BitKeeper file /MySQL/M50/bug12676-5.0/support-files/RHEL4-SElinux/mysql.fc

  support-files/RHEL4-SElinux/mysql.fc@1.0, 2007-01-25 17:51:18+01:00, joerg@trift2. +0 -0

  support-files/RHEL4-SElinux/mysql.te@1.1, 2007-01-25 17:51:18+01:00, joerg@trift2. +132 -0
    BitKeeper file /MySQL/M50/bug12676-5.0/support-files/RHEL4-SElinux/mysql.te

  support-files/RHEL4-SElinux/mysql.te@1.0, 2007-01-25 17:51:18+01:00, joerg@trift2. +0 -0

ChangeSet@1.2377.10.1, 2007-01-25 08:46:07+01:00, df@kahlann.erinye.com +2 -0
  BUG#25530 --with-readline fails with commercial source packages

  BUILD/SETUP.sh@1.62, 2007-01-25 08:46:04+01:00, df@kahlann.erinye.com +10 -1
    BUG#25530 --with-readline fails with commercial source packages
    
    The compile-* scripts should not use --with-readline explicitly when no readline is present.

  configure.in@1.416.1.6, 2007-01-25 08:46:04+01:00, df@kahlann.erinye.com +15 -2
    BUG#25530 --with-readline fails with commercial source packages
    
    Configuring --with-readline should fail when libreadline is not bundled.
    A system libreadline is only used when there is a bundled libreadline too, so the commercial source code isn't linked with GPL libreadline by accident.

ChangeSet@1.2377.8.3, 2007-01-25 02:27:28+03:00, sergefp@mysql.com +1 -0
  BUG#24127: wrong result for (null,not-null) IN (SELECT a,b ...):
  Fixed typo problem that surfaced after the merge

  sql/sql_select.cc@1.485, 2007-01-25 02:27:26+03:00, sergefp@mysql.com +2 -2
    BUG#24127: wrong result for (null,not-null) IN (SELECT a,b ...):
    Fixed typo problem that surfaced after the merge

ChangeSet@1.2377.8.2, 2007-01-24 22:23:50+03:00, sergefp@mysql.com +3 -0
  BUG#24127: merge fixes: If subselect is a union, dont allocate several 
  identical pushed_cond_guards arrays. Allocate only one always.

  mysql-test/r/subselect.result@1.171, 2007-01-24 22:23:47+03:00, sergefp@mysql.com +3 -3
    BUG#24127: merge

  mysql-test/t/subselect3.test@1.4, 2007-01-24 22:23:47+03:00, sergefp@mysql.com +0 -1
    BUG#24127: merge

  sql/item_subselect.cc@1.149, 2007-01-24 22:23:47+03:00, sergefp@mysql.com +2 -2
    BUG#24127: merge fixes: If subselect is a union, dont allocate several 
    identical pushed_cond_guards arrays. Allocate only one always.

ChangeSet@1.2377.7.4, 2007-01-24 22:11:27+03:00, dlenev@mockturtle.local +1 -0
  Disabling back im_daemon_life_cycle.test, which was temporarily enabled in
  the team tree for additional investigation.

  mysql-test/t/disabled.def@1.41, 2007-01-24 22:11:25+03:00, dlenev@mockturtle.local +1 -0
    Disabling back im_daemon_life_cycle.test, which was temporarily enabled in
    the team tree for additional investigation.

ChangeSet@1.2385.4.1, 2007-01-24 16:45:30+03:00, kaa@polly.local +2 -0
  Added a test case for bug #6774 "Replication fails with Wrong usage of DB GRANT and GLOBAL PRIVILEGES"

  mysql-test/r/grant.result@1.61, 2007-01-24 16:45:25+03:00, kaa@polly.local +2 -0
    Added a test case for bug #6774 "Replication fails with Wrong usage of DB GRANT and GLOBAL PRIVILEGES"

  mysql-test/t/grant.test@1.51, 2007-01-24 16:45:26+03:00, kaa@polly.local +12 -0
    Added a test case for bug #6774 "Replication fails with Wrong usage of DB GRANT and GLOBAL PRIVILEGES"

ChangeSet@1.2341.79.3, 2007-01-24 13:29:46+01:00, istruewing@chilla.local +1 -0
  Bug#24607 - MyISAM pointer size determined incorrectly
  After merge fix

  mysql-test/r/myisam.result@1.90.3.2, 2007-01-24 13:29:44+01:00, istruewing@chilla.local +1 -1
    Bug#24607 - MyISAM pointer size determined incorrectly
    After merge fix

ChangeSet@1.1616.2952.1, 2007-01-24 13:17:01+01:00, istruewing@chilla.local +2 -0
  Bug#24607 - MyISAM pointer size determined incorrectly
  Fixed test. On 32-bit machines which compile without
  -DBIG_TABLES, MAX_ROWS is truncated to a 32-bit value.
  Using a value below 4G is portable.

  mysql-test/r/myisam.result@1.45.10.4, 2007-01-24 13:16:59+01:00, istruewing@chilla.local +2 -2
    Bug#24607 - MyISAM pointer size determined incorrectly
    Fixed test results.

  mysql-test/t/myisam.test@1.33.12.4, 2007-01-24 13:16:59+01:00, istruewing@chilla.local +1 -1
    Bug#24607 - MyISAM pointer size determined incorrectly
    Fixed test. On 32-bit machines which compile without
    -DBIG_TABLES, MAX_ROWS is truncated to a 32-bit value.
    Using a value below 4G is portable.

ChangeSet@1.2341.4.20, 2007-01-24 11:53:09+04:00, svoj@mysql.com +2 -0
  After merge fix.

  mysql-test/r/myisam.result@1.90.1.5, 2007-01-24 11:53:08+04:00, svoj@mysql.com +0 -13
    After merge fix.

  mysql-test/t/myisam.test@1.70.2.5, 2007-01-24 11:53:08+04:00, svoj@mysql.com +0 -34
    After merge fix.

ChangeSet@1.2341.39.13, 2007-01-24 16:12:39+11:00, stewart@willster.(none) +1 -0
  fix hpux build problem and some ndb connect errors being missed

  ndb/src/common/util/SocketClient.cpp@1.11, 2007-01-24 16:12:37+11:00, stewart@willster.(none) +2 -2
    fix two problems recently introduced:
    - HPUX build problem
    - some connect errors not being detected properly

ChangeSet@1.1616.2951.1, 2007-01-24 09:41:40+07:00, tomas@poseidon.mysql.com +1 -0
  Bug#25668 mysqld may core if cluster disconnected
  - recommit in 4.1

  sql/ha_ndbcluster.cc@1.114.3.79, 2007-01-24 09:41:35+07:00, tomas@poseidon.mysql.com +1 -1
    Bug#25668 mysqld may core if cluster disconnected
    - recommit in 4.1

ChangeSet@1.2341.27.40, 2007-01-23 10:11:53-08:00, igor@olga.mysql.com +1 -0
  Post-merge fix.

  mysql-test/t/fulltext_left_join.test@1.15, 2007-01-23 10:11:52-08:00, igor@olga.mysql.com +0 -13
    Post-merge fix.

ChangeSet@1.2377.1.9, 2007-01-23 10:43:21-07:00, tsmith@siva.hindu.god +1 -0
  Makefile.am: Fix bad merge: add 'cd mysql-test' to test-ps: target

  Makefile.am@1.96, 2007-01-23 10:43:18-07:00, tsmith@siva.hindu.god +1 -0
    Fix bad merge: add 'cd mysql-test' to test-ps: target

ChangeSet@1.2360.2.1, 2007-01-23 10:01:56-05:00, iggy@recycle.(none) +1 -0
  Bug#24496:Fresh install of mysql on windows has anonymous user with root access.
  - Add anonymous user with no rights.

  scripts/mysql_create_system_tables.sh@1.28.1.1, 2007-01-23 10:01:54-05:00, iggy@recycle.(none) +1 -1
    Bug#24496:Fresh install of mysql on windows has anonymous user with root access.
    - Add anonymous user with no rights.

ChangeSet@1.2294.59.2, 2007-01-23 15:03:48+03:00, dlenev@mockturtle.local +5 -0
  Proposed fix for bug#24491 "using alias from source table in insert ...
  on duplicate key".
  
  INSERT ... SELECT ... ON DUPLICATE KEY UPDATE which was used in
  stored routine or as prepared statement and which in its ON DUPLICATE
  KEY clause erroneously tried to assign value to a column mentioned only
  in its SELECT part was properly emitting error on the first execution
  but succeeded on the second and following executions.
  
  Code which is responsible for name resolution of fields mentioned in
  UPDATE clause (e.g. see select_insert::prepare()) modifies table list
  and Name_resolution_context used in this process. It uses
  Name_resolution_context_state::save_state/restore_state() to revert
  these modifications. Unfortunately those two methods failed to revert
  properly modifications to TABLE_LIST::next_name_resolution_table
  and this broke name resolution process for successive executions.
  
  This patch fixes Name_resolution_context_state::save_state/restore_state()
  in such way that it properly handles TABLE_LIST::next_name_resolution_table.

  mysql-test/r/ps.result@1.82.2.1, 2007-01-23 15:03:45+03:00, dlenev@mockturtle.local +16 -0
    Added test case for bug#24491 "using alias from source table in insert ...
    on duplicate key"

  mysql-test/r/sp-error.result@1.110, 2007-01-23 15:03:46+03:00, dlenev@mockturtle.local +19 -0
    Added test case for bug#24491 "using alias from source table in insert ...
    on duplicate key"

  mysql-test/t/ps.test@1.79.2.1, 2007-01-23 15:03:46+03:00, dlenev@mockturtle.local +30 -0
    Added test case for bug#24491 "using alias from source table in insert ...
    on duplicate key"

  mysql-test/t/sp-error.test@1.111, 2007-01-23 15:03:46+03:00, dlenev@mockturtle.local +32 -0
    Added test case for bug#24491 "using alias from source table in insert ...
    on duplicate key"

  sql/item.h@1.212.1.1, 2007-01-23 15:03:46+03:00, dlenev@mockturtle.local +2 -7
    Name_resolution_context::save_state/restore_state():
      At the moment these methods are used only by code implementing
      INSERT and INSERT ... SELECT statements. This code doesn't modify
     'next_name_resolution_table' member of table list element
      corresponding to the first table of SELECT clause (pointed by
      'first_name_resolution_table'). But it modifies table list element
      corresponding to the target table of INSERT (pointed by 'table_list')
      So these methods were changed to reflect this.

ChangeSet@1.2341.39.11, 2007-01-23 12:58:10+01:00, pekka@clam.ndb.mysql.com +1 -0
  ndb - bug#25562 use byte-size max_data_length() when setting blob part size

  sql/ha_ndbcluster.cc@1.297, 2007-01-23 12:56:51+01:00, pekka@clam.ndb.mysql.com +21 -11
    bug#25562 use byte-size max_data_length() when setting blob part size

ChangeSet@1.2341.77.2, 2007-01-23 17:19:27+11:00, stewart@willster.(none) +1 -0
  round up Transporter connect timeout

  ndb/src/common/transporter/Transporter.cpp@1.25, 2007-01-23 17:19:23+11:00, stewart@willster.(none) +1 -1
    change so timeout is rounded up to nearest second

ChangeSet@1.2341.77.1, 2007-01-23 17:07:09+11:00, stewart@willster.(none) +5 -0
  Bug #25487  	deleting ndb_cluster_connection object takes long time
    
    aim is to:
    a) if set_connect_timeout called, timeout connect attempt (for retry on
    next call) after timeout period
    b) preserve existing blocking behaviour otherwise (for, e.g. mgmapi)
    
    Related to customer issue with long time deleting ndb_cluster_connection
    object. believe we're hanging on the connect(2) call until timeout (when
    we then realise we should exit the thread).

  ndb/include/mgmapi/mgmapi.h@1.54, 2007-01-23 17:06:24+11:00, stewart@willster.(none) +10 -0
    add ndb_mgm_set_connect_timeout

  ndb/include/util/SocketClient.hpp@1.7, 2007-01-23 17:06:32+11:00, stewart@willster.(none) +4 -0
    add timeout (seconds) for max time to wait for connection

  ndb/src/common/transporter/Transporter.cpp@1.24, 2007-01-23 17:06:32+11:00, stewart@willster.(none) +6 -2
    set limit on amount of time we'll wait for tcp connect

  ndb/src/common/util/SocketClient.cpp@1.10, 2007-01-23 17:06:32+11:00, stewart@willster.(none) +56 -4
    only try to connect for a maximum of timeout time

  ndb/src/mgmapi/mgmapi.cpp@1.68, 2007-01-23 17:06:33+11:00, stewart@willster.(none) +13 -0
    add ndb_mgm_set_connect_timeout

ChangeSet@1.2341.39.10, 2007-01-23 11:44:42+07:00, tomas@poseidon.mysql.com +4 -0
  ndb - bug#22013
      Fix bug in event handling wrt early node shutdown

  ndb/src/mgmsrv/MgmtSrvr.cpp@1.111, 2007-01-23 11:44:36+07:00, tomas@poseidon.mysql.com +35 -13
    Fix bug in event handling wrt early node shutdown

  ndb/src/ndbapi/ClusterMgr.cpp@1.31, 2007-01-23 11:44:36+07:00, tomas@poseidon.mysql.com +5 -4
    Fix reportNodeFailed if only connected wo/ having received any API_REGCONF

  ndb/src/ndbapi/ClusterMgr.hpp@1.13, 2007-01-23 11:44:36+07:00, tomas@poseidon.mysql.com +2 -2
    Fix reportNodeFailed if only connected wo/ having received any API_REGCONF

  ndb/src/ndbapi/SignalSender.cpp@1.8, 2007-01-23 11:44:36+07:00, tomas@poseidon.mysql.com +9 -0
    Fix memleak

ChangeSet@1.2341.39.9, 2007-01-23 07:12:03+07:00, tomas@poseidon.mysql.com +1 -0
  bug#25746 ndb: 4209 error with 2 VARCHAR primary keys
  - post review changes

  sql/ha_ndbcluster.cc@1.296, 2007-01-23 07:11:53+07:00, tomas@poseidon.mysql.com +1 -1
    bug#25746 ndb: 4209 error with 2 VARCHAR primary keys
    - post review changes

ChangeSet@1.1616.2920.12, 2007-01-22 14:23:53-08:00, igor@olga.mysql.com +3 -0
  Fixed bug #25637: LEFT JOIN with BOOLEAN FULLTEXT loses left table matches.
  The bug is actually a duplicate of the bug 14708.
  Down-ported the fix for 14708 from 5.0.  
  Merged the test case for bug 14708 from 5.0.

  mysql-test/r/fulltext_left_join.result@1.12.1.1, 2007-01-22 14:23:52-08:00, igor@olga.mysql.com +40 -0
    Added a test case for bug #25637 (duplicate .of bug 14708).
    Merged the test case for bug 14708 from 5.0.

  mysql-test/t/fulltext_left_join.test@1.12.1.1, 2007-01-22 14:23:52-08:00, igor@olga.mysql.com +41 -0
    Added a test case for bug #25637 (duplicate of bug 14708).
    Merged the test case for bug 14708 from 5.0.

  sql/item_func.cc@1.124.53.1, 2007-01-22 14:23:52-08:00, igor@olga.mysql.com +1 -1
    Fixed bug #25637: LEFT JOIN with BOOLEAN FULLTEXT loses left table matches.
    The bug is actually a duplicate of the bug 14708.
    Down-ported the fix for 14708 from 5.0.  

ChangeSet@1.2341.27.38, 2007-01-22 23:04:14+03:00, evgen@moonbone.local +1 -0
  sql_select.cc:
    Code cleanup after fix for bug#23417.

  sql/sql_select.cc@1.482, 2007-01-22 23:04:03+03:00, evgen@moonbone.local +2 -3
    Code cleanup after fix for bug#23417.

ChangeSet@1.2341.27.37, 2007-01-22 22:08:51+03:00, evgen@moonbone.local +1 -0
  sql_prepare.cc:
    Post fix for bug#25123.

  sql/sql_prepare.cc@1.189.1.1, 2007-01-22 22:08:31+03:00, evgen@moonbone.local +1 -1
    Post fix for bug#25123.

ChangeSet@1.2341.39.8, 2007-01-23 00:34:00+07:00, tomas@poseidon.mysql.com +3 -0
  bug#25746 ndb: 4209 error with 2 VARCHAR primary keys
  - make sure keys are copied correctly when varchar has 2 length bytes
  - test case

  mysql-test/r/ndb_basic.result@1.36, 2007-01-23 00:33:54+07:00, tomas@poseidon.mysql.com +16 -0
    bug#25746 ndb: 4209 error with 2 VARCHAR primary keys
    - test case

  mysql-test/t/ndb_basic.test@1.37, 2007-01-23 00:33:54+07:00, tomas@poseidon.mysql.com +19 -0
    bug#25746 ndb: 4209 error with 2 VARCHAR primary keys
    - test case

  sql/ha_ndbcluster.cc@1.295, 2007-01-23 00:33:54+07:00, tomas@poseidon.mysql.com +16 -10
    bug#25746 ndb: 4209 error with 2 VARCHAR primary keys
    - make sure keys are copied correctly when varchar has 2 length bytes

ChangeSet@1.2341.69.5, 2007-01-22 20:00:27+03:00, anozdrin@alik. +1 -0
  Enabling im_daemon_life_cycle.imtest in team tree.
  
  Do not propagate this change into main trees.

  mysql-test/t/disabled.def@1.36.1.3, 2007-01-22 20:00:26+03:00, anozdrin@alik. +0 -1
    Enbled im_daemon_life_cycle.imtest

ChangeSet@1.2385.1.5, 2007-01-22 16:54:40+01:00, msvensson@neptunus.(none) +17 -0
  Import yaSSL version 1.5.8
   - Includes patch for Bug#25189

  extra/yassl/README@1.8, 2007-01-10 19:27:15+01:00, msvensson@neptunus.(none) +17 -1
    Import patch yassl.diff

  extra/yassl/include/openssl/ssl.h@1.19, 2007-01-10 19:27:15+01:00, msvensson@neptunus.(none) +1 -1
    Import patch yassl.diff

  extra/yassl/src/make.bat@1.5, 2006-10-05 05:18:12+02:00, msvensson@neptunus.(none) +0 -18
    Import patch yassl.diff

  extra/yassl/src/ssl.cpp@1.23, 2006-12-13 22:40:54+01:00, msvensson@neptunus.(none) +1 -1
    Import patch yassl.diff

  extra/yassl/src/yassl_error.cpp@1.10, 2007-01-17 19:14:50+01:00, msvensson@neptunus.(none) +10 -2
    Import patch yassl.diff

  extra/yassl/taocrypt/benchmark/make.bat@1.5, 2006-10-05 05:18:12+02:00, msvensson@neptunus.(none) +0 -18
    Import patch yassl.diff

  extra/yassl/taocrypt/include/asn.hpp@1.12, 2007-01-10 19:27:15+01:00, msvensson@neptunus.(none) +28 -0
    Import patch yassl.diff

  extra/yassl/taocrypt/include/error.hpp@1.6, 2007-01-17 19:14:50+01:00, msvensson@neptunus.(none) +5 -1
    Import patch yassl.diff

  extra/yassl/taocrypt/include/file.hpp@1.5, 2007-01-17 19:14:50+01:00, msvensson@neptunus.(none) +4 -2
    Import patch yassl.diff

  extra/yassl/taocrypt/src/asn.cpp@1.12, 2007-01-10 19:27:15+01:00, msvensson@neptunus.(none) +79 -0
    Import patch yassl.diff

  extra/yassl/taocrypt/src/coding.cpp@1.6, 2007-01-17 19:14:50+01:00, msvensson@neptunus.(none) +10 -4
    Import patch yassl.diff

  extra/yassl/taocrypt/src/integer.cpp@1.27, 2007-01-10 19:27:15+01:00, msvensson@neptunus.(none) +24 -19
    Import patch yassl.diff

  extra/yassl/taocrypt/src/make.bat@1.7, 2006-10-05 05:18:12+02:00, msvensson@neptunus.(none) +0 -18
    Import patch yassl.diff

  extra/yassl/taocrypt/test/make.bat@1.5, 2006-10-05 05:18:12+02:00, msvensson@neptunus.(none) +0 -18
    Import patch yassl.diff

  extra/yassl/taocrypt/test/test.cpp@1.5, 2007-01-10 19:27:15+01:00, msvensson@neptunus.(none) +45 -1
    Import patch yassl.diff

  extra/yassl/testsuite/make.bat@1.5, 2006-10-05 05:18:12+02:00, msvensson@neptunus.(none) +0 -18
    Import patch yassl.diff

  extra/yassl/testsuite/testsuite.cpp@1.5, 2006-05-04 22:23:39+02:00, msvensson@neptunus.(none) +2 -2
    Import patch yassl.diff

ChangeSet@1.1616.2950.2, 2007-01-22 16:32:57+01:00, df@kahlann.erinye.com +1 -0
  after-merge fix

  mysql-test/mysql-test-run.pl@1.8.22.2, 2007-01-22 16:32:56+01:00, df@kahlann.erinye.com +1 -1
    after-merge fix

ChangeSet@1.1616.2937.5, 2007-01-22 16:34:58+04:00, svoj@mysql.com +1 -0
  BUG#24401 - MySQL server crashes if you try to retrieve data from
              corrupted table
  
  Accessing a table with corrupted column definition results in server
  crash.
  
  This is fixed by refusing to open such tables. Affects MyISAM only.
  No test case, since it requires crashed table.

  myisam/mi_open.c@1.80.2.10, 2007-01-22 16:34:57+04:00, svoj@mysql.com +7 -0
    Refuse to open MyISAM table with summary columns length bigger than
    length of the record.

ChangeSet@1.2341.27.36, 2007-01-22 15:14:38+03:00, evgen@moonbone.local +3 -0
  Bug#25123: ON DUPLICATE KEY clause allows fields not from the insert table.
  
  When inserting into a join-based view the update fields from the ON DUPLICATE
  KEY UPDATE wasn't checked to be from the table being inserted into and were
  silently ignored.
  
  The new check_view_single_update() function is added to check that
  insert/update fields are being from the same single table of the view.

  mysql-test/r/insert.result@1.27, 2007-01-22 15:13:57+03:00, evgen@moonbone.local +21 -0
    Added a test case for bug#25123: ON DUPLICATE KEY clause allows fields not from the insert table.

  mysql-test/t/insert.test@1.25, 2007-01-22 15:14:18+03:00, evgen@moonbone.local +18 -0
    Added a test case for bug#25123: ON DUPLICATE KEY clause allows fields not from the insert table.

  sql/sql_insert.cc@1.211.2.1, 2007-01-22 15:13:24+03:00, evgen@moonbone.local +73 -20
    Bug#25123: ON DUPLICATE KEY clause allows fields not from the insert table.
    The new check_view_single_update() function is added to check that
    insert/update fields are being from the same single table of the view.

ChangeSet@1.2385.1.4, 2007-01-22 12:34:39+01:00, msvensson@neptunus.(none) +1 -0
  Add define for used type of third argument to 'accept' - Netware uses size_t

  extra/yassl/testsuite/test.hpp@1.11, 2007-01-22 12:34:33+01:00, msvensson@neptunus.(none) +4 -1
    Add define for used type of third argument to 'accept' - Netware uses size_t

ChangeSet@1.2385.2.1, 2007-01-22 14:52:23+04:00, ramil@mysql.com +3 -0
  Fix for bug #22026: Warning when using IF statement and large unsigned bigint
    
  We use INT_RESULT type if all arguments are of type INT for 'if', 'case', 
  'coalesce' functions regardless of arguments' unsigned flag, so sometimes we can
  exceed the INT bounds.

  mysql-test/r/select.result@1.146, 2007-01-22 14:52:21+04:00, ramil@mysql.com +30 -0
    Fix for bug #22026: Warning when using IF statement and large unsigned bigint
      - test result.

  mysql-test/t/select.test@1.120, 2007-01-22 14:52:21+04:00, ramil@mysql.com +24 -0
    Fix for bug #22026: Warning when using IF statement and large unsigned bigint
      - test case.

  sql/item_cmpfunc.cc@1.228.2.1, 2007-01-22 14:52:21+04:00, ramil@mysql.com +9 -3
    Fix for bug #22026: Warning when using IF statement and large unsigned bigint
      - take into account unsigned flags aggregating result types:                    
        return INT_RESULT only if two items with INT_RESULT type                      
        have equal unsigned_flags, otherwise return REAL_RESULT. 

ChangeSet@1.2385.1.3, 2007-01-22 10:41:36+01:00, msvensson@neptunus.(none) +1 -0
  gen_lex_hash does not need to link with odbc32*.lib

  extra/CMakeLists.txt@1.3, 2007-01-22 10:41:34+01:00, msvensson@neptunus.(none) +1 -1
    gen_lex_hash does not need to link with odbc32*.lib

ChangeSet@1.1616.2945.3, 2007-01-21 19:55:17-07:00, tsmith@siva.hindu.god +1 -0
  Applied innodb-4.1-ss36 and innodb-4.1-ss38 snapshots
  
  Fixes:
  - Bug #24299: 
  - Bug #25596: 

  innobase/dict/dict0dict.c@1.52.1.18, 2007-01-21 19:55:16-07:00, tsmith@siva.hindu.god +16 -13
    Applied innodb-4.1-ss36 and innodb-4.1-ss38 snapshots
    
    Revision r36:
    innodb-4.1: Port r1030 from innodb/branches/5.0:
    
    Replace isspace() with a wrapper ib_isspace(), because on
    Win32 isspace(0xa0) appears to hold.  (Bug #24299)
    
    
    Revision r38:
    ib_isspace(c): Check for c being the null character.  (Bug #25596)

ChangeSet@1.2377.1.6, 2007-01-21 17:58:02-07:00, tsmith@siva.hindu.god +2 -0
  Applied innodb-5.0-ss1230 snapshot
  
  Fixes:
  - Bug #25596: InnoDB Alter Table Failures

  innobase/dict/dict0dict.c@1.81, 2007-01-21 17:58:00-07:00, tsmith@siva.hindu.god +1 -1
    Applied innodb-5.0-ss1230 snapshot.
    
    r1230
    
    branches/5.0: ib_isspace(c): Check for c being the null character.
    (Bug #25596)

  sql/ha_innodb.h@1.116, 2007-01-21 17:58:00-07:00, tsmith@siva.hindu.god +1 -1
    Applied innodb-5.0-ss1230
    
    Trivial indent SPACES -> TAB change.

ChangeSet@1.1346.891.1, 2007-01-22 02:32:07+02:00, jani@a88-113-38-195.elisa-laajakaista.fi +8 -0
  Fix for configure to detect library correctly.
  Fix to check library in use during runtime.
  Fix for Bug#16995, "idle connections not being killed due to timeout when NPTL is used".

  BUILD/SETUP.sh@1.17.3.1, 2007-01-22 02:32:06+02:00, jani@a88-113-38-195.elisa-laajakaista.fi +2 -2
    To avoid warnings during compilation.

  configure.in@1.191.1.150, 2007-01-22 02:32:06+02:00, jani@a88-113-38-195.elisa-laajakaista.fi +98 -61
    Fixed configure so that it can correctly detect
    between NPTL and Linuxthreads.

  include/my_global.h@1.34.1.42, 2007-01-22 02:32:06+02:00, jani@a88-113-38-195.elisa-laajakaista.fi +5 -2
    Fix for Linuxthreads.

  include/my_pthread.h@1.57.1.10, 2007-01-22 02:32:06+02:00, jani@a88-113-38-195.elisa-laajakaista.fi +31 -10
    Added defines for different libraries that can be detected.
    Currently only 'other', 'nptl', and 'lt' (linuxthreads) are
    being used.
    
    changed sigset() and signal() to my_sigset() and my_signal()

  include/thr_alarm.h@1.13.1.4, 2007-01-22 02:32:06+02:00, jani@a88-113-38-195.elisa-laajakaista.fi +0 -5
    Removed defines for Linuxthreads. This is now detected during
    runtime and handled in the thr_alarm.c

  mysys/my_pthread.c@1.35.1.5, 2007-01-22 02:32:06+02:00, jani@a88-113-38-195.elisa-laajakaista.fi +3 -1
    Runtime check for library.

  mysys/thr_alarm.c@1.41.1.1, 2007-01-22 02:32:06+02:00, jani@a88-113-38-195.elisa-laajakaista.fi +42 -51
    Runtime checks for library and corresponding
    signals.

  sql/mysqld.cc@1.297.52.9, 2007-01-22 02:32:06+02:00, jani@a88-113-38-195.elisa-laajakaista.fi +34 -19
    Added function for detecting thread library in use
    during start-up.
    
    THR_KILL_SIGNAL removed, setting signals during runtime.

ChangeSet@1.1616.2934.16, 2007-01-19 17:34:47-08:00, mtaylor@qualinost.(none) +2 -0
  Moving version-script to acinclude.m4

  acinclude.m4@1.123.23.1, 2007-01-19 17:34:45-08:00, mtaylor@qualinost.(none) +8 -0
    Moving version-script to acinclude.m4

  configure.in@1.201.64.22, 2007-01-19 17:34:45-08:00, mtaylor@qualinost.(none) +0 -7
    Moving version-script to acinclude.m4

ChangeSet@1.2386, 2007-01-19 16:54:01-08:00, mtaylor@qualinost.(none) +3 -0
  Fixed the make distcheck problem. We only really need to create libndb.ver if we are building Ndb.

  config/ac-macros/ha_ndbcluster.m4@1.9, 2007-01-19 16:53:59-08:00, mtaylor@qualinost.(none) +9 -0
    We only need to create this file if we are building Ndb in the first place. Moving the code to ha_ndbcluster.m4

  configure.in@1.416.3.9, 2007-01-19 16:53:59-08:00, mtaylor@qualinost.(none) +0 -7
    We only need to create this file if we are building Ndb in the first place. Moving the code to ha_ndbcluster.m4

  ndb/src/Makefile.am@1.19, 2007-01-19 16:53:59-08:00, mtaylor@qualinost.(none) +0 -2
    BUILT_SOURCES is uneccesary. Removing it. The real problem was related to building or not building Ndb.

ChangeSet@1.2385, 2007-01-19 14:26:06-08:00, mtaylor@qualinost.(none) +2 -0
  Added libndb.ver to BUILT_SOURCES to force it to get removed during make distclean

  BitKeeper/etc/ignore@1.240, 2007-01-19 14:26:01-08:00, mtaylor@qualinost.(none) +1 -0
    Added ndb/src/libndb.ver to the ignore list

  ndb/src/Makefile.am@1.18, 2007-01-19 14:26:00-08:00, mtaylor@qualinost.(none) +2 -0
    Added libndb.ver to BUILT_SOURCES to force it to get removed during make distclean

ChangeSet@1.2384, 2007-01-19 12:27:59-08:00, mtaylor@qualinost.(none) +1 -0
  missed storage in one more place

  configure.in@1.416.3.8, 2007-01-19 12:27:57-08:00, mtaylor@qualinost.(none) +1 -1
    missed storage in one more place

ChangeSet@1.2383, 2007-01-19 12:23:06-08:00, mtaylor@qualinost.(none) +1 -0
  I cut and pasted in the wrong direction I think. We don't have storage until 5.1... 

  configure.in@1.416.3.7, 2007-01-19 12:23:04-08:00, mtaylor@qualinost.(none) +1 -1
    I cut and pasted in the wrong direction I think. We don't have storage until 5.1... 

ChangeSet@1.2341.76.1, 2007-01-19 23:15:59+03:00, dlenev@mockturtle.local +5 -0
  Fix for bug #25044 "ALTER TABLE ... ENABLE KEYS acquires global 'opening
  tables' lock."
  
  Execution of ALTER TABLE ... ENABLE KEYS on a table (which can take rather
  long time) prevented concurrent execution of all statements using tables.
  
  The problem was caused by the fact that we were holding LOCK_open mutex
  during whole duration of this statement and particularly during call
  to handler::enable_indexes(). This behavior was introduced as part of the
  fix for bug 14262 "SP: DROP PROCEDURE|VIEW (maybe more) write to binlog
  too late (race cond)"
  
  The patch simply restores old behavior. Note that we can safely do this as
  this operation takes exclusive lock (similar to name-lock) which blocks both
  DML and DDL on the table being altered.
  
  It also introduces mysql-test/include/wait_show_pattern.inc helper script
  which is used to make test-case for this bug robust enough.

  mysql-test/include/wait_show_pattern.inc@1.1, 2007-01-19 23:15:58+03:00, dlenev@mockturtle.local +51 -0
    New BitKeeper file ``mysql-test/include/wait_show_pattern.inc''

  mysql-test/include/wait_show_pattern.inc@1.0, 2007-01-19 23:15:58+03:00, dlenev@mockturtle.local +0 -0

  mysql-test/include/wait_slave_status.inc@1.2, 2007-01-19 23:15:58+03:00, dlenev@mockturtle.local +7 -36
    Now wait_slave_status.inc reuses more generic wait_output_matches.inc script.

  mysql-test/r/alter_table-big.result@1.1, 2007-01-19 23:15:58+03:00, dlenev@mockturtle.local +18 -0
    New BitKeeper file ``mysql-test/r/alter_table-big.result''

  mysql-test/r/alter_table-big.result@1.0, 2007-01-19 23:15:58+03:00, dlenev@mockturtle.local +0 -0

  mysql-test/t/alter_table-big.test@1.1, 2007-01-19 23:15:58+03:00, dlenev@mockturtle.local +62 -0
    New BitKeeper file ``mysql-test/t/alter_table-big.test''

  mysql-test/t/alter_table-big.test@1.0, 2007-01-19 23:15:58+03:00, dlenev@mockturtle.local +0 -0

  sql/sql_table.cc@1.329.3.1, 2007-01-19 23:15:58+03:00, dlenev@mockturtle.local +23 -2
    mysql_alter_table():
      Changed ALTER TABLE ... ENABLE/DISABLE KEYS not to hold LOCK_open mutex
      during call to handler::enable_indexes() as the latter can take rather
      long time and therefore such ALTER would block execution of all other
      statements that use tables. We can safely do this as this operation takes 
      exclusive lock (similar to name-lock) on the table which is altered.

ChangeSet@1.2360.1.4, 2007-01-19 13:09:48-05:00, iggy@recycle.(none) +1 -0
  Bug#22807 mysql_upgrade fails when called with a basedir-path containing spaces
  - Corrected compiler warnings and performance problems with new 
  dynstr_append_os_quoted function.

  mysys/string.c@1.8.1.2, 2007-01-19 13:09:46-05:00, iggy@recycle.(none) +13 -15
    Bug#22807 mysql_upgrade fails when called with a basedir-path containing spaces
    - Fix compiler warnings.
    - Used dynstr_append_mem where string length is known.

ChangeSet@1.2341.75.1, 2007-01-19 18:34:09+03:00, evgen@moonbone.local +6 -0
  Bug#25172: Not checked buffer size leads to a server crash.
  
  After fix for bug#21798 JOIN stores the pointer to the buffer for sorting
  fields. It is used while sorting for grouping and for ordering. If ORDER BY
  clause has more elements then the GROUP BY clause then a memory overrun occurs.
  
  Now the length of the ORDER BY list is always passed to the 
  make_unireg_sortorder() function and it allocates buffer big enough to be
  used for bigger list.

  mysql-test/r/select.result@1.143.2.1, 2007-01-19 18:33:41+03:00, evgen@moonbone.local +8 -0
    Added a test case for bug#25172: Not checked buffer size leads to a server crash.

  mysql-test/t/select.test@1.117.2.1, 2007-01-19 18:33:44+03:00, evgen@moonbone.local +11 -0
    Added a test case for bug#25172: Not checked buffer size leads to a server crash.

  sql/sql_delete.cc@1.188.1.2, 2007-01-19 18:33:25+03:00, evgen@moonbone.local +1 -1
    Bug#25172: Not checked buffer size leads to a server crash.
    Length parameter is initialized to 0 for the make_unireg_sortorder() function.

  sql/sql_select.cc@1.481, 2007-01-19 18:33:29+03:00, evgen@moonbone.local +8 -4
    Bug#25172: Not checked buffer size leads to a server crash.
    Now the length of the ORDER BY list is always passed to the 
    make_unireg_sortorder() function and it allocates buffer big enough to be
    used for bigger list.

  sql/sql_table.cc@1.329.2.1, 2007-01-19 18:33:37+03:00, evgen@moonbone.local +1 -1
    Bug#25172: Not checked buffer size leads to a server crash.
    Length parameter is initialized to 0 for the make_unireg_sortorder() function.

  sql/sql_update.cc@1.205.3.1, 2007-01-19 18:33:40+03:00, evgen@moonbone.local +1 -1
    Bug#25172: Not checked buffer size leads to a server crash.
    Length parameter is initialized to 0 for the make_unireg_sortorder() function.

ChangeSet@1.2377.1.4, 2007-01-19 10:33:07-05:00, cmiller@zippy.cornsilk.net +1 -0
  Rearrange disable_warnings to enclose the warning emitters properly.

  mysql-test/t/ps.test@1.87, 2007-01-19 10:33:05-05:00, cmiller@zippy.cornsilk.net +2 -2
    Rearrange disable_warnings to enclose the warning emitters properly.

ChangeSet@1.2377.3.1, 2007-01-19 15:43:21+01:00, msvensson@neptunus.(none) +2 -0
  Add test's from Matthias for assigning one variable from another using let

  mysql-test/r/mysqltest.result@1.41, 2007-01-19 15:43:19+01:00, msvensson@neptunus.(none) +9 -0
    Add test's from Matthias for assigning one variable from another using let

  mysql-test/t/mysqltest.test@1.51, 2007-01-19 15:43:19+01:00, msvensson@neptunus.(none) +30 -0
    Add test's from Matthias for assigning one variable from another using let

ChangeSet@1.2377.2.1, 2007-01-19 08:56:06-05:00, cmiller@zippy.cornsilk.net +1 -0
  The rpl tree added a test case, and another source added a warning,
  and combined, they add a platform-specific warning.  The warnings 
  are not the goal of the test, in any case.

  mysql-test/t/ps.test@1.86, 2007-01-19 08:56:03-05:00, cmiller@zippy.cornsilk.net +2 -0
    Quash platform-specific warnings.

ChangeSet@1.2341.70.2, 2007-01-19 13:06:22+01:00, istruewing@chilla.local +1 -0
  After merge fix

  mysql-test/r/myisam.result@1.90.2.2, 2007-01-19 13:06:19+01:00, istruewing@chilla.local +1 -1
    After merge fix

ChangeSet@1.2341.4.16, 2007-01-19 12:03:03+01:00, msvensson@pilot.mysql.com +2 -0
  Use $MYSQLTESTVARDIR

  mysql-test/r/symlink.result@1.26.1.2, 2007-01-19 12:03:02+01:00, msvensson@pilot.mysql.com +2 -2
    Use $MYSQLTESTVARDIR

  mysql-test/t/symlink.test@1.18.1.2, 2007-01-19 12:03:02+01:00, msvensson@pilot.mysql.com +4 -4
    Use $MYSQLTESTVARDIR

ChangeSet@1.2341.60.13, 2007-01-19 11:58:29+01:00, joerg@trift2. +1 -0
  cmd-line-utils/readline/undo.c  :    Replace an "uint" cast by the expanded "unsigned int" (compile problem on QNX).

  cmd-line-utils/readline/undo.c@1.10.1.1, 2007-01-19 11:58:26+01:00, joerg@trift2. +1 -1
    Replace an "uint" cast by the expanded "unsigned int",
    because there are platforms (QNX) on which "uint" is not defined in the "readline" library
    (and so building it failed, version 5.0.34).

ChangeSet@1.2370.1.1, 2007-01-19 11:07:20+01:00, msvensson@pilot.mysql.com +1 -0
  Bug #15518 Reusing a stmt that has failed during prepare does not clear error
   - Additional patch removing check for mysql_errno on already closed
     mysql1

  tests/mysql_client_test.c@1.221, 2007-01-19 11:07:19+01:00, msvensson@pilot.mysql.com +0 -1
    No need to check mysql_errno of mysql1 which has already been closed.

ChangeSet@1.1616.2946.1, 2007-01-19 09:41:08+01:00, knielsen@ymer.(none) +1 -0
  Implement mysql-test-run.pl option to limit the number of saved core
  files. This helps stability of multiple parallel automated test runs,
  avoiding the situation where one bad build fills up disk with 1000s of
  core files, causing failures in other test runs.

  mysql-test/mysql-test-run.pl@1.8.20.1, 2007-01-19 09:41:06+01:00, knielsen@ymer.(none) +8 -0
    Implement mysql-test-run.pl option to limit the number of saved core
    files. This helps stability of multiple parallel automated test runs,
    avoiding the situation where one bad build fills up disk with 1000s of
    core files, causing failures in other test runs.

ChangeSet@1.1616.2945.2, 2007-01-19 12:19:53+04:00, ramil@mysql.com +1 -0
  after merge fix.

  mysql-test/r/range.result@1.19.4.1, 2007-01-19 12:19:49+04:00, ramil@mysql.com +2 -2
    Fix for bug #22533: Traditional: Too-long bit value not rejected.
      - results adjusted.

ChangeSet@1.2341.73.2, 2007-01-19 00:17:28-08:00, igor@olga.mysql.com +4 -0
  Fixed bug #25219: crash for a query that contains an EXIST subquery with
  UNION over correlated and uncorrelated SELECTS.
  In such subqueries each uncorrelated SELECT should be considered as
  uncacheable. Otherwise join_free is called for it and in many cases
  it causes some problems.

  mysql-test/r/subselect.result@1.167.2.1, 2007-01-19 00:17:26-08:00, igor@olga.mysql.com +33 -0
    Added a test case for bug #25219.

  mysql-test/t/subselect.test@1.138, 2007-01-19 00:17:26-08:00, igor@olga.mysql.com +34 -0
    Added a test case for bug #25219.

  sql/mysql_priv.h@1.425.2.3, 2007-01-19 00:17:26-08:00, igor@olga.mysql.com +4 -1
    Fixed bug #25219: crash for a query that contains an EXIST subquery with
    UNION over correlated and uncorrelated SELECTS.
    In such subqueries each uncorrelated SELECT should be considered as
    uncacheable. Otherwise join_free is called for it and in many cases
    it causes some problems. 
    Added a new flag UNCACHEABLE_UNITED for such SELECTs.

  sql/sql_lex.cc@1.206.2.5, 2007-01-19 00:17:26-08:00, igor@olga.mysql.com +10 -2
    Fixed bug #25219: crash for a query that contains an EXIST subquery with
    UNION over correlated and uncorrelated SELECTS.
    In such subqueries each uncorrelated SELECT should be considered as
    uncacheable. Otherwise join_free is called for it and in many cases
    it causes some problems.
    Added a new flag UNCACHEABLE_UNITED for such SELECTs.

ChangeSet@1.2216.70.40, 2007-01-19 04:36:33+01:00, jonas@perch.ndb.mysql.com +1 -0
  ndb - bug#25711
    fix cpu peak in big clusters during unpack of config

  ndb/src/common/util/ConfigValues.cpp@1.9.1.1, 2007-01-19 04:36:32+01:00, jonas@perch.ndb.mysql.com +121 -85
    use bin-search instead of hash (as keys collide too much)

ChangeSet@1.2341.69.3, 2007-01-18 18:37:52-07:00, malff@weblab.(none) +3 -0
  Manual merge

  mysql-test/r/alter_table.result@1.62, 2007-01-18 18:37:49-07:00, malff@weblab.(none) +113 -0
    Manual merge

  mysql-test/t/alter_table.test@1.49, 2007-01-18 18:37:49-07:00, malff@weblab.(none) +5 -5
    Manual merge

  sql/sql_yacc.yy@1.499.1.4, 2007-01-18 18:37:49-07:00, malff@weblab.(none) +24 -1
    Manual merge

ChangeSet@1.2381, 2007-01-18 16:28:47-08:00, mtaylor@qualinost.(none) +1 -0
  Added configure section to deal with actually versioning symbols.

  configure.in@1.416.3.6, 2007-01-18 16:28:45-08:00, mtaylor@qualinost.(none) +8 -0
    Added configure section to deal with actually versioning symbols.

ChangeSet@1.1616.2934.14, 2007-01-18 16:21:43-08:00, mtaylor@qualinost.(none) +3 -0
  Added version script information to actually version the symbols. 

  configure.in@1.201.64.21, 2007-01-18 16:21:42-08:00, mtaylor@qualinost.(none) +9 -0
    Added version script information to actually version the symbols. 

  ndb/src/Makefile.am@1.12.1.2, 2007-01-18 16:21:42-08:00, mtaylor@qualinost.(none) +1 -1
    Added version script information to actually version the symbols. 

  ndb/src/libndb.ver.in@1.1, 2007-01-18 16:20:04-08:00, mtaylor@qualinost.(none) +2 -0
    BitKeeper file /home/mtaylor/src/mysql-4.1-maint/ndb/src/libndb.ver.in

  ndb/src/libndb.ver.in@1.0, 2007-01-18 16:20:04-08:00, mtaylor@qualinost.(none) +0 -0

ChangeSet@1.1616.2944.1, 2007-01-18 16:53:49-07:00, malff@weblab.(none) +3 -0
  Bug#24562 (ALTER TABLE ... ORDER BY ... with complex expression asserts)
  WL#3681 (ALTER TABLE ORDER BY)
  
  Before this fix, the ALTER TABLE statement implemented an ORDER BY option
  with the following characteristics :
  
  1) The order by clause accepts a list of criteria, with optional ASC or
  DESC keywords
  
  2) Each criteria can be a general expression, involving operators,
  native functions, stored functions, user defined functions, subselects ...
  
  With this fix :
  
  1) has been left unchanged, since it's a de-facto existing feature,
  that was already present in the code base and partially covered in the test
  suite. Code coverage for ASC and DESC was missing and has been improved.
  
  2) has been changed to limit the kind of criteria that are permissible:
  now only a column name is valid.

  mysql-test/r/alter_table.result@1.40.1.13, 2007-01-18 16:53:47-07:00, malff@weblab.(none) +113 -0
    Prevent ALTER TABLE ORDER BY clauses to use general expressions.

  mysql-test/t/alter_table.test@1.29.1.14, 2007-01-18 16:53:47-07:00, malff@weblab.(none) +66 -0
    Prevent ALTER TABLE ORDER BY clauses to use general expressions.

  sql/sql_yacc.yy@1.203.1.200, 2007-01-18 16:53:47-07:00, malff@weblab.(none) +24 -1
    Prevent ALTER TABLE ORDER BY clauses to use general expressions.

ChangeSet@1.2379, 2007-01-18 14:21:50-08:00, mtaylor@qualinost.(none) +1 -0
  Incrementing soname to 2 for 5.0 branch.

  configure.in@1.416.3.4, 2007-01-18 14:21:48-08:00, mtaylor@qualinost.(none) +1 -1
    Incrementing soname to 2 for 5.0 branch.

ChangeSet@1.1616.2934.13, 2007-01-18 13:30:01-08:00, mtaylor@qualinost.(none) +2 -0
  Adding support for versioned libndbclient.so. bug #13522

  configure.in@1.201.64.20, 2007-01-18 13:30:00-08:00, mtaylor@qualinost.(none) +7 -0
    Added variables to support ndbclient library versioning.
    Set version to 1.0.0 for 4.1

  ndb/src/Makefile.am@1.12.1.1, 2007-01-18 13:30:00-08:00, mtaylor@qualinost.(none) +2 -0
    Making use of new variables. Adding support for versioned libraries.

ChangeSet@1.1616.2934.12, 2007-01-18 13:26:26-07:00, tsmith@siva.hindu.god +2 -0
  ndb_types.test: sleep a bit longer, to ensure that timestamp > @now

  mysql-test/r/ndb_types.result@1.2.1.1, 2007-01-18 13:26:25-07:00, tsmith@siva.hindu.god +1 -0
    update results

  mysql-test/t/ndb_types.test@1.2.1.3, 2007-01-18 13:26:25-07:00, tsmith@siva.hindu.god +5 -5
    Sleep a bit longer, to ensure that timestamp changes between:
    set @now = now();
    and:
    insert into/update t1
    
    Test case failed (select timestamp>@now from t1 ==> 0, should be 1), and passed when run again.  This should(?) avoid that fluke.
    
    Clean up test file a bit while I'm here.

ChangeSet@1.2376, 2007-01-18 13:15:16-07:00, tsmith@siva.hindu.god +1 -0
  Makefile.am: Fix previous bad merge.  Re-enable the test-ps target.

  Makefile.am@1.95, 2007-01-18 13:15:14-07:00, tsmith@siva.hindu.god +1 -0
    Fix previous bad merge.  Re-enable the test-ps target.

ChangeSet@1.2360.1.3, 2007-01-18 11:38:05-05:00, iggy@recycle.(none) +3 -0
  Bug#22807 mysql_upgrade fails when called with a basedir-path containing spaces
  - Create space safe strings for system() calls in mysql_upgrade.exe

  client/mysql_upgrade.c@1.14.2.1, 2007-01-18 11:38:04-05:00, iggy@recycle.(none) +59 -22
    Bug#22807 mysql_upgrade fails when called with a basedir-path containing spaces
    - Make use of new dynstr_append_os_quoted function to produce a string safe for
    passing to the system() function.                                              
    - Refactor possible source of assertion.

  include/my_sys.h@1.190.1.1, 2007-01-18 11:38:04-05:00, iggy@recycle.(none) +2 -0
    Bug#22807 mysql_upgrade fails when called with a basedir-path containing spaces
    - Declare dynstr_append_os_quoted function.

  mysys/string.c@1.8.1.1, 2007-01-18 11:38:04-05:00, iggy@recycle.(none) +52 -0
    Bug#22807 mysql_upgrade fails when called with a basedir-path containing spaces
    - Define dynstr_append_os_quoted function.  This function will concatenate any 
    number of strings, escapes any OS quote in the result then surround the whole  
    affair in another set of quotes which is finally appended to specified         
    DYNAMIC_STRING.

ChangeSet@1.1346.1.859, 2007-01-18 16:41:32+01:00, joerg@mysql.com +1 -0
  Raise version number after cloning 4.0.29

  configure.in@1.191.1.149, 2007-01-18 16:41:18+01:00, joerg@mysql.com +1 -1
    Raise version number after cloning 4.0.29

ChangeSet@1.2341.72.1, 2007-01-18 17:33:38+02:00, gkodinov@macbook.gmz +3 -0
  Bug #25382: Passing NULL to an UDF called from stored procedures 
   crashes server
   Check for null value is reliable only after calling some of the 
   val_xxx() methods. If the val_xxx() method is not called
   the null_value flag will be set only for certain types of NULL
   values (like SQL constant NULLs for example).
   This caused a crash while trying to dereference a NULL pointer
   that is returned by val_str() for NULL values.
   Fixed by swapping the order of val_xxx() and null_value check.

  mysql-test/r/udf.result@1.11, 2007-01-18 17:33:31+02:00, gkodinov@macbook.gmz +34 -0
    Bug #25382: Passing NULL to an UDF called from stored procedures 
     crashes server
     - test case

  mysql-test/t/udf.test@1.12, 2007-01-18 17:33:32+02:00, gkodinov@macbook.gmz +47 -0
    Bug #25382: Passing NULL to an UDF called from stored procedures 
     crashes server
     - test case

  sql/item_func.cc@1.321.1.1, 2007-01-18 17:33:33+02:00, gkodinov@macbook.gmz +6 -3
    Bug #25382: Passing NULL to an UDF called from stored procedures 
     crashes server
     - reliably check null_value

ChangeSet@1.2341.71.1, 2007-01-18 09:50:16-05:00, cmiller@zippy.cornsilk.net +7 -0
  Bug#24822: Patch: uptime_since_flush_status
  
  Provide the number of seconds since flush as a new status variable
  named "Uptime_since_flush_status".
  ---
  Override the post-flush value, as a second could pass between the two
  statements.

  BitKeeper/etc/collapsed@1.18.1.2, 2007-01-18 09:49:43-05:00, cmiller@zippy.cornsilk.net +2 -0

  mysql-test/r/information_schema.result@1.118, 2007-01-18 09:50:14-05:00, cmiller@zippy.cornsilk.net +7 -0
    Test new status variable.
    ---
    Override the post-flush value, as a second could pass between the two
    statements.

  mysql-test/t/information_schema.test@1.89, 2007-01-18 09:50:14-05:00, cmiller@zippy.cornsilk.net +10 -3
    Test new status variable.
    ---
    Override the post-flush value, as a second could pass between the two
    statements.

  sql/mysql_priv.h@1.425.5.1, 2007-01-18 09:50:14-05:00, cmiller@zippy.cornsilk.net +1 -1
    Add variable to hold previous flush time.

  sql/mysqld.cc@1.584.4.1, 2007-01-18 09:50:14-05:00, cmiller@zippy.cornsilk.net +4 -2
    Add variable to hold previous flush time.  Insert name for 
    referring to it, and initialize the value.

  sql/sql_show.cc@1.333.1.3, 2007-01-18 09:50:14-05:00, cmiller@zippy.cornsilk.net +4 -0
    Yield value of elapsed time since flush when asked.

  sql/structs.h@1.58, 2007-01-18 09:50:14-05:00, cmiller@zippy.cornsilk.net +1 -0
    Add new show-flush-time to SHOW types enumeration.

ChangeSet@1.2328.10.3, 2007-01-18 15:28:45+04:00, ramil@mysql.com +4 -0
  after merge fix.

  mysql-test/r/range.result@1.51.1.1, 2007-01-18 15:28:31+04:00, ramil@mysql.com +2 -2
    after merge fix.

  mysql-test/r/type_bit.result@1.18.1.1, 2007-01-18 15:28:32+04:00, ramil@mysql.com +1 -1
    after merge fix.

  mysql-test/r/type_bit_innodb.result@1.6, 2007-01-18 15:28:32+04:00, ramil@mysql.com +1 -1
    after merge fix.

  sql/field.cc@1.328.2.1, 2007-01-18 15:28:32+04:00, ramil@mysql.com +2 -0
    after merge fix.

ChangeSet@1.2294.61.1, 2007-01-18 12:48:17+03:00, kroki@moonlight.home +3 -0
  Bug#24404: strange bug with view+permission+prepared statement.
  
  The problem was that if a prepared statement accessed a view, the
  access to the tables listed in the query after that view was done in
  the security context of the view.
  
  The bug was in the assigning of the security context to the tables
  belonging to a view: we traversed the list of all query tables
  instead.  It didn't show up in the normal (non-prepared) statements
  because of the different order of the steps of checking privileges
  and descending into a view for normal and prepared statements.
  
  The solution is to traverse the list and stop once the last table
  belonging to the view was processed.

  mysql-test/r/view_grant.result@1.19.2.1, 2007-01-18 12:48:15+03:00, kroki@moonlight.home +43 -0
    Add result for bug#24404: strange bug with view+permission+prepared
    statement.

  mysql-test/t/view_grant.test@1.17.3.1, 2007-01-18 12:48:15+03:00, kroki@moonlight.home +71 -1
    Add test case for bug#24404: strange bug with view+permission+prepared
    statement.

  sql/sql_view.cc@1.99.1.1, 2007-01-18 12:48:15+03:00, kroki@moonlight.home +7 -3
    Remove dead line.
    When setting security context, we should traverse the list of tables
    belonging to a given view, not all query tables.  We achieve that by
    stopping at the first table past view_tables_tail.

ChangeSet@1.2328.10.2, 2007-01-18 10:51:29+04:00, ramil@mysql.com +2 -0
  after merge fix.

  mysql-test/r/select.result@1.143.1.2, 2007-01-18 10:51:25+04:00, ramil@mysql.com +17 -363
    after merge fix.

  sql/item.cc@1.236.3.3, 2007-01-18 10:51:25+04:00, ramil@mysql.com +2 -2
    after merge fix.

ChangeSet@1.2341.27.32, 2007-01-17 20:13:45-08:00, igor@olga.mysql.com +6 -0
  Fixed bug #25580: incorrect stored representations of views in cases
  when they contain the '!' operator.
  Added an implementation for the method Item_func_not::print. 
  The method encloses any NOT expression into extra parentheses to avoid
  incorrect stored representations of views that use the '!' operators.
  Without this change when a view was created that contained
  the expression !0*5  its stored representation contained not this
  expression but rather the expression not(0)*5 . 
  The operator '!' is of a higher precedence than '*', while NOT is 
  of a lower precedence than '*'. That's why the expression !0*5 
  is interpreted as not(0)*5, while the expression not(0)*5 is interpreted
  as not((0)*5) unless sql_mode is set to HIGH_NOT_PRECEDENCE.
  Now we translate !0*5 into (not(0))*5. 

  mysql-test/r/sp-code.result@1.7.1.1, 2007-01-17 20:13:43-08:00, igor@olga.mysql.com +1 -1
    Adjusted results after the fix of bug 25580.

  mysql-test/r/subselect.result@1.167.1.1, 2007-01-17 20:13:43-08:00, igor@olga.mysql.com +5 -5
    Adjusted results after the fix of bug 25580.

  mysql-test/r/view.result@1.184.1.2, 2007-01-17 20:13:43-08:00, igor@olga.mysql.com +11 -0
    Added a test case for bug #25580.

  mysql-test/t/view.test@1.170.1.1, 2007-01-17 20:13:43-08:00, igor@olga.mysql.com +11 -0
    Added a test case for bug #25580.

  sql/item_cmpfunc.cc@1.228.1.1, 2007-01-17 20:13:43-08:00, igor@olga.mysql.com +16 -0
    Fixed bug #25580: incorrect stored representations of views in cases
    when they contain the '!' operator.
    Added an implementation for the method Item_func_not::print. 
    The method encloses the NOT expression into extra parenthesis to avoid
    incorrect stored representations of views that use the '!' operators.

  sql/item_cmpfunc.h@1.136.1.2, 2007-01-17 20:13:43-08:00, igor@olga.mysql.com +1 -0
    Fixed bug #25580: incorrect stored representations of views in cases
    when they contain the '!' operator.
    Added an implementation for the method Item_func_not::print. 
    The method encloses the NOT expression into extra parenthesis to avoid
    incorrect stored representations of views that use the '!' operators.

ChangeSet@1.2216.70.39, 2007-01-17 21:15:13+01:00, jonas@perch.ndb.mysql.com +6 -0
  ndb - bug#25686
    add support for doing mlockall before mallc instead of after
    (recommit in 5.0)

  ndb/include/portlib/NdbMem.h@1.3.1.1, 2007-01-17 21:15:11+01:00, jonas@perch.ndb.mysql.com +1 -1
    add support for doing mlockall before mallc instead of after

  ndb/src/common/portlib/NdbMem.c@1.12.1.1, 2007-01-17 21:15:11+01:00, jonas@perch.ndb.mysql.com +9 -1
    add support for doing mlockall before mallc instead of after

  ndb/src/kernel/blocks/cmvmi/Cmvmi.cpp@1.25.2.4, 2007-01-17 21:15:11+01:00, jonas@perch.ndb.mysql.com +17 -2
    add support for doing mlockall before mallc instead of after

  ndb/src/kernel/vm/Configuration.cpp@1.47.1.2, 2007-01-17 21:15:11+01:00, jonas@perch.ndb.mysql.com +1 -1
    add support for doing mlockall before mallc instead of after

  ndb/src/kernel/vm/Configuration.hpp@1.18.1.1, 2007-01-17 21:15:11+01:00, jonas@perch.ndb.mysql.com +1 -1
    add support for doing mlockall before mallc instead of after

  ndb/src/mgmsrv/ConfigInfo.cpp@1.77.1.2, 2007-01-17 21:15:12+01:00, jonas@perch.ndb.mysql.com +4 -4
    add support for doing mlockall before mallc instead of after

ChangeSet@1.1616.2940.1, 2007-01-17 13:22:50-05:00, cmiller@zippy.cornsilk.net +2 -0
  Bug#23721: compile fails: check-cpu mishandles cpu flags with \
  	hyphen in it (like ds-cpl).
  
  convert illegal chars in cpu flags to '_' for variable assignment

  BUILD/check-cpu@1.12.3.1, 2007-01-17 13:22:49-05:00, cmiller@zippy.cornsilk.net +1 -1
    convert illegal chars in cpu flags to '_' for variable assignment

  BitKeeper/etc/collapsed@1.1.1.4, 2007-01-17 13:12:09-05:00, cmiller@zippy.cornsilk.net +1 -0

ChangeSet@1.2341.60.9, 2007-01-17 20:46:09+03:00, kostja@bodhi.local +1 -0
  Disable symlinks under valgrind builds (again), with a comment.

  sql/mysqld.cc@1.586.1.3, 2007-01-17 20:46:06+03:00, kostja@bodhi.local +13 -2
    Once again, disable symlink.test under valgrind builds. symlink.test
    fails deep in mi_repair - the result of this having been disabled
    for almost 5 years. 

ChangeSet@1.1616.2934.6, 2007-01-17 15:46:30+03:00, kostja@bodhi.local +1 -0
  Fix a failure of lowercase_tables2 test on powermacg5, introduced
  by the patch for Bug#4968

  sql/sql_parse.cc@1.271.128.4, 2007-01-17 15:46:28+03:00, kostja@bodhi.local +1 -1
    Fix lowercase_tables2 test failure on powermacg5: table_case_name()
    function needed create_info.alias if lowercase_table_names=2, which
    was not set for the stack copy of HA_CREATE_INFO. Move the
    update of create_info.alias from create_table_precheck to 
    mysql_execute_command, so that it is done on the right object.

ChangeSet@1.2369, 2007-01-17 13:43:03+01:00, msvensson@neptunus.(none) +1 -0
  Replace the --exec in a while loop that causes 3400 executions of cygwin/bash on 
  windows with a small perl script that does exactly the same. 

  mysql-test/t/mysql.test@1.25, 2007-01-17 13:43:00+01:00, msvensson@neptunus.(none) +13 -10
    Replace the --exec in a while loop that causes 3400 executions of cygwin/bash on 
    windows with a small perl script that does exactly the same. 

ChangeSet@1.2341.60.7, 2007-01-17 14:24:54+03:00, kostja@bodhi.local +3 -0
  Fix a ps.test failure in 5.0-runtime tree.

  mysql-test/r/ps.result@1.87, 2007-01-17 14:24:47+03:00, kostja@bodhi.local +0 -8
    Update result files.

  mysql-test/t/ps.test@1.85, 2007-01-17 14:24:47+03:00, kostja@bodhi.local +11 -2
    Disable result ouptut of SHOW CREATE TABLE: DATA DIRECTORY option
    may be present or absent from the output depending on the build
    otpions and the operating system, so the output is not consistent
    across supported platforms.

  sql/mysqld.cc@1.586.1.2, 2007-01-17 14:24:47+03:00, kostja@bodhi.local +2 -8
    Remove a tricky #ifdef dependency of --use-symbolic-links on PURIFY
    added in 2002: DEBUG options should not influence server functionality.
    This backfired by producing different output of SHOW CREATE TABLE
    depending on the build options (see also Bug#25677 "With 
    --skip-symbolic-links option on, DATA DIRECTORY clause
    is silently ignored".

ChangeSet@1.1616.2937.4, 2007-01-17 12:22:00+01:00, msvensson@pilot.mysql.com +4 -0
  Bug#21122 SHOW CREATE TABLE: directory output only sometimes
  Bug #25000  	myisam.test fails on 'pb-valgrind-*' Valgrind
   - Move tests that need symlink to symlink.test

  mysql-test/r/myisam.result@1.45.11.3, 2007-01-17 12:21:59+01:00, msvensson@pilot.mysql.com +0 -21
    - Move tests that need symlink to symlink.test

  mysql-test/r/symlink.result@1.11.2.1, 2007-01-17 12:21:59+01:00, msvensson@pilot.mysql.com +21 -0
    - Move tests that need symlink to symlink.test

  mysql-test/t/myisam.test@1.33.13.3, 2007-01-17 12:21:59+01:00, msvensson@pilot.mysql.com +0 -35
    - Move tests that need symlink to symlink.test

  mysql-test/t/symlink.test@1.11.2.1, 2007-01-17 12:21:59+01:00, msvensson@pilot.mysql.com +37 -0
    - Move tests that need symlink to symlink.test

ChangeSet@1.1616.2937.3, 2007-01-17 12:12:24+01:00, msvensson@pilot.mysql.com +2 -0
  Cset exclude: msvensson@pilot.mysql.com|ChangeSet|20070117102733|42618

  mysql-test/r/myisam.result@1.45.11.2, 2007-01-17 12:12:20+01:00, msvensson@pilot.mysql.com +0 -0
    Exclude

  mysql-test/t/myisam.test@1.33.13.2, 2007-01-17 12:12:20+01:00, msvensson@pilot.mysql.com +0 -0
    Exclude

ChangeSet@1.1616.2939.2, 2007-01-17 11:51:52+01:00, msvensson@pilot.mysql.com +1 -0
  Bug#25505 Myisam library compiler error on Windows

  myisam/mi_packrec.c@1.25.1.8, 2007-01-17 11:51:51+01:00, msvensson@pilot.mysql.com +1 -2
    Combine the declaration of variable and assignment into one line
    since that is allowed befgore declaring another variable in C.

ChangeSet@1.2341.65.4, 2007-01-17 10:41:52+01:00, tulin@mysql.com +1 -0
  ha_ndbcluster.cc:
    Bug #25668    - corrected patch after test failures
  TAG: mysql-5.0.34

  sql/ha_ndbcluster.cc@1.292.1.2, 2007-01-17 10:38:52+01:00, tulin@mysql.com +16 -9
    Bug #25668    - corrected patch after test failures

ChangeSet@1.2341.65.3, 2007-01-17 10:06:50+01:00, tulin@mysql.com +1 -0
  ha_ndbcluster.cc:
      Bug #25668    ndb: mysqld may core if cluster disconnected
      -- pTrans may be NULL, remove not needed usage of handler::ndb_err

  sql/ha_ndbcluster.cc@1.292.1.1, 2007-01-17 10:06:00+01:00, tulin@mysql.com +9 -16
      Bug #25668    ndb: mysqld may core if cluster disconnected
      -- pTrans may be NULL, remove not needed usage of handler::ndb_err

ChangeSet@1.2341.65.2, 2007-01-16 20:01:17+01:00, joerg@trift2. +1 -0
  myisam/mi_packrec.c
      Fix a compile error:  Macro "DBUG_ENTER" must not follow an executable statement.

  myisam/mi_packrec.c@1.40, 2007-01-16 20:01:14+01:00, joerg@trift2. +1 -1
    Fix a compile error:  Macro "DBUG_ENTER" must not follow an executable statement.

ChangeSet@1.1616.2934.5, 2007-01-16 21:23:52+03:00, kostja@bodhi.local +2 -0
  A fix for the broken 4.1-runtime tree.

  mysql-test/t/backup.test@1.13.1.2, 2007-01-16 21:23:49+03:00, kostja@bodhi.local +1 -0
    Backport a patch for sporadically failing myisam.test (and now ps.test)
    from 5.0. The cause was in backup.test not cleaning up tables in
    mysqltest-vardir/tmp after itself.

  mysql-test/t/ps.test@1.27.1.30, 2007-01-16 21:23:49+03:00, kostja@bodhi.local +5 -0
    Add additional protection against possible failure in the middle of
    backup.test

ChangeSet@1.2328.9.3, 2007-01-16 17:52:17+01:00, msvensson@neptunus.(none) +1 -0
  Update xid's as an effect of not closing the prepared statements all the time

  mysql-test/t/mix_innodb_myisam_binlog.test@1.23.1.1, 2007-01-16 17:52:14+01:00, msvensson@neptunus.(none) +10 -10
    Update xid's as an effect of not closing the prepared statements all the time

ChangeSet@1.2328.9.2, 2007-01-16 17:47:41+01:00, msvensson@neptunus.(none) +1 -0
  Don't reuse prepared statements if running with reconnect enabled

  client/mysqltest.c@1.261.1.2, 2007-01-16 17:47:33+01:00, msvensson@neptunus.(none) +10 -0
    Don't reuse prepared statements if running with reconnect enabled

ChangeSet@1.1616.2937.1, 2007-01-16 18:05:37+04:00, svoj@mysql.com +1 -0
  BUG#24855 - Crash mysqld 4.1.21 with corrupted tables
  
  Accessing fixed record format table with crashed key definition results
  in server/myisamchk segmentation fault.
  
  This is fixed by refusing to open such tables. Affects MyISAM only.
  No test case, since it requires crashed table.

  myisam/mi_open.c@1.80.2.9, 2007-01-16 18:05:36+04:00, svoj@mysql.com +7 -1
    Refuse to open fixed record format table with key segment that includes
    BLOB part (which is true only for tables with crashed key definition).

ChangeSet@1.2328.9.1, 2007-01-16 13:39:42+01:00, msvensson@neptunus.(none) +3 -0
  Bug#15518 Reusing a stmt that has failed during prepare does not clear error
   - Always reset error when calling mysql_stmt_prepare a second time
   - Set stmt->state to MYSQL_STMT_INIT_DONE before closing prepared stmt in server.
   - Add test to mysql_client_test
   - Remove mysql_stmt_close in mysqltest after each query
   - Close all open statements in mysqltest if disable_ps_protocol is called. 

  client/mysqltest.c@1.261.1.1, 2007-01-16 13:39:38+01:00, msvensson@neptunus.(none) +21 -4
    Don't close the statement after each query - reprepare it in next query.
    When "disable_ps_protocol" is issued make sure to close all open
    statements. Otherwise the test for @@max_prepared_statements fails. But we
    also get a test that the statements that are open can be closed and reopened
    in the middle of the tests.

  libmysql/libmysql.c@1.249.3.1, 2007-01-16 13:39:39+01:00, msvensson@neptunus.(none) +11 -3
    Reset the last error every time mysql_stmt_prepare is called.
    Set state to MYSQL_STMT_INIT_DONE befoe closing it in the server. That way
    we will always have right status regardless of wheter close fails or not. 

  tests/mysql_client_test.c@1.212.1.2, 2007-01-16 13:39:39+01:00, msvensson@neptunus.(none) +85 -8
    Add testcase for bug15518, re-prepare a previously prepare statement that has failed
    to prepare. Test also when connection to server has been lost inbetween.
    Change all assert to DIE_UNLESS so we get printout of line and an error message
    if it fails.

ChangeSet@1.2341.65.1, 2007-01-16 12:46:48+01:00, joerg@trift2. +1 -0
  configure.in  :  Fix a dependency problem for "extra/" which shows up only in RPM builds.

  configure.in@1.416.2.1, 2007-01-16 12:46:45+01:00, joerg@trift2. +2 -2
    Some files in "extra/", notably "comp_err", depend on "dbug/libdbug.a",
    so "dbug/" must be a target before "extra/" is attempted.  Fix this.

ChangeSet@1.1616.2936.1, 2007-01-16 09:35:14+01:00, msvensson@neptunus.(none) +1 -0
  Always use two masters for ndb tests

  mysql-test/lib/mtr_cases.pl@1.6.2.17, 2007-01-16 09:35:12+01:00, msvensson@neptunus.(none) +3 -2
    Always use two masters for ndb tests

ChangeSet@1.2341.27.31, 2007-01-15 14:01:36-08:00, igor@olga.mysql.com +1 -0
  Adjusted results after merge 4.1 -> 5.0 for the patch fixing bug 24776.

  mysql-test/r/range.result@1.53, 2007-01-15 14:01:35-08:00, igor@olga.mysql.com +1 -1
    Adjusted results after merge 4.1 -> 5.0 for the patch fixing bug 24776.

ChangeSet@1.1616.2934.4, 2007-01-15 23:25:16+03:00, kostja@bodhi.local +1 -0
  A post-merge fix.

  sql/sql_parse.cc@1.271.128.3, 2007-01-15 23:25:14+03:00, kostja@bodhi.local +1 -0
    A post-merge fix (broken alter_table.test): restore Svoj's fix
    for Bug#23404 lost during merge.

ChangeSet@1.2341.27.29, 2007-01-15 22:40:39+03:00, evgen@moonbone.local +1 -0
  sql_select.cc:
    Fix for crashes on 64bit platforms after fixing bug#23417.

  sql/sql_select.cc@1.480, 2007-01-15 22:40:19+03:00, evgen@moonbone.local +5 -3
    Fix for crashes on 64bit platforms after fixing bug#23417.

ChangeSet@1.2341.61.1, 2007-01-15 19:15:52+02:00, gkodinov@macbook.gmz +3 -0
  BUG#20420: optimizer reports wrong keys on left join with IN
   The optimizer needs to evaluate whether predicates are better
   evaluated using an index. IN is one such predicate.
   To qualify an IN predicate must involve a field of the index
   on the left and constant arguments on the right.
   However whether an expression is a constant can be determined only
   by knowing the preceding tables in the join order. 
   Assuming that only IN predicates with expressions on the right that
   are constant for the whole query qualify limits the scope of 
   possible optimizations of the IN predicate (more specifically it
   doesn't allow the "Range checked for each record" optimization for
   such an IN predicate.
   Fixed by not pre-determining the optimizability of the IN predicate
   in the case when all right IN operands are not SQL constant expressions

  mysql-test/r/func_in.result@1.29.1.1, 2007-01-15 19:15:46+02:00, gkodinov@macbook.gmz +43 -0
    BUG#20420: optimizer reports wrong keys on left join with IN
     - test case

  mysql-test/t/func_in.test@1.23.1.1, 2007-01-15 19:15:47+02:00, gkodinov@macbook.gmz +36 -0
    BUG#20420: optimizer reports wrong keys on left join with IN
     - test case

  sql/item_cmpfunc.h@1.134.1.2, 2007-01-15 19:15:48+02:00, gkodinov@macbook.gmz +5 -1
    BUG#20420: optimizer reports wrong keys on left join with IN
     - cannot decide on the optimizability of a function without
       knowing the tables before it in the join order

ChangeSet@1.2341.60.2, 2007-01-15 16:57:22+01:00, bteam@mysql.com +1 -0
  Raise version number after cloning 5.0.34

  configure.in@1.416.1.3, 2007-01-15 16:57:08+01:00, bteam@mysql.com +2 -2
    Raise version number after cloning 5.0.34

ChangeSet@1.2360.1.1, 2007-01-15 10:00:29-05:00, iggy@recycle.(none) +1 -0
  Bug#19424 InnoDB: Possibly a memory overrun of the buffer being freed (Win64)
  - Re-enabling optimization on all except innodb/mem/*.

  innobase/CMakeLists.txt@1.2.1.1, 2007-01-15 10:00:26-05:00, iggy@recycle.(none) +2 -36
    Bug#19424 InnoDB: Possibly a memory overrun of the buffer being freed (Win64)
    - Re-enabling optimization on all except innodb/mem/*.

ChangeSet@1.2294.60.1, 2007-01-15 12:32:38+03:00, dlenev@mockturtle.local +3 -0
  Fix for bug#20390 "SELECT FOR UPDATE does not release locks
  of untouched rows in full table scans".
  
  SELECT ... FOR UPDATE/LOCK IN SHARE MODE statements as well as
  UPDATE/DELETE statements which were executed using full table
  scan were not releasing locks on rows which didn't satisfy
  WHERE condition.
  This bug surfaced in 5.0 and affected NDB tables. (InnoDB tables
  intentionally don't support such unlocking in default mode).
  
  This problem occured because code implementing join didn't call
  handler::unlock_row() for rows which didn't satisfy part of condition
  attached to this particular table/level of nested loop. So we solve
  the problem adding this call.
  Note that we already had this call in place in 4.1 but it was lost
  (actually not quite correctly placed) when we have introduced nested 
  joins.
  
  Also note that additional QA should be requested once this patch is
  pushed as interaction between handler::unlock_row() and many recent
  MySQL features such as subqueries, unions, views is not tested enough.

  mysql-test/r/ndb_lock.result@1.13, 2007-01-15 12:32:36+03:00, dlenev@mockturtle.local +35 -0
    Enabled back part of the test that covers bug #20390 "SELECT FOR
    UPDATE does not release locks of untouched rows in full table scans".
    Adjusted test in such way that it now covers both execution paths
    in which we unlock non-matching rows inspected during table scan.

  mysql-test/t/ndb_lock.test@1.15, 2007-01-15 12:32:36+03:00, dlenev@mockturtle.local +43 -6
    Enabled back part of the test that covers bug #20390 "SELECT FOR
    UPDATE does not release locks of untouched rows in full table scans".
    Adjusted test in such way that it now covers both execution paths
    in which we unlock non-matching rows inspected during table scan.

  sql/sql_select.cc@1.475.5.1, 2007-01-15 12:32:36+03:00, dlenev@mockturtle.local +1 -0
    evaluate_join_record() should call handler::unlock_row() for records
    which don't satisfy condition which was pushed-down to this table/level
    of nested loop.
    We just put back the thing that we already have in 4.1 and which was lost
    when we have introduced nested joins.

ChangeSet@1.1616.2920.11, 2007-01-13 10:49:26-08:00, igor@olga.mysql.com +3 -0
  Fixed bug #24776: an assertion abort in handler::ha_index_init
  for queries using 'range checked for each record'.
  The problem was fixed in 5.0 by the patch for bug 12291.
  This patch down-ported the corresponding code from 5.0 into 
  QUICK_SELECT::init() and added a new test case. 

  mysql-test/r/range.result@1.19.3.9, 2007-01-13 10:49:24-08:00, igor@olga.mysql.com +43 -0
    Added a test case for bug #24776.

  mysql-test/t/range.test@1.12.6.1, 2007-01-13 10:49:24-08:00, igor@olga.mysql.com +43 -0
    Added a test case for bug #24776.

  sql/opt_range.h@1.28.1.16, 2007-01-13 10:49:24-08:00, igor@olga.mysql.com +2 -0
    Fixed bug #24776: an assertion abort in handler::ha_index_init
    for queries using 'range checked for each record'.
    The problem was fixed in 5.0 by the patch for bug 12291.
    The patch for 4.1 down-ported the corresponding code from 5.0 into 
    QUICK_SELECT::init(). 

ChangeSet@1.2341.58.1, 2007-01-12 13:43:25-08:00, igor@olga.mysql.com +3 -0
  Fixed bug #25398: crash in a trigger when using trigger fields 
  in a select list.
  The objects of the Item_trigger_field class inherited the implementations
  of the methods copy_or_same, get_tmp_table_item and get_tmp_table_field
  from the class Item_field while they rather should have used the default
  implementations defined for the base class Item.
  It could cause catastrophic problems for triggers that used SELECTs
  with select list containing trigger fields such as NEW.<table column>
  under DISTINCT.

  mysql-test/r/trigger.result@1.51, 2007-01-12 13:43:23-08:00, igor@olga.mysql.com +32 -0
    Added a test case for bug #25398.

  mysql-test/t/trigger.test@1.57.1.1, 2007-01-12 13:43:23-08:00, igor@olga.mysql.com +46 -0
    Added a test case for bug #25398.

  sql/item.h@1.217, 2007-01-12 13:43:23-08:00, igor@olga.mysql.com +3 -0
    Fixed bug #25398: crash in a trigger when using trigger fields 
    in a select list.
    The objects of the Item_trigger_field class inherited the implementations
    of the methods copy_or_same, get_tmp_table_item and get_tmp_table_field
    from the class Item_field while they rather should have used the default
    implementations defined for the base class Item.
    It could cause catastrophic problems for triggers that used SELECTs
    with select list containing trigger fields such as NEW.<table column>
    under DISTINCT.

ChangeSet@1.2341.57.2, 2007-01-12 23:22:41+03:00, sergefp@mysql.com +14 -0
  BUG#24127: (a,b) IN (SELECT c,d ...) can produce wrong results if a and/or b are NULLs:
  - Make the code produce correct result: use an array of triggers to turn on/off equalities for each
    compared column. Also turn on/off optimizations based on those equalities.
  - Make EXPLAIN output show "Full scan on NULL key" for tables for which we switch between
    ref/unique_subquery/index_subquery and ALL access.
  - index_subquery engine now has HAVING clause when it is needed, and it is
    displayed in EXPLAIN EXTENDED
  - Fix incorrect presense of "Using index" for index/unique-based subqueries (BUG#22930)
  // bk trigger note: this commit refers to BUG#24127

  mysql-test/r/ndb_subquery.result@1.4, 2007-01-12 23:22:36+03:00, sergefp@mysql.com +3 -3
    BUG#24127: wrong result for (null,not-null) IN (SELECT a,b ...)
    - Updated test results (checked)

  mysql-test/r/subselect.result@1.169, 2007-01-12 23:22:36+03:00, sergefp@mysql.com +14 -14
    BUG#24127: wrong result for (null,not-null) IN (SELECT a,b ...)
    - Updated test results (checked)

  mysql-test/r/subselect2.result@1.14, 2007-01-12 23:22:36+03:00, sergefp@mysql.com +5 -5
    BUG#24127: wrong result for (null,not-null) IN (SELECT a,b ...)
    - Updated test results (checked)

  mysql-test/r/subselect3.result@1.3, 2007-01-12 23:22:37+03:00, sergefp@mysql.com +404 -4
    BUG#24127: wrong result for (null,not-null) IN (SELECT a,b ...)
    - Testcases

  mysql-test/t/subselect3.test@1.3, 2007-01-12 23:22:37+03:00, sergefp@mysql.com +281 -10
    BUG#24127: wrong result for (null,not-null) IN (SELECT a,b ...)
    - Testcases

  sql/item_cmpfunc.cc@1.229, 2007-01-12 23:22:37+03:00, sergefp@mysql.com +29 -5
    BUG#24127: wrong result for (null,not-null) IN (SELECT a,b ...)
    - For row-based IN subqueries, use one flag per each column. Set the flags appropriately before
      running the subquery. 

  sql/item_cmpfunc.h@1.137, 2007-01-12 23:22:37+03:00, sergefp@mysql.com +1 -0
    BUG#24127: wrong result for (null,not-null) IN (SELECT a,b ...)
     - Added Item_func_trig_cond::get_triv_var()

  sql/item_subselect.cc@1.148, 2007-01-12 23:22:37+03:00, sergefp@mysql.com +156 -111
    BUG#24127: wrong result for (null,not-null) IN (SELECT a,b ...)
    - Item_subselect::exec() and subselect_*_engine::exec() don't have parameter
      anymore - now Item_subselect owns the pushed down predicates guard flags.
    - A correct set of conditional predicates is now pushed into row-based IN 
      subquery.
    - select_indexsubquery_engine now has "HAVING clause" (needed for correct query
      results), and it is shown in EXPLAIN EXTENDED

  sql/item_subselect.h@1.86, 2007-01-12 23:22:37+03:00, sergefp@mysql.com +75 -17
    BUG#24127: wrong result for (null,not-null) IN (SELECT a,b ...)
    - Item_subselect::exec() and subselect_*_engine::exec() don't have parameter
      anymore - now Item_subselect owns the pushed down predicates guard flags.
    - A correct set of conditional predicates is now pushed into row-based IN 
      subquery.
    - select_indexsubquery_engine now has "HAVING clause" (needed for correct query
      results), and it is shown in EXPLAIN EXTENDED

  sql/mysql_priv.h@1.425.3.1, 2007-01-12 23:22:37+03:00, sergefp@mysql.com +1 -1
    BUG#24127: wrong result for (null,not-null) IN (SELECT a,b ...)
